import { type ProfileCardProperty } from '../../../../models/profileCardProperty';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ProfileCardPropertyItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface ProfileCardPropertyItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface ProfileCardPropertyItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: ProfileCardPropertyItemRequestBuilderGetQueryParameters;
}
export interface ProfileCardPropertyItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the profileCardProperties property of the microsoft.graph.peopleAdminSettings entity.
 */
export declare class ProfileCardPropertyItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ProfileCardPropertyItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property profileCardProperties for admin
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: ProfileCardPropertyItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get profileCardProperties from admin
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ProfileCardProperty
     */
    get(requestConfiguration?: ProfileCardPropertyItemRequestBuilderGetRequestConfiguration | undefined): Promise<ProfileCardProperty | undefined>;
    /**
     * Update the navigation property profileCardProperties in admin
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ProfileCardProperty
     */
    patch(body: ProfileCardProperty, requestConfiguration?: ProfileCardPropertyItemRequestBuilderPatchRequestConfiguration | undefined): Promise<ProfileCardProperty | undefined>;
    /**
     * Delete navigation property profileCardProperties for admin
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: ProfileCardPropertyItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get profileCardProperties from admin
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: ProfileCardPropertyItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property profileCardProperties in admin
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ProfileCardProperty, requestConfiguration?: ProfileCardPropertyItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ProfileCardPropertyItemRequestBuilder
     */
    withUrl(rawUrl: string): ProfileCardPropertyItemRequestBuilder;
}
