import { type IncomingCallOptions } from '../../../../models/incomingCallOptions';
import { type MediaConfig } from '../../../../models/mediaConfig';
import { Modality } from '../../../../models/modality';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AnswerPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The acceptedModalities property
     */
    acceptedModalities?: Modality[];
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The callbackUri property
     */
    callbackUri?: string;
    /**
     * The callOptions property
     */
    callOptions?: IncomingCallOptions;
    /**
     * The mediaConfig property
     */
    mediaConfig?: MediaConfig;
    /**
     * The participantCapacity property
     */
    participantCapacity?: number;
}
export declare function createAnswerPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAnswerPostRequestBody;
export declare function deserializeIntoAnswerPostRequestBody(answerPostRequestBody?: AnswerPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAnswerPostRequestBody(writer: SerializationWriter, answerPostRequestBody?: AnswerPostRequestBody | undefined): void;
