import { type ChangeScreenSharingRolePostRequestBody } from './changeScreenSharingRolePostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ChangeScreenSharingRoleRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the changeScreenSharingRole method.
 */
export declare class ChangeScreenSharingRoleRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ChangeScreenSharingRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Allow applications to share screen content with the participants of a group call. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/call-changescreensharingrole?view=graph-rest-1.0|Find more info here}
     */
    post(body: ChangeScreenSharingRolePostRequestBody, requestConfiguration?: ChangeScreenSharingRoleRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Allow applications to share screen content with the participants of a group call. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ChangeScreenSharingRolePostRequestBody, requestConfiguration?: ChangeScreenSharingRoleRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a changeScreenSharingRoleRequestBuilder
     */
    withUrl(rawUrl: string): ChangeScreenSharingRoleRequestBuilder;
}
