import { type StopHoldMusicOperation } from '../../../../../../models/stopHoldMusicOperation';
import { type StopHoldMusicPostRequestBody } from './stopHoldMusicPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface StopHoldMusicRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the stopHoldMusic method.
 */
export declare class StopHoldMusicRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new StopHoldMusicRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Reincorporate a participant previously put on hold to the call. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of StopHoldMusicOperation
     * @see {@link https://learn.microsoft.com/graph/api/participant-stopholdmusic?view=graph-rest-1.0|Find more info here}
     */
    post(body: StopHoldMusicPostRequestBody, requestConfiguration?: StopHoldMusicRequestBuilderPostRequestConfiguration | undefined): Promise<StopHoldMusicOperation | undefined>;
    /**
     * Reincorporate a participant previously put on hold to the call. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: StopHoldMusicPostRequestBody, requestConfiguration?: StopHoldMusicRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a stopHoldMusicRequestBuilder
     */
    withUrl(rawUrl: string): StopHoldMusicRequestBuilder;
}
