import { type Prompt } from '../../../../models/prompt';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecordResponsePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRecordResponsePostRequestBody;
export declare function deserializeIntoRecordResponsePostRequestBody(recordResponsePostRequestBody?: RecordResponsePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RecordResponsePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bargeInAllowed property
     */
    bargeInAllowed?: boolean;
    /**
     * The clientContext property
     */
    clientContext?: string;
    /**
     * The initialSilenceTimeoutInSeconds property
     */
    initialSilenceTimeoutInSeconds?: number;
    /**
     * The maxRecordDurationInSeconds property
     */
    maxRecordDurationInSeconds?: number;
    /**
     * The maxSilenceTimeoutInSeconds property
     */
    maxSilenceTimeoutInSeconds?: number;
    /**
     * The playBeep property
     */
    playBeep?: boolean;
    /**
     * The prompts property
     */
    prompts?: Prompt[];
    /**
     * The stopTones property
     */
    stopTones?: string[];
}
export declare function serializeRecordResponsePostRequestBody(writer: SerializationWriter, recordResponsePostRequestBody?: RecordResponsePostRequestBody | undefined): void;
