import { type InvitationParticipantInfo } from '../../../../models/invitationParticipantInfo';
import { type ParticipantInfo } from '../../../../models/participantInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTransferPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTransferPostRequestBody;
export declare function deserializeIntoTransferPostRequestBody(transferPostRequestBody?: TransferPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTransferPostRequestBody(writer: SerializationWriter, transferPostRequestBody?: TransferPostRequestBody | undefined): void;
export interface TransferPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The transferee property
     */
    transferee?: ParticipantInfo;
    /**
     * The transferTarget property
     */
    transferTarget?: InvitationParticipantInfo;
}
