import { type ManagedAppPolicyDeploymentSummary } from '../../../../models/managedAppPolicyDeploymentSummary';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface DeploymentSummaryRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface DeploymentSummaryRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface DeploymentSummaryRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: DeploymentSummaryRequestBuilderGetQueryParameters;
}
export interface DeploymentSummaryRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the deploymentSummary property of the microsoft.graph.defaultManagedAppProtection entity.
 */
export declare class DeploymentSummaryRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DeploymentSummaryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property deploymentSummary for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: DeploymentSummaryRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Navigation property to deployment summary of the configuration.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedAppPolicyDeploymentSummary
     */
    get(requestConfiguration?: DeploymentSummaryRequestBuilderGetRequestConfiguration | undefined): Promise<ManagedAppPolicyDeploymentSummary | undefined>;
    /**
     * Update the navigation property deploymentSummary in deviceAppManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedAppPolicyDeploymentSummary
     */
    patch(body: ManagedAppPolicyDeploymentSummary, requestConfiguration?: DeploymentSummaryRequestBuilderPatchRequestConfiguration | undefined): Promise<ManagedAppPolicyDeploymentSummary | undefined>;
    /**
     * Delete navigation property deploymentSummary for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: DeploymentSummaryRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Navigation property to deployment summary of the configuration.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: DeploymentSummaryRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property deploymentSummary in deviceAppManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ManagedAppPolicyDeploymentSummary, requestConfiguration?: DeploymentSummaryRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deploymentSummaryRequestBuilder
     */
    withUrl(rawUrl: string): DeploymentSummaryRequestBuilder;
}
