"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceAppManagementRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceAppManagement_1 = require("../models/deviceAppManagement");
const oDataError_1 = require("../models/oDataErrors/oDataError");
const androidManagedAppProtectionsRequestBuilder_1 = require("./androidManagedAppProtections/androidManagedAppProtectionsRequestBuilder");
const defaultManagedAppProtectionsRequestBuilder_1 = require("./defaultManagedAppProtections/defaultManagedAppProtectionsRequestBuilder");
const iosManagedAppProtectionsRequestBuilder_1 = require("./iosManagedAppProtections/iosManagedAppProtectionsRequestBuilder");
const managedAppPoliciesRequestBuilder_1 = require("./managedAppPolicies/managedAppPoliciesRequestBuilder");
const managedAppRegistrationsRequestBuilder_1 = require("./managedAppRegistrations/managedAppRegistrationsRequestBuilder");
const managedAppStatusesRequestBuilder_1 = require("./managedAppStatuses/managedAppStatusesRequestBuilder");
const managedEBooksRequestBuilder_1 = require("./managedEBooks/managedEBooksRequestBuilder");
const mdmWindowsInformationProtectionPoliciesRequestBuilder_1 = require("./mdmWindowsInformationProtectionPolicies/mdmWindowsInformationProtectionPoliciesRequestBuilder");
const mobileAppCategoriesRequestBuilder_1 = require("./mobileAppCategories/mobileAppCategoriesRequestBuilder");
const mobileAppConfigurationsRequestBuilder_1 = require("./mobileAppConfigurations/mobileAppConfigurationsRequestBuilder");
const mobileAppsRequestBuilder_1 = require("./mobileApps/mobileAppsRequestBuilder");
const syncMicrosoftStoreForBusinessAppsRequestBuilder_1 = require("./syncMicrosoftStoreForBusinessApps/syncMicrosoftStoreForBusinessAppsRequestBuilder");
const targetedManagedAppConfigurationsRequestBuilder_1 = require("./targetedManagedAppConfigurations/targetedManagedAppConfigurationsRequestBuilder");
const vppTokensRequestBuilder_1 = require("./vppTokens/vppTokensRequestBuilder");
const windowsInformationProtectionPoliciesRequestBuilder_1 = require("./windowsInformationProtectionPolicies/windowsInformationProtectionPoliciesRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the deviceAppManagement singleton.
 */
class DeviceAppManagementRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the androidManagedAppProtections property of the microsoft.graph.deviceAppManagement entity.
     */
    get androidManagedAppProtections() {
        return new androidManagedAppProtectionsRequestBuilder_1.AndroidManagedAppProtectionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the defaultManagedAppProtections property of the microsoft.graph.deviceAppManagement entity.
     */
    get defaultManagedAppProtections() {
        return new defaultManagedAppProtectionsRequestBuilder_1.DefaultManagedAppProtectionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the iosManagedAppProtections property of the microsoft.graph.deviceAppManagement entity.
     */
    get iosManagedAppProtections() {
        return new iosManagedAppProtectionsRequestBuilder_1.IosManagedAppProtectionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedAppPolicies property of the microsoft.graph.deviceAppManagement entity.
     */
    get managedAppPolicies() {
        return new managedAppPoliciesRequestBuilder_1.ManagedAppPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedAppRegistrations property of the microsoft.graph.deviceAppManagement entity.
     */
    get managedAppRegistrations() {
        return new managedAppRegistrationsRequestBuilder_1.ManagedAppRegistrationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedAppStatuses property of the microsoft.graph.deviceAppManagement entity.
     */
    get managedAppStatuses() {
        return new managedAppStatusesRequestBuilder_1.ManagedAppStatusesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedEBooks property of the microsoft.graph.deviceAppManagement entity.
     */
    get managedEBooks() {
        return new managedEBooksRequestBuilder_1.ManagedEBooksRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mdmWindowsInformationProtectionPolicies property of the microsoft.graph.deviceAppManagement entity.
     */
    get mdmWindowsInformationProtectionPolicies() {
        return new mdmWindowsInformationProtectionPoliciesRequestBuilder_1.MdmWindowsInformationProtectionPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mobileAppCategories property of the microsoft.graph.deviceAppManagement entity.
     */
    get mobileAppCategories() {
        return new mobileAppCategoriesRequestBuilder_1.MobileAppCategoriesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mobileAppConfigurations property of the microsoft.graph.deviceAppManagement entity.
     */
    get mobileAppConfigurations() {
        return new mobileAppConfigurationsRequestBuilder_1.MobileAppConfigurationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity.
     */
    get mobileApps() {
        return new mobileAppsRequestBuilder_1.MobileAppsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the syncMicrosoftStoreForBusinessApps method.
     */
    get syncMicrosoftStoreForBusinessApps() {
        return new syncMicrosoftStoreForBusinessAppsRequestBuilder_1.SyncMicrosoftStoreForBusinessAppsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the targetedManagedAppConfigurations property of the microsoft.graph.deviceAppManagement entity.
     */
    get targetedManagedAppConfigurations() {
        return new targetedManagedAppConfigurationsRequestBuilder_1.TargetedManagedAppConfigurationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the vppTokens property of the microsoft.graph.deviceAppManagement entity.
     */
    get vppTokens() {
        return new vppTokensRequestBuilder_1.VppTokensRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the windowsInformationProtectionPolicies property of the microsoft.graph.deviceAppManagement entity.
     */
    get windowsInformationProtectionPolicies() {
        return new windowsInformationProtectionPoliciesRequestBuilder_1.WindowsInformationProtectionPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new DeviceAppManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceAppManagement{?%24select,%24expand}");
    }
    ;
    /**
     * Read properties and relationships of the deviceAppManagement object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceAppManagement
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-deviceappmanagement-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, deviceAppManagement_1.createDeviceAppManagementFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a deviceAppManagement object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceAppManagement
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-deviceappmanagement-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, deviceAppManagement_1.createDeviceAppManagementFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the deviceAppManagement object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a deviceAppManagement object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, deviceAppManagement_1.serializeDeviceAppManagement);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deviceAppManagementRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DeviceAppManagementRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DeviceAppManagementRequestBuilder = DeviceAppManagementRequestBuilder;
// tslint:enable
// eslint-enable
