import { type WindowsMobileMSI } from '../../../../models/';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { CategoriesRequestBuilder } from './categories/categoriesRequestBuilder';
import { ContentVersionsRequestBuilder } from './contentVersions/contentVersionsRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface GraphWindowsMobileMSIRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface GraphWindowsMobileMSIRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: GraphWindowsMobileMSIRequestBuilderGetQueryParameters;
}
/**
 * Casts the previous resource to windowsMobileMSI.
 */
export declare class GraphWindowsMobileMSIRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments(): AssignmentsRequestBuilder;
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories(): CategoriesRequestBuilder;
    /**
     * Provides operations to manage the contentVersions property of the microsoft.graph.mobileLobApp entity.
     */
    get contentVersions(): ContentVersionsRequestBuilder;
    /**
     * Instantiates a new GraphWindowsMobileMSIRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.windowsMobileMSI
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WindowsMobileMSI
     */
    get(requestConfiguration?: GraphWindowsMobileMSIRequestBuilderGetRequestConfiguration | undefined): Promise<WindowsMobileMSI | undefined>;
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.windowsMobileMSI
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: GraphWindowsMobileMSIRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphWindowsMobileMSIRequestBuilder
     */
    withUrl(rawUrl: string): GraphWindowsMobileMSIRequestBuilder;
}
