import { type WindowsWebApp } from '../../../../models/';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { CategoriesRequestBuilder } from './categories/categoriesRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface GraphWindowsWebAppRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface GraphWindowsWebAppRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: GraphWindowsWebAppRequestBuilderGetQueryParameters;
}
/**
 * Casts the previous resource to windowsWebApp.
 */
export declare class GraphWindowsWebAppRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments(): AssignmentsRequestBuilder;
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories(): CategoriesRequestBuilder;
    /**
     * Instantiates a new GraphWindowsWebAppRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.windowsWebApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WindowsWebApp
     */
    get(requestConfiguration?: GraphWindowsWebAppRequestBuilderGetRequestConfiguration | undefined): Promise<WindowsWebApp | undefined>;
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.windowsWebApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: GraphWindowsWebAppRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphWindowsWebAppRequestBuilder
     */
    withUrl(rawUrl: string): GraphWindowsWebAppRequestBuilder;
}
