import { type MobileApp } from '../../../models/mobileApp';
import { AssignRequestBuilder } from './assign/assignRequestBuilder';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { CategoriesRequestBuilder } from './categories/categoriesRequestBuilder';
import { GraphAndroidLobAppRequestBuilder } from './graphAndroidLobApp/graphAndroidLobAppRequestBuilder';
import { GraphAndroidStoreAppRequestBuilder } from './graphAndroidStoreApp/graphAndroidStoreAppRequestBuilder';
import { GraphIosLobAppRequestBuilder } from './graphIosLobApp/graphIosLobAppRequestBuilder';
import { GraphIosStoreAppRequestBuilder } from './graphIosStoreApp/graphIosStoreAppRequestBuilder';
import { GraphIosVppAppRequestBuilder } from './graphIosVppApp/graphIosVppAppRequestBuilder';
import { GraphMacOSDmgAppRequestBuilder } from './graphMacOSDmgApp/graphMacOSDmgAppRequestBuilder';
import { GraphMacOSLobAppRequestBuilder } from './graphMacOSLobApp/graphMacOSLobAppRequestBuilder';
import { GraphManagedAndroidLobAppRequestBuilder } from './graphManagedAndroidLobApp/graphManagedAndroidLobAppRequestBuilder';
import { GraphManagedIOSLobAppRequestBuilder } from './graphManagedIOSLobApp/graphManagedIOSLobAppRequestBuilder';
import { GraphManagedMobileLobAppRequestBuilder } from './graphManagedMobileLobApp/graphManagedMobileLobAppRequestBuilder';
import { GraphMicrosoftStoreForBusinessAppRequestBuilder } from './graphMicrosoftStoreForBusinessApp/graphMicrosoftStoreForBusinessAppRequestBuilder';
import { GraphWin32LobAppRequestBuilder } from './graphWin32LobApp/graphWin32LobAppRequestBuilder';
import { GraphWindowsAppXRequestBuilder } from './graphWindowsAppX/graphWindowsAppXRequestBuilder';
import { GraphWindowsMobileMSIRequestBuilder } from './graphWindowsMobileMSI/graphWindowsMobileMSIRequestBuilder';
import { GraphWindowsUniversalAppXRequestBuilder } from './graphWindowsUniversalAppX/graphWindowsUniversalAppXRequestBuilder';
import { GraphWindowsWebAppRequestBuilder } from './graphWindowsWebApp/graphWindowsWebAppRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface MobileAppItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface MobileAppItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface MobileAppItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: MobileAppItemRequestBuilderGetQueryParameters;
}
export interface MobileAppItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity.
 */
export declare class MobileAppItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the assign method.
     */
    get assign(): AssignRequestBuilder;
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments(): AssignmentsRequestBuilder;
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories(): CategoriesRequestBuilder;
    /**
     * Casts the previous resource to androidLobApp.
     */
    get graphAndroidLobApp(): GraphAndroidLobAppRequestBuilder;
    /**
     * Casts the previous resource to androidStoreApp.
     */
    get graphAndroidStoreApp(): GraphAndroidStoreAppRequestBuilder;
    /**
     * Casts the previous resource to iosLobApp.
     */
    get graphIosLobApp(): GraphIosLobAppRequestBuilder;
    /**
     * Casts the previous resource to iosStoreApp.
     */
    get graphIosStoreApp(): GraphIosStoreAppRequestBuilder;
    /**
     * Casts the previous resource to iosVppApp.
     */
    get graphIosVppApp(): GraphIosVppAppRequestBuilder;
    /**
     * Casts the previous resource to macOSDmgApp.
     */
    get graphMacOSDmgApp(): GraphMacOSDmgAppRequestBuilder;
    /**
     * Casts the previous resource to macOSLobApp.
     */
    get graphMacOSLobApp(): GraphMacOSLobAppRequestBuilder;
    /**
     * Casts the previous resource to managedAndroidLobApp.
     */
    get graphManagedAndroidLobApp(): GraphManagedAndroidLobAppRequestBuilder;
    /**
     * Casts the previous resource to managedIOSLobApp.
     */
    get graphManagedIOSLobApp(): GraphManagedIOSLobAppRequestBuilder;
    /**
     * Casts the previous resource to managedMobileLobApp.
     */
    get graphManagedMobileLobApp(): GraphManagedMobileLobAppRequestBuilder;
    /**
     * Casts the previous resource to microsoftStoreForBusinessApp.
     */
    get graphMicrosoftStoreForBusinessApp(): GraphMicrosoftStoreForBusinessAppRequestBuilder;
    /**
     * Casts the previous resource to win32LobApp.
     */
    get graphWin32LobApp(): GraphWin32LobAppRequestBuilder;
    /**
     * Casts the previous resource to windowsAppX.
     */
    get graphWindowsAppX(): GraphWindowsAppXRequestBuilder;
    /**
     * Casts the previous resource to windowsMobileMSI.
     */
    get graphWindowsMobileMSI(): GraphWindowsMobileMSIRequestBuilder;
    /**
     * Casts the previous resource to windowsUniversalAppX.
     */
    get graphWindowsUniversalAppX(): GraphWindowsUniversalAppXRequestBuilder;
    /**
     * Casts the previous resource to windowsWebApp.
     */
    get graphWindowsWebApp(): GraphWindowsWebAppRequestBuilder;
    /**
     * Instantiates a new MobileAppItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Deletes a windowsMobileMSI.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-windowsmobilemsi-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: MobileAppItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Read properties and relationships of the macOSOfficeSuiteApp object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-macosofficesuiteapp-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: MobileAppItemRequestBuilderGetRequestConfiguration | undefined): Promise<MobileApp | undefined>;
    /**
     * Update the properties of a windowsMobileMSI object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-windowsmobilemsi-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: MobileApp, requestConfiguration?: MobileAppItemRequestBuilderPatchRequestConfiguration | undefined): Promise<MobileApp | undefined>;
    /**
     * Deletes a windowsMobileMSI.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: MobileAppItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Read properties and relationships of the macOSOfficeSuiteApp object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: MobileAppItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the properties of a windowsMobileMSI object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: MobileApp, requestConfiguration?: MobileAppItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a MobileAppItemRequestBuilder
     */
    withUrl(rawUrl: string): MobileAppItemRequestBuilder;
}
