import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface SyncMicrosoftStoreForBusinessAppsRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the syncMicrosoftStoreForBusinessApps method.
 */
export declare class SyncMicrosoftStoreForBusinessAppsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SyncMicrosoftStoreForBusinessAppsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Syncs Intune account with Microsoft Store For Business
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-deviceappmanagement-syncmicrosoftstoreforbusinessapps?view=graph-rest-1.0|Find more info here}
     */
    post(requestConfiguration?: SyncMicrosoftStoreForBusinessAppsRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Syncs Intune account with Microsoft Store For Business
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: SyncMicrosoftStoreForBusinessAppsRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a syncMicrosoftStoreForBusinessAppsRequestBuilder
     */
    withUrl(rawUrl: string): SyncMicrosoftStoreForBusinessAppsRequestBuilder;
}
