"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadApplePushNotificationCertificateSigningRequestRequestBuilder = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const downloadApplePushNotificationCertificateSigningRequestGetResponse_1 = require("./downloadApplePushNotificationCertificateSigningRequestGetResponse");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to call the downloadApplePushNotificationCertificateSigningRequest method.
 */
class DownloadApplePushNotificationCertificateSigningRequestRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DownloadApplePushNotificationCertificateSigningRequestRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/applePushNotificationCertificate/downloadApplePushNotificationCertificateSigningRequest()");
    }
    ;
    /**
     * Download Apple push notification certificate signing request
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DownloadApplePushNotificationCertificateSigningRequestGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, downloadApplePushNotificationCertificateSigningRequestGetResponse_1.createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Download Apple push notification certificate signing request
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a downloadApplePushNotificationCertificateSigningRequestRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DownloadApplePushNotificationCertificateSigningRequestRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DownloadApplePushNotificationCertificateSigningRequestRequestBuilder = DownloadApplePushNotificationCertificateSigningRequestRequestBuilder;
// tslint:enable
// eslint-enable
