import { type DeleteUserFromSharedAppleDevicePostRequestBody } from './deleteUserFromSharedAppleDevicePostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface DeleteUserFromSharedAppleDeviceRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the deleteUserFromSharedAppleDevice method.
 */
export declare class DeleteUserFromSharedAppleDeviceRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DeleteUserFromSharedAppleDeviceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete user from shared Apple device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-deleteuserfromsharedappledevice?view=graph-rest-1.0|Find more info here}
     */
    post(body: DeleteUserFromSharedAppleDevicePostRequestBody, requestConfiguration?: DeleteUserFromSharedAppleDeviceRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Delete user from shared Apple device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: DeleteUserFromSharedAppleDevicePostRequestBody, requestConfiguration?: DeleteUserFromSharedAppleDeviceRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deleteUserFromSharedAppleDeviceRequestBuilder
     */
    withUrl(rawUrl: string): DeleteUserFromSharedAppleDeviceRequestBuilder;
}
