"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedDeviceItemRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const managedDevice_1 = require("../../../models/managedDevice");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const bypassActivationLockRequestBuilder_1 = require("./bypassActivationLock/bypassActivationLockRequestBuilder");
const cleanWindowsDeviceRequestBuilder_1 = require("./cleanWindowsDevice/cleanWindowsDeviceRequestBuilder");
const deleteUserFromSharedAppleDeviceRequestBuilder_1 = require("./deleteUserFromSharedAppleDevice/deleteUserFromSharedAppleDeviceRequestBuilder");
const deviceCategoryRequestBuilder_1 = require("./deviceCategory/deviceCategoryRequestBuilder");
const deviceCompliancePolicyStatesRequestBuilder_1 = require("./deviceCompliancePolicyStates/deviceCompliancePolicyStatesRequestBuilder");
const deviceConfigurationStatesRequestBuilder_1 = require("./deviceConfigurationStates/deviceConfigurationStatesRequestBuilder");
const disableLostModeRequestBuilder_1 = require("./disableLostMode/disableLostModeRequestBuilder");
const locateDeviceRequestBuilder_1 = require("./locateDevice/locateDeviceRequestBuilder");
const logCollectionRequestsRequestBuilder_1 = require("./logCollectionRequests/logCollectionRequestsRequestBuilder");
const logoutSharedAppleDeviceActiveUserRequestBuilder_1 = require("./logoutSharedAppleDeviceActiveUser/logoutSharedAppleDeviceActiveUserRequestBuilder");
const rebootNowRequestBuilder_1 = require("./rebootNow/rebootNowRequestBuilder");
const recoverPasscodeRequestBuilder_1 = require("./recoverPasscode/recoverPasscodeRequestBuilder");
const remoteLockRequestBuilder_1 = require("./remoteLock/remoteLockRequestBuilder");
const requestRemoteAssistanceRequestBuilder_1 = require("./requestRemoteAssistance/requestRemoteAssistanceRequestBuilder");
const resetPasscodeRequestBuilder_1 = require("./resetPasscode/resetPasscodeRequestBuilder");
const retireRequestBuilder_1 = require("./retire/retireRequestBuilder");
const shutDownRequestBuilder_1 = require("./shutDown/shutDownRequestBuilder");
const syncDeviceRequestBuilder_1 = require("./syncDevice/syncDeviceRequestBuilder");
const updateWindowsDeviceAccountRequestBuilder_1 = require("./updateWindowsDeviceAccount/updateWindowsDeviceAccountRequestBuilder");
const usersRequestBuilder_1 = require("./users/usersRequestBuilder");
const windowsDefenderScanRequestBuilder_1 = require("./windowsDefenderScan/windowsDefenderScanRequestBuilder");
const windowsDefenderUpdateSignaturesRequestBuilder_1 = require("./windowsDefenderUpdateSignatures/windowsDefenderUpdateSignaturesRequestBuilder");
const windowsProtectionStateRequestBuilder_1 = require("./windowsProtectionState/windowsProtectionStateRequestBuilder");
const wipeRequestBuilder_1 = require("./wipe/wipeRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the managedDevices property of the microsoft.graph.deviceManagement entity.
 */
class ManagedDeviceItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the bypassActivationLock method.
     */
    get bypassActivationLock() {
        return new bypassActivationLockRequestBuilder_1.BypassActivationLockRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cleanWindowsDevice method.
     */
    get cleanWindowsDevice() {
        return new cleanWindowsDeviceRequestBuilder_1.CleanWindowsDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the deleteUserFromSharedAppleDevice method.
     */
    get deleteUserFromSharedAppleDevice() {
        return new deleteUserFromSharedAppleDeviceRequestBuilder_1.DeleteUserFromSharedAppleDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceCategory property of the microsoft.graph.managedDevice entity.
     */
    get deviceCategory() {
        return new deviceCategoryRequestBuilder_1.DeviceCategoryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceCompliancePolicyStates property of the microsoft.graph.managedDevice entity.
     */
    get deviceCompliancePolicyStates() {
        return new deviceCompliancePolicyStatesRequestBuilder_1.DeviceCompliancePolicyStatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceConfigurationStates property of the microsoft.graph.managedDevice entity.
     */
    get deviceConfigurationStates() {
        return new deviceConfigurationStatesRequestBuilder_1.DeviceConfigurationStatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the disableLostMode method.
     */
    get disableLostMode() {
        return new disableLostModeRequestBuilder_1.DisableLostModeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the locateDevice method.
     */
    get locateDevice() {
        return new locateDeviceRequestBuilder_1.LocateDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the logCollectionRequests property of the microsoft.graph.managedDevice entity.
     */
    get logCollectionRequests() {
        return new logCollectionRequestsRequestBuilder_1.LogCollectionRequestsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the logoutSharedAppleDeviceActiveUser method.
     */
    get logoutSharedAppleDeviceActiveUser() {
        return new logoutSharedAppleDeviceActiveUserRequestBuilder_1.LogoutSharedAppleDeviceActiveUserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rebootNow method.
     */
    get rebootNow() {
        return new rebootNowRequestBuilder_1.RebootNowRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the recoverPasscode method.
     */
    get recoverPasscode() {
        return new recoverPasscodeRequestBuilder_1.RecoverPasscodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the remoteLock method.
     */
    get remoteLock() {
        return new remoteLockRequestBuilder_1.RemoteLockRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the requestRemoteAssistance method.
     */
    get requestRemoteAssistance() {
        return new requestRemoteAssistanceRequestBuilder_1.RequestRemoteAssistanceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the resetPasscode method.
     */
    get resetPasscode() {
        return new resetPasscodeRequestBuilder_1.ResetPasscodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the retire method.
     */
    get retire() {
        return new retireRequestBuilder_1.RetireRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the shutDown method.
     */
    get shutDown() {
        return new shutDownRequestBuilder_1.ShutDownRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the syncDevice method.
     */
    get syncDevice() {
        return new syncDeviceRequestBuilder_1.SyncDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the updateWindowsDeviceAccount method.
     */
    get updateWindowsDeviceAccount() {
        return new updateWindowsDeviceAccountRequestBuilder_1.UpdateWindowsDeviceAccountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the users property of the microsoft.graph.managedDevice entity.
     */
    get users() {
        return new usersRequestBuilder_1.UsersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the windowsDefenderScan method.
     */
    get windowsDefenderScan() {
        return new windowsDefenderScanRequestBuilder_1.WindowsDefenderScanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the windowsDefenderUpdateSignatures method.
     */
    get windowsDefenderUpdateSignatures() {
        return new windowsDefenderUpdateSignaturesRequestBuilder_1.WindowsDefenderUpdateSignaturesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the windowsProtectionState property of the microsoft.graph.managedDevice entity.
     */
    get windowsProtectionState() {
        return new windowsProtectionStateRequestBuilder_1.WindowsProtectionStateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the wipe method.
     */
    get wipe() {
        return new wipeRequestBuilder_1.WipeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new ManagedDeviceItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/managedDevices/{managedDevice%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Deletes a managedDevice.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the managedDevice object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedDevice
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, managedDevice_1.createManagedDeviceFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a managedDevice object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedDevice
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, managedDevice_1.createManagedDeviceFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Deletes a managedDevice.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        requestInfo.tryAddRequestHeaders("Accept", "application/json, application/json");
        return requestInfo;
    }
    ;
    /**
     * Read properties and relationships of the managedDevice object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a managedDevice object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, managedDevice_1.serializeManagedDevice);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ManagedDeviceItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ManagedDeviceItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ManagedDeviceItemRequestBuilder = ManagedDeviceItemRequestBuilder;
// tslint:enable
// eslint-enable
