import { type UserExperienceAnalyticsCategory } from '../../models/userExperienceAnalyticsCategory';
import { MetricValuesRequestBuilder } from './metricValues/metricValuesRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsAppHealthOverviewRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface UserExperienceAnalyticsAppHealthOverviewRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface UserExperienceAnalyticsAppHealthOverviewRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderGetQueryParameters;
}
export interface UserExperienceAnalyticsAppHealthOverviewRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsAppHealthOverview property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsAppHealthOverviewRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the metricValues property of the microsoft.graph.userExperienceAnalyticsCategory entity.
     */
    get metricValues(): MetricValuesRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsAppHealthOverviewRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsAppHealthOverview for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * User experience analytics appHealth overview
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsCategory
     */
    get(requestConfiguration?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderGetRequestConfiguration | undefined): Promise<UserExperienceAnalyticsCategory | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsAppHealthOverview in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsCategory
     */
    patch(body: UserExperienceAnalyticsCategory, requestConfiguration?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderPatchRequestConfiguration | undefined): Promise<UserExperienceAnalyticsCategory | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsAppHealthOverview for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * User experience analytics appHealth overview
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsAppHealthOverview in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsCategory, requestConfiguration?: UserExperienceAnalyticsAppHealthOverviewRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a userExperienceAnalyticsAppHealthOverviewRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsAppHealthOverviewRequestBuilder;
}
