import { type UserExperienceAnalyticsDeviceScores } from '../../../models/userExperienceAnalyticsDeviceScores';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsDeviceScoresItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface UserExperienceAnalyticsDeviceScoresItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface UserExperienceAnalyticsDeviceScoresItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderGetQueryParameters;
}
export interface UserExperienceAnalyticsDeviceScoresItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsDeviceScores property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsDeviceScoresItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UserExperienceAnalyticsDeviceScoresItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsDeviceScores for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * User experience analytics device scores
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsDeviceScores
     */
    get(requestConfiguration?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderGetRequestConfiguration | undefined): Promise<UserExperienceAnalyticsDeviceScores | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsDeviceScores in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsDeviceScores
     */
    patch(body: UserExperienceAnalyticsDeviceScores, requestConfiguration?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderPatchRequestConfiguration | undefined): Promise<UserExperienceAnalyticsDeviceScores | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsDeviceScores for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * User experience analytics device scores
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsDeviceScores in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsDeviceScores, requestConfiguration?: UserExperienceAnalyticsDeviceScoresItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserExperienceAnalyticsDeviceScoresItemRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsDeviceScoresItemRequestBuilder;
}
