import { type UserExperienceAnalyticsDeviceStartupProcess } from '../../../models/userExperienceAnalyticsDeviceStartupProcess';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderGetQueryParameters;
}
export interface UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsDeviceStartupProcesses property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsDeviceStartupProcesses for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * User experience analytics device Startup Processes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsDeviceStartupProcess
     */
    get(requestConfiguration?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderGetRequestConfiguration | undefined): Promise<UserExperienceAnalyticsDeviceStartupProcess | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsDeviceStartupProcesses in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsDeviceStartupProcess
     */
    patch(body: UserExperienceAnalyticsDeviceStartupProcess, requestConfiguration?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderPatchRequestConfiguration | undefined): Promise<UserExperienceAnalyticsDeviceStartupProcess | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsDeviceStartupProcesses for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * User experience analytics device Startup Processes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsDeviceStartupProcesses in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsDeviceStartupProcess, requestConfiguration?: UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsDeviceStartupProcessItemRequestBuilder;
}
