import { type ItemActivityStat } from '../../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface LastSevenDaysRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface LastSevenDaysRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: LastSevenDaysRequestBuilderGetQueryParameters;
}
/**
 * Provides operations to manage the lastSevenDays property of the microsoft.graph.itemAnalytics entity.
 */
export declare class LastSevenDaysRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new LastSevenDaysRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get lastSevenDays from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ItemActivityStat
     */
    get(requestConfiguration?: LastSevenDaysRequestBuilderGetRequestConfiguration | undefined): Promise<ItemActivityStat | undefined>;
    /**
     * Get lastSevenDays from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: LastSevenDaysRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a lastSevenDaysRequestBuilder
     */
    withUrl(rawUrl: string): LastSevenDaysRequestBuilder;
}
