import { type DriveRecipient } from '../../../../../models/driveRecipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInvitePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInvitePostRequestBody;
export declare function deserializeIntoInvitePostRequestBody(invitePostRequestBody?: InvitePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface InvitePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The expirationDateTime property
     */
    expirationDateTime?: string;
    /**
     * The message property
     */
    message?: string;
    /**
     * The password property
     */
    password?: string;
    /**
     * The recipients property
     */
    recipients?: DriveRecipient[];
    /**
     * The requireSignIn property
     */
    requireSignIn?: boolean;
    /**
     * The retainInheritedPermissions property
     */
    retainInheritedPermissions?: boolean;
    /**
     * The roles property
     */
    roles?: string[];
    /**
     * The sendInvitation property
     */
    sendInvitation?: boolean;
}
export declare function serializeInvitePostRequestBody(writer: SerializationWriter, invitePostRequestBody?: InvitePostRequestBody | undefined): void;
