import { type ValidatePermissionPostRequestBody } from './validatePermissionPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ValidatePermissionRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the validatePermission method.
 */
export declare class ValidatePermissionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ValidatePermissionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action validatePermission
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ValidatePermissionPostRequestBody, requestConfiguration?: ValidatePermissionRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Invoke action validatePermission
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ValidatePermissionPostRequestBody, requestConfiguration?: ValidatePermissionRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a validatePermissionRequestBuilder
     */
    withUrl(rawUrl: string): ValidatePermissionRequestBuilder;
}
