import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BasePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The minLength property
     */
    minLength?: Json;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The radix property
     */
    radix?: Json;
}
export declare function createBasePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBasePostRequestBody;
export declare function deserializeIntoBasePostRequestBody(basePostRequestBody?: BasePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBasePostRequestBody(writer: SerializationWriter, basePostRequestBody?: BasePostRequestBody | undefined): void;
