import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type Ceiling_MathPostRequestBody } from './ceiling_MathPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface Ceiling_MathRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the ceiling_Math method.
 */
export declare class Ceiling_MathRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Ceiling_MathRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action ceiling_Math
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Ceiling_MathPostRequestBody, requestConfiguration?: Ceiling_MathRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action ceiling_Math
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Ceiling_MathPostRequestBody, requestConfiguration?: Ceiling_MathRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ceiling_MathRequestBuilder
     */
    withUrl(rawUrl: string): Ceiling_MathRequestBuilder;
}
