import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDatePostRequestBody;
export interface DatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The day property
     */
    day?: Json;
    /**
     * The month property
     */
    month?: Json;
    /**
     * The year property
     */
    year?: Json;
}
export declare function deserializeIntoDatePostRequestBody(datePostRequestBody?: DatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDatePostRequestBody(writer: SerializationWriter, datePostRequestBody?: DatePostRequestBody | undefined): void;
