import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDbPostRequestBody;
export interface DbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The life property
     */
    life?: Json;
    /**
     * The month property
     */
    month?: Json;
    /**
     * The period property
     */
    period?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
}
export declare function deserializeIntoDbPostRequestBody(dbPostRequestBody?: DbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDbPostRequestBody(writer: SerializationWriter, dbPostRequestBody?: DbPostRequestBody | undefined): void;
