import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type Ecma_CeilingPostRequestBody } from './ecma_CeilingPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface Ecma_CeilingRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the ecma_Ceiling method.
 */
export declare class Ecma_CeilingRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Ecma_CeilingRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action ecma_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Ecma_CeilingPostRequestBody, requestConfiguration?: Ecma_CeilingRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action ecma_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Ecma_CeilingPostRequestBody, requestConfiguration?: Ecma_CeilingRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ecma_CeilingRequestBuilder
     */
    withUrl(rawUrl: string): Ecma_CeilingRequestBuilder;
}
