import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type F_Inv_RTPostRequestBody } from './f_Inv_RTPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface F_Inv_RTRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the f_Inv_RT method.
 */
export declare class F_Inv_RTRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new F_Inv_RTRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action f_Inv_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: F_Inv_RTPostRequestBody, requestConfiguration?: F_Inv_RTRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action f_Inv_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: F_Inv_RTPostRequestBody, requestConfiguration?: F_Inv_RTRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a f_Inv_RTRequestBuilder
     */
    withUrl(rawUrl: string): F_Inv_RTRequestBuilder;
}
