import { type WorkbookFunctions } from '../../../../../../models/workbookFunctions';
import { AbsRequestBuilder } from './abs/absRequestBuilder';
import { AccrIntRequestBuilder } from './accrInt/accrIntRequestBuilder';
import { AccrIntMRequestBuilder } from './accrIntM/accrIntMRequestBuilder';
import { AcosRequestBuilder } from './acos/acosRequestBuilder';
import { AcoshRequestBuilder } from './acosh/acoshRequestBuilder';
import { AcotRequestBuilder } from './acot/acotRequestBuilder';
import { AcothRequestBuilder } from './acoth/acothRequestBuilder';
import { AmorDegrcRequestBuilder } from './amorDegrc/amorDegrcRequestBuilder';
import { AmorLincRequestBuilder } from './amorLinc/amorLincRequestBuilder';
import { AndRequestBuilder } from './and/andRequestBuilder';
import { ArabicRequestBuilder } from './arabic/arabicRequestBuilder';
import { AreasRequestBuilder } from './areas/areasRequestBuilder';
import { AscRequestBuilder } from './asc/ascRequestBuilder';
import { AsinRequestBuilder } from './asin/asinRequestBuilder';
import { AsinhRequestBuilder } from './asinh/asinhRequestBuilder';
import { AtanRequestBuilder } from './atan/atanRequestBuilder';
import { Atan2RequestBuilder } from './atan2/atan2RequestBuilder';
import { AtanhRequestBuilder } from './atanh/atanhRequestBuilder';
import { AveDevRequestBuilder } from './aveDev/aveDevRequestBuilder';
import { AverageRequestBuilder } from './average/averageRequestBuilder';
import { AverageARequestBuilder } from './averageA/averageARequestBuilder';
import { AverageIfRequestBuilder } from './averageIf/averageIfRequestBuilder';
import { AverageIfsRequestBuilder } from './averageIfs/averageIfsRequestBuilder';
import { BahtTextRequestBuilder } from './bahtText/bahtTextRequestBuilder';
import { BaseRequestBuilderEscaped } from './base/baseRequestBuilderEscaped';
import { BesselIRequestBuilder } from './besselI/besselIRequestBuilder';
import { BesselJRequestBuilder } from './besselJ/besselJRequestBuilder';
import { BesselKRequestBuilder } from './besselK/besselKRequestBuilder';
import { BesselYRequestBuilder } from './besselY/besselYRequestBuilder';
import { Beta_DistRequestBuilder } from './beta_Dist/beta_DistRequestBuilder';
import { Beta_InvRequestBuilder } from './beta_Inv/beta_InvRequestBuilder';
import { Bin2DecRequestBuilder } from './bin2Dec/bin2DecRequestBuilder';
import { Bin2HexRequestBuilder } from './bin2Hex/bin2HexRequestBuilder';
import { Bin2OctRequestBuilder } from './bin2Oct/bin2OctRequestBuilder';
import { Binom_Dist_RangeRequestBuilder } from './binom_Dist_Range/binom_Dist_RangeRequestBuilder';
import { Binom_DistRequestBuilder } from './binom_Dist/binom_DistRequestBuilder';
import { Binom_InvRequestBuilder } from './binom_Inv/binom_InvRequestBuilder';
import { BitandRequestBuilder } from './bitand/bitandRequestBuilder';
import { BitlshiftRequestBuilder } from './bitlshift/bitlshiftRequestBuilder';
import { BitorRequestBuilder } from './bitor/bitorRequestBuilder';
import { BitrshiftRequestBuilder } from './bitrshift/bitrshiftRequestBuilder';
import { BitxorRequestBuilder } from './bitxor/bitxorRequestBuilder';
import { Ceiling_MathRequestBuilder } from './ceiling_Math/ceiling_MathRequestBuilder';
import { Ceiling_PreciseRequestBuilder } from './ceiling_Precise/ceiling_PreciseRequestBuilder';
import { CharRequestBuilder } from './char/charRequestBuilder';
import { ChiSq_Dist_RTRequestBuilder } from './chiSq_Dist_RT/chiSq_Dist_RTRequestBuilder';
import { ChiSq_DistRequestBuilder } from './chiSq_Dist/chiSq_DistRequestBuilder';
import { ChiSq_Inv_RTRequestBuilder } from './chiSq_Inv_RT/chiSq_Inv_RTRequestBuilder';
import { ChiSq_InvRequestBuilder } from './chiSq_Inv/chiSq_InvRequestBuilder';
import { ChooseRequestBuilder } from './choose/chooseRequestBuilder';
import { CleanRequestBuilder } from './clean/cleanRequestBuilder';
import { CodeRequestBuilder } from './code/codeRequestBuilder';
import { ColumnsRequestBuilder } from './columns/columnsRequestBuilder';
import { CombinRequestBuilder } from './combin/combinRequestBuilder';
import { CombinaRequestBuilder } from './combina/combinaRequestBuilder';
import { ComplexRequestBuilder } from './complex/complexRequestBuilder';
import { ConcatenateRequestBuilder } from './concatenate/concatenateRequestBuilder';
import { Confidence_NormRequestBuilder } from './confidence_Norm/confidence_NormRequestBuilder';
import { Confidence_TRequestBuilder } from './confidence_T/confidence_TRequestBuilder';
import { ConvertRequestBuilder } from './convert/convertRequestBuilder';
import { CosRequestBuilder } from './cos/cosRequestBuilder';
import { CoshRequestBuilder } from './cosh/coshRequestBuilder';
import { CotRequestBuilder } from './cot/cotRequestBuilder';
import { CothRequestBuilder } from './coth/cothRequestBuilder';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { CountARequestBuilder } from './countA/countARequestBuilder';
import { CountBlankRequestBuilder } from './countBlank/countBlankRequestBuilder';
import { CountIfRequestBuilder } from './countIf/countIfRequestBuilder';
import { CountIfsRequestBuilder } from './countIfs/countIfsRequestBuilder';
import { CoupDayBsRequestBuilder } from './coupDayBs/coupDayBsRequestBuilder';
import { CoupDaysRequestBuilder } from './coupDays/coupDaysRequestBuilder';
import { CoupDaysNcRequestBuilder } from './coupDaysNc/coupDaysNcRequestBuilder';
import { CoupNcdRequestBuilder } from './coupNcd/coupNcdRequestBuilder';
import { CoupNumRequestBuilder } from './coupNum/coupNumRequestBuilder';
import { CoupPcdRequestBuilder } from './coupPcd/coupPcdRequestBuilder';
import { CscRequestBuilder } from './csc/cscRequestBuilder';
import { CschRequestBuilder } from './csch/cschRequestBuilder';
import { CumIPmtRequestBuilder } from './cumIPmt/cumIPmtRequestBuilder';
import { CumPrincRequestBuilder } from './cumPrinc/cumPrincRequestBuilder';
import { DateRequestBuilder } from './date/dateRequestBuilder';
import { DatevalueRequestBuilder } from './datevalue/datevalueRequestBuilder';
import { DaverageRequestBuilder } from './daverage/daverageRequestBuilder';
import { DayRequestBuilder } from './day/dayRequestBuilder';
import { DaysRequestBuilder } from './days/daysRequestBuilder';
import { Days360RequestBuilder } from './days360/days360RequestBuilder';
import { DbRequestBuilder } from './db/dbRequestBuilder';
import { DbcsRequestBuilder } from './dbcs/dbcsRequestBuilder';
import { DcountRequestBuilder } from './dcount/dcountRequestBuilder';
import { DcountARequestBuilder } from './dcountA/dcountARequestBuilder';
import { DdbRequestBuilder } from './ddb/ddbRequestBuilder';
import { Dec2BinRequestBuilder } from './dec2Bin/dec2BinRequestBuilder';
import { Dec2HexRequestBuilder } from './dec2Hex/dec2HexRequestBuilder';
import { Dec2OctRequestBuilder } from './dec2Oct/dec2OctRequestBuilder';
import { DecimalRequestBuilder } from './decimal/decimalRequestBuilder';
import { DegreesRequestBuilder } from './degrees/degreesRequestBuilder';
import { DeltaRequestBuilder } from './delta/deltaRequestBuilder';
import { DevSqRequestBuilder } from './devSq/devSqRequestBuilder';
import { DgetRequestBuilder } from './dget/dgetRequestBuilder';
import { DiscRequestBuilder } from './disc/discRequestBuilder';
import { DmaxRequestBuilder } from './dmax/dmaxRequestBuilder';
import { DminRequestBuilder } from './dmin/dminRequestBuilder';
import { DollarRequestBuilder } from './dollar/dollarRequestBuilder';
import { DollarDeRequestBuilder } from './dollarDe/dollarDeRequestBuilder';
import { DollarFrRequestBuilder } from './dollarFr/dollarFrRequestBuilder';
import { DproductRequestBuilder } from './dproduct/dproductRequestBuilder';
import { DstDevRequestBuilder } from './dstDev/dstDevRequestBuilder';
import { DstDevPRequestBuilder } from './dstDevP/dstDevPRequestBuilder';
import { DsumRequestBuilder } from './dsum/dsumRequestBuilder';
import { DurationRequestBuilder } from './duration/durationRequestBuilder';
import { DvarRequestBuilder } from './dvar/dvarRequestBuilder';
import { DvarPRequestBuilder } from './dvarP/dvarPRequestBuilder';
import { Ecma_CeilingRequestBuilder } from './ecma_Ceiling/ecma_CeilingRequestBuilder';
import { EdateRequestBuilder } from './edate/edateRequestBuilder';
import { EffectRequestBuilder } from './effect/effectRequestBuilder';
import { EoMonthRequestBuilder } from './eoMonth/eoMonthRequestBuilder';
import { Erf_PreciseRequestBuilder } from './erf_Precise/erf_PreciseRequestBuilder';
import { ErfRequestBuilder } from './erf/erfRequestBuilder';
import { ErfC_PreciseRequestBuilder } from './erfC_Precise/erfC_PreciseRequestBuilder';
import { ErfCRequestBuilder } from './erfC/erfCRequestBuilder';
import { Error_TypeRequestBuilder } from './error_Type/error_TypeRequestBuilder';
import { EvenRequestBuilder } from './even/evenRequestBuilder';
import { ExactRequestBuilder } from './exact/exactRequestBuilder';
import { ExpRequestBuilder } from './exp/expRequestBuilder';
import { Expon_DistRequestBuilder } from './expon_Dist/expon_DistRequestBuilder';
import { F_Dist_RTRequestBuilder } from './f_Dist_RT/f_Dist_RTRequestBuilder';
import { F_DistRequestBuilder } from './f_Dist/f_DistRequestBuilder';
import { F_Inv_RTRequestBuilder } from './f_Inv_RT/f_Inv_RTRequestBuilder';
import { F_InvRequestBuilder } from './f_Inv/f_InvRequestBuilder';
import { FactRequestBuilder } from './fact/factRequestBuilder';
import { FactDoubleRequestBuilder } from './factDouble/factDoubleRequestBuilder';
import { FalseRequestBuilder } from './falseEscaped/falseRequestBuilder';
import { FindRequestBuilder } from './find/findRequestBuilder';
import { FindBRequestBuilder } from './findB/findBRequestBuilder';
import { FisherRequestBuilder } from './fisher/fisherRequestBuilder';
import { FisherInvRequestBuilder } from './fisherInv/fisherInvRequestBuilder';
import { FixedRequestBuilder } from './fixed/fixedRequestBuilder';
import { Floor_MathRequestBuilder } from './floor_Math/floor_MathRequestBuilder';
import { Floor_PreciseRequestBuilder } from './floor_Precise/floor_PreciseRequestBuilder';
import { FvRequestBuilder } from './fv/fvRequestBuilder';
import { FvscheduleRequestBuilder } from './fvschedule/fvscheduleRequestBuilder';
import { Gamma_DistRequestBuilder } from './gamma_Dist/gamma_DistRequestBuilder';
import { Gamma_InvRequestBuilder } from './gamma_Inv/gamma_InvRequestBuilder';
import { GammaRequestBuilder } from './gamma/gammaRequestBuilder';
import { GammaLn_PreciseRequestBuilder } from './gammaLn_Precise/gammaLn_PreciseRequestBuilder';
import { GammaLnRequestBuilder } from './gammaLn/gammaLnRequestBuilder';
import { GaussRequestBuilder } from './gauss/gaussRequestBuilder';
import { GcdRequestBuilder } from './gcd/gcdRequestBuilder';
import { GeoMeanRequestBuilder } from './geoMean/geoMeanRequestBuilder';
import { GeStepRequestBuilder } from './geStep/geStepRequestBuilder';
import { HarMeanRequestBuilder } from './harMean/harMeanRequestBuilder';
import { Hex2BinRequestBuilder } from './hex2Bin/hex2BinRequestBuilder';
import { Hex2DecRequestBuilder } from './hex2Dec/hex2DecRequestBuilder';
import { Hex2OctRequestBuilder } from './hex2Oct/hex2OctRequestBuilder';
import { HlookupRequestBuilder } from './hlookup/hlookupRequestBuilder';
import { HourRequestBuilder } from './hour/hourRequestBuilder';
import { HyperlinkRequestBuilder } from './hyperlink/hyperlinkRequestBuilder';
import { HypGeom_DistRequestBuilder } from './hypGeom_Dist/hypGeom_DistRequestBuilder';
import { IfRequestBuilder } from './ifEscaped/ifRequestBuilder';
import { ImAbsRequestBuilder } from './imAbs/imAbsRequestBuilder';
import { ImaginaryRequestBuilder } from './imaginary/imaginaryRequestBuilder';
import { ImArgumentRequestBuilder } from './imArgument/imArgumentRequestBuilder';
import { ImConjugateRequestBuilder } from './imConjugate/imConjugateRequestBuilder';
import { ImCosRequestBuilder } from './imCos/imCosRequestBuilder';
import { ImCoshRequestBuilder } from './imCosh/imCoshRequestBuilder';
import { ImCotRequestBuilder } from './imCot/imCotRequestBuilder';
import { ImCscRequestBuilder } from './imCsc/imCscRequestBuilder';
import { ImCschRequestBuilder } from './imCsch/imCschRequestBuilder';
import { ImDivRequestBuilder } from './imDiv/imDivRequestBuilder';
import { ImExpRequestBuilder } from './imExp/imExpRequestBuilder';
import { ImLnRequestBuilder } from './imLn/imLnRequestBuilder';
import { ImLog10RequestBuilder } from './imLog10/imLog10RequestBuilder';
import { ImLog2RequestBuilder } from './imLog2/imLog2RequestBuilder';
import { ImPowerRequestBuilder } from './imPower/imPowerRequestBuilder';
import { ImProductRequestBuilder } from './imProduct/imProductRequestBuilder';
import { ImRealRequestBuilder } from './imReal/imRealRequestBuilder';
import { ImSecRequestBuilder } from './imSec/imSecRequestBuilder';
import { ImSechRequestBuilder } from './imSech/imSechRequestBuilder';
import { ImSinRequestBuilder } from './imSin/imSinRequestBuilder';
import { ImSinhRequestBuilder } from './imSinh/imSinhRequestBuilder';
import { ImSqrtRequestBuilder } from './imSqrt/imSqrtRequestBuilder';
import { ImSubRequestBuilder } from './imSub/imSubRequestBuilder';
import { ImSumRequestBuilder } from './imSum/imSumRequestBuilder';
import { ImTanRequestBuilder } from './imTan/imTanRequestBuilder';
import { IntRequestBuilder } from './int/intRequestBuilder';
import { IntRateRequestBuilder } from './intRate/intRateRequestBuilder';
import { IpmtRequestBuilder } from './ipmt/ipmtRequestBuilder';
import { IrrRequestBuilder } from './irr/irrRequestBuilder';
import { IsErrRequestBuilder } from './isErr/isErrRequestBuilder';
import { IsErrorRequestBuilder } from './isError/isErrorRequestBuilder';
import { IsEvenRequestBuilder } from './isEven/isEvenRequestBuilder';
import { IsFormulaRequestBuilder } from './isFormula/isFormulaRequestBuilder';
import { IsLogicalRequestBuilder } from './isLogical/isLogicalRequestBuilder';
import { IsNARequestBuilder } from './isNA/isNARequestBuilder';
import { IsNonTextRequestBuilder } from './isNonText/isNonTextRequestBuilder';
import { IsNumberRequestBuilder } from './isNumber/isNumberRequestBuilder';
import { Iso_CeilingRequestBuilder } from './iso_Ceiling/iso_CeilingRequestBuilder';
import { IsOddRequestBuilder } from './isOdd/isOddRequestBuilder';
import { IsoWeekNumRequestBuilder } from './isoWeekNum/isoWeekNumRequestBuilder';
import { IspmtRequestBuilder } from './ispmt/ispmtRequestBuilder';
import { IsrefRequestBuilder } from './isref/isrefRequestBuilder';
import { IsTextRequestBuilder } from './isText/isTextRequestBuilder';
import { KurtRequestBuilder } from './kurt/kurtRequestBuilder';
import { LargeRequestBuilder } from './large/largeRequestBuilder';
import { LcmRequestBuilder } from './lcm/lcmRequestBuilder';
import { LeftRequestBuilder } from './left/leftRequestBuilder';
import { LeftbRequestBuilder } from './leftb/leftbRequestBuilder';
import { LenRequestBuilder } from './len/lenRequestBuilder';
import { LenbRequestBuilder } from './lenb/lenbRequestBuilder';
import { LnRequestBuilder } from './ln/lnRequestBuilder';
import { LogRequestBuilder } from './log/logRequestBuilder';
import { Log10RequestBuilder } from './log10/log10RequestBuilder';
import { LogNorm_DistRequestBuilder } from './logNorm_Dist/logNorm_DistRequestBuilder';
import { LogNorm_InvRequestBuilder } from './logNorm_Inv/logNorm_InvRequestBuilder';
import { LookupRequestBuilder } from './lookup/lookupRequestBuilder';
import { LowerRequestBuilder } from './lower/lowerRequestBuilder';
import { MatchRequestBuilder } from './match/matchRequestBuilder';
import { MaxRequestBuilder } from './max/maxRequestBuilder';
import { MaxARequestBuilder } from './maxA/maxARequestBuilder';
import { MdurationRequestBuilder } from './mduration/mdurationRequestBuilder';
import { MedianRequestBuilder } from './median/medianRequestBuilder';
import { MidRequestBuilder } from './mid/midRequestBuilder';
import { MidbRequestBuilder } from './midb/midbRequestBuilder';
import { MinRequestBuilder } from './min/minRequestBuilder';
import { MinARequestBuilder } from './minA/minARequestBuilder';
import { MinuteRequestBuilder } from './minute/minuteRequestBuilder';
import { MirrRequestBuilder } from './mirr/mirrRequestBuilder';
import { ModRequestBuilder } from './mod/modRequestBuilder';
import { MonthRequestBuilder } from './month/monthRequestBuilder';
import { MroundRequestBuilder } from './mround/mroundRequestBuilder';
import { MultiNomialRequestBuilder } from './multiNomial/multiNomialRequestBuilder';
import { NRequestBuilder } from './n/nRequestBuilder';
import { NaRequestBuilder } from './na/naRequestBuilder';
import { NegBinom_DistRequestBuilder } from './negBinom_Dist/negBinom_DistRequestBuilder';
import { NetworkDays_IntlRequestBuilder } from './networkDays_Intl/networkDays_IntlRequestBuilder';
import { NetworkDaysRequestBuilder } from './networkDays/networkDaysRequestBuilder';
import { NominalRequestBuilder } from './nominal/nominalRequestBuilder';
import { Norm_DistRequestBuilder } from './norm_Dist/norm_DistRequestBuilder';
import { Norm_InvRequestBuilder } from './norm_Inv/norm_InvRequestBuilder';
import { Norm_S_DistRequestBuilder } from './norm_S_Dist/norm_S_DistRequestBuilder';
import { Norm_S_InvRequestBuilder } from './norm_S_Inv/norm_S_InvRequestBuilder';
import { NotRequestBuilder } from './not/notRequestBuilder';
import { NowRequestBuilder } from './now/nowRequestBuilder';
import { NperRequestBuilder } from './nper/nperRequestBuilder';
import { NpvRequestBuilder } from './npv/npvRequestBuilder';
import { NumberValueRequestBuilder } from './numberValue/numberValueRequestBuilder';
import { Oct2BinRequestBuilder } from './oct2Bin/oct2BinRequestBuilder';
import { Oct2DecRequestBuilder } from './oct2Dec/oct2DecRequestBuilder';
import { Oct2HexRequestBuilder } from './oct2Hex/oct2HexRequestBuilder';
import { OddRequestBuilder } from './odd/oddRequestBuilder';
import { OddFPriceRequestBuilder } from './oddFPrice/oddFPriceRequestBuilder';
import { OddFYieldRequestBuilder } from './oddFYield/oddFYieldRequestBuilder';
import { OddLPriceRequestBuilder } from './oddLPrice/oddLPriceRequestBuilder';
import { OddLYieldRequestBuilder } from './oddLYield/oddLYieldRequestBuilder';
import { OrRequestBuilder } from './or/orRequestBuilder';
import { PdurationRequestBuilder } from './pduration/pdurationRequestBuilder';
import { Percentile_ExcRequestBuilder } from './percentile_Exc/percentile_ExcRequestBuilder';
import { Percentile_IncRequestBuilder } from './percentile_Inc/percentile_IncRequestBuilder';
import { PercentRank_ExcRequestBuilder } from './percentRank_Exc/percentRank_ExcRequestBuilder';
import { PercentRank_IncRequestBuilder } from './percentRank_Inc/percentRank_IncRequestBuilder';
import { PermutRequestBuilder } from './permut/permutRequestBuilder';
import { PermutationaRequestBuilder } from './permutationa/permutationaRequestBuilder';
import { PhiRequestBuilder } from './phi/phiRequestBuilder';
import { PiRequestBuilder } from './pi/piRequestBuilder';
import { PmtRequestBuilder } from './pmt/pmtRequestBuilder';
import { Poisson_DistRequestBuilder } from './poisson_Dist/poisson_DistRequestBuilder';
import { PowerRequestBuilder } from './power/powerRequestBuilder';
import { PpmtRequestBuilder } from './ppmt/ppmtRequestBuilder';
import { PriceRequestBuilder } from './price/priceRequestBuilder';
import { PriceDiscRequestBuilder } from './priceDisc/priceDiscRequestBuilder';
import { PriceMatRequestBuilder } from './priceMat/priceMatRequestBuilder';
import { ProductRequestBuilder } from './product/productRequestBuilder';
import { ProperRequestBuilder } from './proper/properRequestBuilder';
import { PvRequestBuilder } from './pv/pvRequestBuilder';
import { Quartile_ExcRequestBuilder } from './quartile_Exc/quartile_ExcRequestBuilder';
import { Quartile_IncRequestBuilder } from './quartile_Inc/quartile_IncRequestBuilder';
import { QuotientRequestBuilder } from './quotient/quotientRequestBuilder';
import { RadiansRequestBuilder } from './radians/radiansRequestBuilder';
import { RandRequestBuilder } from './rand/randRequestBuilder';
import { RandBetweenRequestBuilder } from './randBetween/randBetweenRequestBuilder';
import { Rank_AvgRequestBuilder } from './rank_Avg/rank_AvgRequestBuilder';
import { Rank_EqRequestBuilder } from './rank_Eq/rank_EqRequestBuilder';
import { RateRequestBuilder } from './rate/rateRequestBuilder';
import { ReceivedRequestBuilder } from './received/receivedRequestBuilder';
import { ReplaceRequestBuilder } from './replace/replaceRequestBuilder';
import { ReplaceBRequestBuilder } from './replaceB/replaceBRequestBuilder';
import { ReptRequestBuilder } from './rept/reptRequestBuilder';
import { RightRequestBuilder } from './right/rightRequestBuilder';
import { RightbRequestBuilder } from './rightb/rightbRequestBuilder';
import { RomanRequestBuilder } from './roman/romanRequestBuilder';
import { RoundRequestBuilder } from './round/roundRequestBuilder';
import { RoundDownRequestBuilder } from './roundDown/roundDownRequestBuilder';
import { RoundUpRequestBuilder } from './roundUp/roundUpRequestBuilder';
import { RowsRequestBuilder } from './rows/rowsRequestBuilder';
import { RriRequestBuilder } from './rri/rriRequestBuilder';
import { SecRequestBuilder } from './sec/secRequestBuilder';
import { SechRequestBuilder } from './sech/sechRequestBuilder';
import { SecondRequestBuilder } from './second/secondRequestBuilder';
import { SeriesSumRequestBuilder } from './seriesSum/seriesSumRequestBuilder';
import { SheetRequestBuilder } from './sheet/sheetRequestBuilder';
import { SheetsRequestBuilder } from './sheets/sheetsRequestBuilder';
import { SignRequestBuilder } from './sign/signRequestBuilder';
import { SinRequestBuilder } from './sin/sinRequestBuilder';
import { SinhRequestBuilder } from './sinh/sinhRequestBuilder';
import { Skew_pRequestBuilder } from './skew_p/skew_pRequestBuilder';
import { SkewRequestBuilder } from './skew/skewRequestBuilder';
import { SlnRequestBuilder } from './sln/slnRequestBuilder';
import { SmallRequestBuilder } from './small/smallRequestBuilder';
import { SqrtRequestBuilder } from './sqrt/sqrtRequestBuilder';
import { SqrtPiRequestBuilder } from './sqrtPi/sqrtPiRequestBuilder';
import { StandardizeRequestBuilder } from './standardize/standardizeRequestBuilder';
import { StDev_PRequestBuilder } from './stDev_P/stDev_PRequestBuilder';
import { StDev_SRequestBuilder } from './stDev_S/stDev_SRequestBuilder';
import { StDevARequestBuilder } from './stDevA/stDevARequestBuilder';
import { StDevPARequestBuilder } from './stDevPA/stDevPARequestBuilder';
import { SubstituteRequestBuilder } from './substitute/substituteRequestBuilder';
import { SubtotalRequestBuilder } from './subtotal/subtotalRequestBuilder';
import { SumRequestBuilder } from './sum/sumRequestBuilder';
import { SumIfRequestBuilder } from './sumIf/sumIfRequestBuilder';
import { SumIfsRequestBuilder } from './sumIfs/sumIfsRequestBuilder';
import { SumSqRequestBuilder } from './sumSq/sumSqRequestBuilder';
import { SydRequestBuilder } from './syd/sydRequestBuilder';
import { T_Dist_2TRequestBuilder } from './t_Dist_2T/t_Dist_2TRequestBuilder';
import { T_Dist_RTRequestBuilder } from './t_Dist_RT/t_Dist_RTRequestBuilder';
import { T_DistRequestBuilder } from './t_Dist/t_DistRequestBuilder';
import { T_Inv_2TRequestBuilder } from './t_Inv_2T/t_Inv_2TRequestBuilder';
import { T_InvRequestBuilder } from './t_Inv/t_InvRequestBuilder';
import { TRequestBuilder } from './t/tRequestBuilder';
import { TanRequestBuilder } from './tan/tanRequestBuilder';
import { TanhRequestBuilder } from './tanh/tanhRequestBuilder';
import { TbillEqRequestBuilder } from './tbillEq/tbillEqRequestBuilder';
import { TbillPriceRequestBuilder } from './tbillPrice/tbillPriceRequestBuilder';
import { TbillYieldRequestBuilder } from './tbillYield/tbillYieldRequestBuilder';
import { TextRequestBuilder } from './text/textRequestBuilder';
import { TimeRequestBuilder } from './time/timeRequestBuilder';
import { TimevalueRequestBuilder } from './timevalue/timevalueRequestBuilder';
import { TodayRequestBuilder } from './today/todayRequestBuilder';
import { TrimRequestBuilder } from './trim/trimRequestBuilder';
import { TrimMeanRequestBuilder } from './trimMean/trimMeanRequestBuilder';
import { TrueRequestBuilder } from './trueEscaped/trueRequestBuilder';
import { TruncRequestBuilder } from './trunc/truncRequestBuilder';
import { TypeRequestBuilder } from './type/typeRequestBuilder';
import { UnicharRequestBuilder } from './unichar/unicharRequestBuilder';
import { UnicodeRequestBuilder } from './unicode/unicodeRequestBuilder';
import { UpperRequestBuilder } from './upper/upperRequestBuilder';
import { UsdollarRequestBuilder } from './usdollar/usdollarRequestBuilder';
import { ValueRequestBuilder } from './value/valueRequestBuilder';
import { Var_PRequestBuilder } from './var_P/var_PRequestBuilder';
import { Var_SRequestBuilder } from './var_S/var_SRequestBuilder';
import { VarARequestBuilder } from './varA/varARequestBuilder';
import { VarPARequestBuilder } from './varPA/varPARequestBuilder';
import { VdbRequestBuilder } from './vdb/vdbRequestBuilder';
import { VlookupRequestBuilder } from './vlookup/vlookupRequestBuilder';
import { WeekdayRequestBuilder } from './weekday/weekdayRequestBuilder';
import { WeekNumRequestBuilder } from './weekNum/weekNumRequestBuilder';
import { Weibull_DistRequestBuilder } from './weibull_Dist/weibull_DistRequestBuilder';
import { WorkDay_IntlRequestBuilder } from './workDay_Intl/workDay_IntlRequestBuilder';
import { WorkDayRequestBuilder } from './workDay/workDayRequestBuilder';
import { XirrRequestBuilder } from './xirr/xirrRequestBuilder';
import { XnpvRequestBuilder } from './xnpv/xnpvRequestBuilder';
import { XorRequestBuilder } from './xor/xorRequestBuilder';
import { YearRequestBuilder } from './year/yearRequestBuilder';
import { YearFracRequestBuilder } from './yearFrac/yearFracRequestBuilder';
import { YieldRequestBuilder } from './yield/yieldRequestBuilder';
import { YieldDiscRequestBuilder } from './yieldDisc/yieldDiscRequestBuilder';
import { YieldMatRequestBuilder } from './yieldMat/yieldMatRequestBuilder';
import { Z_TestRequestBuilder } from './z_Test/z_TestRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface FunctionsRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface FunctionsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface FunctionsRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: FunctionsRequestBuilderGetQueryParameters;
}
export interface FunctionsRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the functions property of the microsoft.graph.workbook entity.
 */
export declare class FunctionsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the abs method.
     */
    get abs(): AbsRequestBuilder;
    /**
     * Provides operations to call the accrInt method.
     */
    get accrInt(): AccrIntRequestBuilder;
    /**
     * Provides operations to call the accrIntM method.
     */
    get accrIntM(): AccrIntMRequestBuilder;
    /**
     * Provides operations to call the acos method.
     */
    get acos(): AcosRequestBuilder;
    /**
     * Provides operations to call the acosh method.
     */
    get acosh(): AcoshRequestBuilder;
    /**
     * Provides operations to call the acot method.
     */
    get acot(): AcotRequestBuilder;
    /**
     * Provides operations to call the acoth method.
     */
    get acoth(): AcothRequestBuilder;
    /**
     * Provides operations to call the amorDegrc method.
     */
    get amorDegrc(): AmorDegrcRequestBuilder;
    /**
     * Provides operations to call the amorLinc method.
     */
    get amorLinc(): AmorLincRequestBuilder;
    /**
     * Provides operations to call the and method.
     */
    get and(): AndRequestBuilder;
    /**
     * Provides operations to call the arabic method.
     */
    get arabic(): ArabicRequestBuilder;
    /**
     * Provides operations to call the areas method.
     */
    get areas(): AreasRequestBuilder;
    /**
     * Provides operations to call the asc method.
     */
    get asc(): AscRequestBuilder;
    /**
     * Provides operations to call the asin method.
     */
    get asin(): AsinRequestBuilder;
    /**
     * Provides operations to call the asinh method.
     */
    get asinh(): AsinhRequestBuilder;
    /**
     * Provides operations to call the atan method.
     */
    get atan(): AtanRequestBuilder;
    /**
     * Provides operations to call the atan2 method.
     */
    get atan2(): Atan2RequestBuilder;
    /**
     * Provides operations to call the atanh method.
     */
    get atanh(): AtanhRequestBuilder;
    /**
     * Provides operations to call the aveDev method.
     */
    get aveDev(): AveDevRequestBuilder;
    /**
     * Provides operations to call the average method.
     */
    get average(): AverageRequestBuilder;
    /**
     * Provides operations to call the averageA method.
     */
    get averageA(): AverageARequestBuilder;
    /**
     * Provides operations to call the averageIf method.
     */
    get averageIf(): AverageIfRequestBuilder;
    /**
     * Provides operations to call the averageIfs method.
     */
    get averageIfs(): AverageIfsRequestBuilder;
    /**
     * Provides operations to call the bahtText method.
     */
    get bahtText(): BahtTextRequestBuilder;
    /**
     * Provides operations to call the base method.
     */
    get base(): BaseRequestBuilderEscaped;
    /**
     * Provides operations to call the besselI method.
     */
    get besselI(): BesselIRequestBuilder;
    /**
     * Provides operations to call the besselJ method.
     */
    get besselJ(): BesselJRequestBuilder;
    /**
     * Provides operations to call the besselK method.
     */
    get besselK(): BesselKRequestBuilder;
    /**
     * Provides operations to call the besselY method.
     */
    get besselY(): BesselYRequestBuilder;
    /**
     * Provides operations to call the beta_Dist method.
     */
    get beta_Dist(): Beta_DistRequestBuilder;
    /**
     * Provides operations to call the beta_Inv method.
     */
    get beta_Inv(): Beta_InvRequestBuilder;
    /**
     * Provides operations to call the bin2Dec method.
     */
    get bin2Dec(): Bin2DecRequestBuilder;
    /**
     * Provides operations to call the bin2Hex method.
     */
    get bin2Hex(): Bin2HexRequestBuilder;
    /**
     * Provides operations to call the bin2Oct method.
     */
    get bin2Oct(): Bin2OctRequestBuilder;
    /**
     * Provides operations to call the binom_Dist method.
     */
    get binom_Dist(): Binom_DistRequestBuilder;
    /**
     * Provides operations to call the binom_Dist_Range method.
     */
    get binom_Dist_Range(): Binom_Dist_RangeRequestBuilder;
    /**
     * Provides operations to call the binom_Inv method.
     */
    get binom_Inv(): Binom_InvRequestBuilder;
    /**
     * Provides operations to call the bitand method.
     */
    get bitand(): BitandRequestBuilder;
    /**
     * Provides operations to call the bitlshift method.
     */
    get bitlshift(): BitlshiftRequestBuilder;
    /**
     * Provides operations to call the bitor method.
     */
    get bitor(): BitorRequestBuilder;
    /**
     * Provides operations to call the bitrshift method.
     */
    get bitrshift(): BitrshiftRequestBuilder;
    /**
     * Provides operations to call the bitxor method.
     */
    get bitxor(): BitxorRequestBuilder;
    /**
     * Provides operations to call the ceiling_Math method.
     */
    get ceiling_Math(): Ceiling_MathRequestBuilder;
    /**
     * Provides operations to call the ceiling_Precise method.
     */
    get ceiling_Precise(): Ceiling_PreciseRequestBuilder;
    /**
     * Provides operations to call the char method.
     */
    get char(): CharRequestBuilder;
    /**
     * Provides operations to call the chiSq_Dist method.
     */
    get chiSq_Dist(): ChiSq_DistRequestBuilder;
    /**
     * Provides operations to call the chiSq_Dist_RT method.
     */
    get chiSq_Dist_RT(): ChiSq_Dist_RTRequestBuilder;
    /**
     * Provides operations to call the chiSq_Inv method.
     */
    get chiSq_Inv(): ChiSq_InvRequestBuilder;
    /**
     * Provides operations to call the chiSq_Inv_RT method.
     */
    get chiSq_Inv_RT(): ChiSq_Inv_RTRequestBuilder;
    /**
     * Provides operations to call the choose method.
     */
    get choose(): ChooseRequestBuilder;
    /**
     * Provides operations to call the clean method.
     */
    get clean(): CleanRequestBuilder;
    /**
     * Provides operations to call the code method.
     */
    get code(): CodeRequestBuilder;
    /**
     * Provides operations to call the columns method.
     */
    get columns(): ColumnsRequestBuilder;
    /**
     * Provides operations to call the combin method.
     */
    get combin(): CombinRequestBuilder;
    /**
     * Provides operations to call the combina method.
     */
    get combina(): CombinaRequestBuilder;
    /**
     * Provides operations to call the complex method.
     */
    get complex(): ComplexRequestBuilder;
    /**
     * Provides operations to call the concatenate method.
     */
    get concatenate(): ConcatenateRequestBuilder;
    /**
     * Provides operations to call the confidence_Norm method.
     */
    get confidence_Norm(): Confidence_NormRequestBuilder;
    /**
     * Provides operations to call the confidence_T method.
     */
    get confidence_T(): Confidence_TRequestBuilder;
    /**
     * Provides operations to call the convert method.
     */
    get convert(): ConvertRequestBuilder;
    /**
     * Provides operations to call the cos method.
     */
    get cos(): CosRequestBuilder;
    /**
     * Provides operations to call the cosh method.
     */
    get cosh(): CoshRequestBuilder;
    /**
     * Provides operations to call the cot method.
     */
    get cot(): CotRequestBuilder;
    /**
     * Provides operations to call the coth method.
     */
    get coth(): CothRequestBuilder;
    /**
     * Provides operations to call the count method.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to call the countA method.
     */
    get countA(): CountARequestBuilder;
    /**
     * Provides operations to call the countBlank method.
     */
    get countBlank(): CountBlankRequestBuilder;
    /**
     * Provides operations to call the countIf method.
     */
    get countIf(): CountIfRequestBuilder;
    /**
     * Provides operations to call the countIfs method.
     */
    get countIfs(): CountIfsRequestBuilder;
    /**
     * Provides operations to call the coupDayBs method.
     */
    get coupDayBs(): CoupDayBsRequestBuilder;
    /**
     * Provides operations to call the coupDays method.
     */
    get coupDays(): CoupDaysRequestBuilder;
    /**
     * Provides operations to call the coupDaysNc method.
     */
    get coupDaysNc(): CoupDaysNcRequestBuilder;
    /**
     * Provides operations to call the coupNcd method.
     */
    get coupNcd(): CoupNcdRequestBuilder;
    /**
     * Provides operations to call the coupNum method.
     */
    get coupNum(): CoupNumRequestBuilder;
    /**
     * Provides operations to call the coupPcd method.
     */
    get coupPcd(): CoupPcdRequestBuilder;
    /**
     * Provides operations to call the csc method.
     */
    get csc(): CscRequestBuilder;
    /**
     * Provides operations to call the csch method.
     */
    get csch(): CschRequestBuilder;
    /**
     * Provides operations to call the cumIPmt method.
     */
    get cumIPmt(): CumIPmtRequestBuilder;
    /**
     * Provides operations to call the cumPrinc method.
     */
    get cumPrinc(): CumPrincRequestBuilder;
    /**
     * Provides operations to call the date method.
     */
    get date(): DateRequestBuilder;
    /**
     * Provides operations to call the datevalue method.
     */
    get datevalue(): DatevalueRequestBuilder;
    /**
     * Provides operations to call the daverage method.
     */
    get daverage(): DaverageRequestBuilder;
    /**
     * Provides operations to call the day method.
     */
    get day(): DayRequestBuilder;
    /**
     * Provides operations to call the days method.
     */
    get days(): DaysRequestBuilder;
    /**
     * Provides operations to call the days360 method.
     */
    get days360(): Days360RequestBuilder;
    /**
     * Provides operations to call the db method.
     */
    get db(): DbRequestBuilder;
    /**
     * Provides operations to call the dbcs method.
     */
    get dbcs(): DbcsRequestBuilder;
    /**
     * Provides operations to call the dcount method.
     */
    get dcount(): DcountRequestBuilder;
    /**
     * Provides operations to call the dcountA method.
     */
    get dcountA(): DcountARequestBuilder;
    /**
     * Provides operations to call the ddb method.
     */
    get ddb(): DdbRequestBuilder;
    /**
     * Provides operations to call the dec2Bin method.
     */
    get dec2Bin(): Dec2BinRequestBuilder;
    /**
     * Provides operations to call the dec2Hex method.
     */
    get dec2Hex(): Dec2HexRequestBuilder;
    /**
     * Provides operations to call the dec2Oct method.
     */
    get dec2Oct(): Dec2OctRequestBuilder;
    /**
     * Provides operations to call the decimal method.
     */
    get decimal(): DecimalRequestBuilder;
    /**
     * Provides operations to call the degrees method.
     */
    get degrees(): DegreesRequestBuilder;
    /**
     * Provides operations to call the delta method.
     */
    get delta(): DeltaRequestBuilder;
    /**
     * Provides operations to call the devSq method.
     */
    get devSq(): DevSqRequestBuilder;
    /**
     * Provides operations to call the dget method.
     */
    get dget(): DgetRequestBuilder;
    /**
     * Provides operations to call the disc method.
     */
    get disc(): DiscRequestBuilder;
    /**
     * Provides operations to call the dmax method.
     */
    get dmax(): DmaxRequestBuilder;
    /**
     * Provides operations to call the dmin method.
     */
    get dmin(): DminRequestBuilder;
    /**
     * Provides operations to call the dollar method.
     */
    get dollar(): DollarRequestBuilder;
    /**
     * Provides operations to call the dollarDe method.
     */
    get dollarDe(): DollarDeRequestBuilder;
    /**
     * Provides operations to call the dollarFr method.
     */
    get dollarFr(): DollarFrRequestBuilder;
    /**
     * Provides operations to call the dproduct method.
     */
    get dproduct(): DproductRequestBuilder;
    /**
     * Provides operations to call the dstDev method.
     */
    get dstDev(): DstDevRequestBuilder;
    /**
     * Provides operations to call the dstDevP method.
     */
    get dstDevP(): DstDevPRequestBuilder;
    /**
     * Provides operations to call the dsum method.
     */
    get dsum(): DsumRequestBuilder;
    /**
     * Provides operations to call the duration method.
     */
    get duration(): DurationRequestBuilder;
    /**
     * Provides operations to call the dvar method.
     */
    get dvar(): DvarRequestBuilder;
    /**
     * Provides operations to call the dvarP method.
     */
    get dvarP(): DvarPRequestBuilder;
    /**
     * Provides operations to call the ecma_Ceiling method.
     */
    get ecma_Ceiling(): Ecma_CeilingRequestBuilder;
    /**
     * Provides operations to call the edate method.
     */
    get edate(): EdateRequestBuilder;
    /**
     * Provides operations to call the effect method.
     */
    get effect(): EffectRequestBuilder;
    /**
     * Provides operations to call the eoMonth method.
     */
    get eoMonth(): EoMonthRequestBuilder;
    /**
     * Provides operations to call the erf method.
     */
    get erf(): ErfRequestBuilder;
    /**
     * Provides operations to call the erf_Precise method.
     */
    get erf_Precise(): Erf_PreciseRequestBuilder;
    /**
     * Provides operations to call the erfC method.
     */
    get erfC(): ErfCRequestBuilder;
    /**
     * Provides operations to call the erfC_Precise method.
     */
    get erfC_Precise(): ErfC_PreciseRequestBuilder;
    /**
     * Provides operations to call the error_Type method.
     */
    get error_Type(): Error_TypeRequestBuilder;
    /**
     * Provides operations to call the even method.
     */
    get even(): EvenRequestBuilder;
    /**
     * Provides operations to call the exact method.
     */
    get exact(): ExactRequestBuilder;
    /**
     * Provides operations to call the exp method.
     */
    get exp(): ExpRequestBuilder;
    /**
     * Provides operations to call the expon_Dist method.
     */
    get expon_Dist(): Expon_DistRequestBuilder;
    /**
     * Provides operations to call the f_Dist method.
     */
    get f_Dist(): F_DistRequestBuilder;
    /**
     * Provides operations to call the f_Dist_RT method.
     */
    get f_Dist_RT(): F_Dist_RTRequestBuilder;
    /**
     * Provides operations to call the f_Inv method.
     */
    get f_Inv(): F_InvRequestBuilder;
    /**
     * Provides operations to call the f_Inv_RT method.
     */
    get f_Inv_RT(): F_Inv_RTRequestBuilder;
    /**
     * Provides operations to call the fact method.
     */
    get fact(): FactRequestBuilder;
    /**
     * Provides operations to call the factDouble method.
     */
    get factDouble(): FactDoubleRequestBuilder;
    /**
     * Provides operations to call the false method.
     */
    get falseEscaped(): FalseRequestBuilder;
    /**
     * Provides operations to call the find method.
     */
    get find(): FindRequestBuilder;
    /**
     * Provides operations to call the findB method.
     */
    get findB(): FindBRequestBuilder;
    /**
     * Provides operations to call the fisher method.
     */
    get fisher(): FisherRequestBuilder;
    /**
     * Provides operations to call the fisherInv method.
     */
    get fisherInv(): FisherInvRequestBuilder;
    /**
     * Provides operations to call the fixed method.
     */
    get fixed(): FixedRequestBuilder;
    /**
     * Provides operations to call the floor_Math method.
     */
    get floor_Math(): Floor_MathRequestBuilder;
    /**
     * Provides operations to call the floor_Precise method.
     */
    get floor_Precise(): Floor_PreciseRequestBuilder;
    /**
     * Provides operations to call the fv method.
     */
    get fv(): FvRequestBuilder;
    /**
     * Provides operations to call the fvschedule method.
     */
    get fvschedule(): FvscheduleRequestBuilder;
    /**
     * Provides operations to call the gamma method.
     */
    get gamma(): GammaRequestBuilder;
    /**
     * Provides operations to call the gamma_Dist method.
     */
    get gamma_Dist(): Gamma_DistRequestBuilder;
    /**
     * Provides operations to call the gamma_Inv method.
     */
    get gamma_Inv(): Gamma_InvRequestBuilder;
    /**
     * Provides operations to call the gammaLn method.
     */
    get gammaLn(): GammaLnRequestBuilder;
    /**
     * Provides operations to call the gammaLn_Precise method.
     */
    get gammaLn_Precise(): GammaLn_PreciseRequestBuilder;
    /**
     * Provides operations to call the gauss method.
     */
    get gauss(): GaussRequestBuilder;
    /**
     * Provides operations to call the gcd method.
     */
    get gcd(): GcdRequestBuilder;
    /**
     * Provides operations to call the geoMean method.
     */
    get geoMean(): GeoMeanRequestBuilder;
    /**
     * Provides operations to call the geStep method.
     */
    get geStep(): GeStepRequestBuilder;
    /**
     * Provides operations to call the harMean method.
     */
    get harMean(): HarMeanRequestBuilder;
    /**
     * Provides operations to call the hex2Bin method.
     */
    get hex2Bin(): Hex2BinRequestBuilder;
    /**
     * Provides operations to call the hex2Dec method.
     */
    get hex2Dec(): Hex2DecRequestBuilder;
    /**
     * Provides operations to call the hex2Oct method.
     */
    get hex2Oct(): Hex2OctRequestBuilder;
    /**
     * Provides operations to call the hlookup method.
     */
    get hlookup(): HlookupRequestBuilder;
    /**
     * Provides operations to call the hour method.
     */
    get hour(): HourRequestBuilder;
    /**
     * Provides operations to call the hyperlink method.
     */
    get hyperlink(): HyperlinkRequestBuilder;
    /**
     * Provides operations to call the hypGeom_Dist method.
     */
    get hypGeom_Dist(): HypGeom_DistRequestBuilder;
    /**
     * Provides operations to call the if method.
     */
    get ifEscaped(): IfRequestBuilder;
    /**
     * Provides operations to call the imAbs method.
     */
    get imAbs(): ImAbsRequestBuilder;
    /**
     * Provides operations to call the imaginary method.
     */
    get imaginary(): ImaginaryRequestBuilder;
    /**
     * Provides operations to call the imArgument method.
     */
    get imArgument(): ImArgumentRequestBuilder;
    /**
     * Provides operations to call the imConjugate method.
     */
    get imConjugate(): ImConjugateRequestBuilder;
    /**
     * Provides operations to call the imCos method.
     */
    get imCos(): ImCosRequestBuilder;
    /**
     * Provides operations to call the imCosh method.
     */
    get imCosh(): ImCoshRequestBuilder;
    /**
     * Provides operations to call the imCot method.
     */
    get imCot(): ImCotRequestBuilder;
    /**
     * Provides operations to call the imCsc method.
     */
    get imCsc(): ImCscRequestBuilder;
    /**
     * Provides operations to call the imCsch method.
     */
    get imCsch(): ImCschRequestBuilder;
    /**
     * Provides operations to call the imDiv method.
     */
    get imDiv(): ImDivRequestBuilder;
    /**
     * Provides operations to call the imExp method.
     */
    get imExp(): ImExpRequestBuilder;
    /**
     * Provides operations to call the imLn method.
     */
    get imLn(): ImLnRequestBuilder;
    /**
     * Provides operations to call the imLog10 method.
     */
    get imLog10(): ImLog10RequestBuilder;
    /**
     * Provides operations to call the imLog2 method.
     */
    get imLog2(): ImLog2RequestBuilder;
    /**
     * Provides operations to call the imPower method.
     */
    get imPower(): ImPowerRequestBuilder;
    /**
     * Provides operations to call the imProduct method.
     */
    get imProduct(): ImProductRequestBuilder;
    /**
     * Provides operations to call the imReal method.
     */
    get imReal(): ImRealRequestBuilder;
    /**
     * Provides operations to call the imSec method.
     */
    get imSec(): ImSecRequestBuilder;
    /**
     * Provides operations to call the imSech method.
     */
    get imSech(): ImSechRequestBuilder;
    /**
     * Provides operations to call the imSin method.
     */
    get imSin(): ImSinRequestBuilder;
    /**
     * Provides operations to call the imSinh method.
     */
    get imSinh(): ImSinhRequestBuilder;
    /**
     * Provides operations to call the imSqrt method.
     */
    get imSqrt(): ImSqrtRequestBuilder;
    /**
     * Provides operations to call the imSub method.
     */
    get imSub(): ImSubRequestBuilder;
    /**
     * Provides operations to call the imSum method.
     */
    get imSum(): ImSumRequestBuilder;
    /**
     * Provides operations to call the imTan method.
     */
    get imTan(): ImTanRequestBuilder;
    /**
     * Provides operations to call the int method.
     */
    get int(): IntRequestBuilder;
    /**
     * Provides operations to call the intRate method.
     */
    get intRate(): IntRateRequestBuilder;
    /**
     * Provides operations to call the ipmt method.
     */
    get ipmt(): IpmtRequestBuilder;
    /**
     * Provides operations to call the irr method.
     */
    get irr(): IrrRequestBuilder;
    /**
     * Provides operations to call the isErr method.
     */
    get isErr(): IsErrRequestBuilder;
    /**
     * Provides operations to call the isError method.
     */
    get isError(): IsErrorRequestBuilder;
    /**
     * Provides operations to call the isEven method.
     */
    get isEven(): IsEvenRequestBuilder;
    /**
     * Provides operations to call the isFormula method.
     */
    get isFormula(): IsFormulaRequestBuilder;
    /**
     * Provides operations to call the isLogical method.
     */
    get isLogical(): IsLogicalRequestBuilder;
    /**
     * Provides operations to call the isNA method.
     */
    get isNA(): IsNARequestBuilder;
    /**
     * Provides operations to call the isNonText method.
     */
    get isNonText(): IsNonTextRequestBuilder;
    /**
     * Provides operations to call the isNumber method.
     */
    get isNumber(): IsNumberRequestBuilder;
    /**
     * Provides operations to call the iso_Ceiling method.
     */
    get iso_Ceiling(): Iso_CeilingRequestBuilder;
    /**
     * Provides operations to call the isOdd method.
     */
    get isOdd(): IsOddRequestBuilder;
    /**
     * Provides operations to call the isoWeekNum method.
     */
    get isoWeekNum(): IsoWeekNumRequestBuilder;
    /**
     * Provides operations to call the ispmt method.
     */
    get ispmt(): IspmtRequestBuilder;
    /**
     * Provides operations to call the isref method.
     */
    get isref(): IsrefRequestBuilder;
    /**
     * Provides operations to call the isText method.
     */
    get isText(): IsTextRequestBuilder;
    /**
     * Provides operations to call the kurt method.
     */
    get kurt(): KurtRequestBuilder;
    /**
     * Provides operations to call the large method.
     */
    get large(): LargeRequestBuilder;
    /**
     * Provides operations to call the lcm method.
     */
    get lcm(): LcmRequestBuilder;
    /**
     * Provides operations to call the left method.
     */
    get left(): LeftRequestBuilder;
    /**
     * Provides operations to call the leftb method.
     */
    get leftb(): LeftbRequestBuilder;
    /**
     * Provides operations to call the len method.
     */
    get len(): LenRequestBuilder;
    /**
     * Provides operations to call the lenb method.
     */
    get lenb(): LenbRequestBuilder;
    /**
     * Provides operations to call the ln method.
     */
    get ln(): LnRequestBuilder;
    /**
     * Provides operations to call the log method.
     */
    get log(): LogRequestBuilder;
    /**
     * Provides operations to call the log10 method.
     */
    get log10(): Log10RequestBuilder;
    /**
     * Provides operations to call the logNorm_Dist method.
     */
    get logNorm_Dist(): LogNorm_DistRequestBuilder;
    /**
     * Provides operations to call the logNorm_Inv method.
     */
    get logNorm_Inv(): LogNorm_InvRequestBuilder;
    /**
     * Provides operations to call the lookup method.
     */
    get lookup(): LookupRequestBuilder;
    /**
     * Provides operations to call the lower method.
     */
    get lower(): LowerRequestBuilder;
    /**
     * Provides operations to call the match method.
     */
    get match(): MatchRequestBuilder;
    /**
     * Provides operations to call the max method.
     */
    get max(): MaxRequestBuilder;
    /**
     * Provides operations to call the maxA method.
     */
    get maxA(): MaxARequestBuilder;
    /**
     * Provides operations to call the mduration method.
     */
    get mduration(): MdurationRequestBuilder;
    /**
     * Provides operations to call the median method.
     */
    get median(): MedianRequestBuilder;
    /**
     * Provides operations to call the mid method.
     */
    get mid(): MidRequestBuilder;
    /**
     * Provides operations to call the midb method.
     */
    get midb(): MidbRequestBuilder;
    /**
     * Provides operations to call the min method.
     */
    get min(): MinRequestBuilder;
    /**
     * Provides operations to call the minA method.
     */
    get minA(): MinARequestBuilder;
    /**
     * Provides operations to call the minute method.
     */
    get minute(): MinuteRequestBuilder;
    /**
     * Provides operations to call the mirr method.
     */
    get mirr(): MirrRequestBuilder;
    /**
     * Provides operations to call the mod method.
     */
    get mod(): ModRequestBuilder;
    /**
     * Provides operations to call the month method.
     */
    get month(): MonthRequestBuilder;
    /**
     * Provides operations to call the mround method.
     */
    get mround(): MroundRequestBuilder;
    /**
     * Provides operations to call the multiNomial method.
     */
    get multiNomial(): MultiNomialRequestBuilder;
    /**
     * Provides operations to call the n method.
     */
    get n(): NRequestBuilder;
    /**
     * Provides operations to call the na method.
     */
    get na(): NaRequestBuilder;
    /**
     * Provides operations to call the negBinom_Dist method.
     */
    get negBinom_Dist(): NegBinom_DistRequestBuilder;
    /**
     * Provides operations to call the networkDays method.
     */
    get networkDays(): NetworkDaysRequestBuilder;
    /**
     * Provides operations to call the networkDays_Intl method.
     */
    get networkDays_Intl(): NetworkDays_IntlRequestBuilder;
    /**
     * Provides operations to call the nominal method.
     */
    get nominal(): NominalRequestBuilder;
    /**
     * Provides operations to call the norm_Dist method.
     */
    get norm_Dist(): Norm_DistRequestBuilder;
    /**
     * Provides operations to call the norm_Inv method.
     */
    get norm_Inv(): Norm_InvRequestBuilder;
    /**
     * Provides operations to call the norm_S_Dist method.
     */
    get norm_S_Dist(): Norm_S_DistRequestBuilder;
    /**
     * Provides operations to call the norm_S_Inv method.
     */
    get norm_S_Inv(): Norm_S_InvRequestBuilder;
    /**
     * Provides operations to call the not method.
     */
    get not(): NotRequestBuilder;
    /**
     * Provides operations to call the now method.
     */
    get now(): NowRequestBuilder;
    /**
     * Provides operations to call the nper method.
     */
    get nper(): NperRequestBuilder;
    /**
     * Provides operations to call the npv method.
     */
    get npv(): NpvRequestBuilder;
    /**
     * Provides operations to call the numberValue method.
     */
    get numberValue(): NumberValueRequestBuilder;
    /**
     * Provides operations to call the oct2Bin method.
     */
    get oct2Bin(): Oct2BinRequestBuilder;
    /**
     * Provides operations to call the oct2Dec method.
     */
    get oct2Dec(): Oct2DecRequestBuilder;
    /**
     * Provides operations to call the oct2Hex method.
     */
    get oct2Hex(): Oct2HexRequestBuilder;
    /**
     * Provides operations to call the odd method.
     */
    get odd(): OddRequestBuilder;
    /**
     * Provides operations to call the oddFPrice method.
     */
    get oddFPrice(): OddFPriceRequestBuilder;
    /**
     * Provides operations to call the oddFYield method.
     */
    get oddFYield(): OddFYieldRequestBuilder;
    /**
     * Provides operations to call the oddLPrice method.
     */
    get oddLPrice(): OddLPriceRequestBuilder;
    /**
     * Provides operations to call the oddLYield method.
     */
    get oddLYield(): OddLYieldRequestBuilder;
    /**
     * Provides operations to call the or method.
     */
    get or(): OrRequestBuilder;
    /**
     * Provides operations to call the pduration method.
     */
    get pduration(): PdurationRequestBuilder;
    /**
     * Provides operations to call the percentile_Exc method.
     */
    get percentile_Exc(): Percentile_ExcRequestBuilder;
    /**
     * Provides operations to call the percentile_Inc method.
     */
    get percentile_Inc(): Percentile_IncRequestBuilder;
    /**
     * Provides operations to call the percentRank_Exc method.
     */
    get percentRank_Exc(): PercentRank_ExcRequestBuilder;
    /**
     * Provides operations to call the percentRank_Inc method.
     */
    get percentRank_Inc(): PercentRank_IncRequestBuilder;
    /**
     * Provides operations to call the permut method.
     */
    get permut(): PermutRequestBuilder;
    /**
     * Provides operations to call the permutationa method.
     */
    get permutationa(): PermutationaRequestBuilder;
    /**
     * Provides operations to call the phi method.
     */
    get phi(): PhiRequestBuilder;
    /**
     * Provides operations to call the pi method.
     */
    get pi(): PiRequestBuilder;
    /**
     * Provides operations to call the pmt method.
     */
    get pmt(): PmtRequestBuilder;
    /**
     * Provides operations to call the poisson_Dist method.
     */
    get poisson_Dist(): Poisson_DistRequestBuilder;
    /**
     * Provides operations to call the power method.
     */
    get power(): PowerRequestBuilder;
    /**
     * Provides operations to call the ppmt method.
     */
    get ppmt(): PpmtRequestBuilder;
    /**
     * Provides operations to call the price method.
     */
    get price(): PriceRequestBuilder;
    /**
     * Provides operations to call the priceDisc method.
     */
    get priceDisc(): PriceDiscRequestBuilder;
    /**
     * Provides operations to call the priceMat method.
     */
    get priceMat(): PriceMatRequestBuilder;
    /**
     * Provides operations to call the product method.
     */
    get product(): ProductRequestBuilder;
    /**
     * Provides operations to call the proper method.
     */
    get proper(): ProperRequestBuilder;
    /**
     * Provides operations to call the pv method.
     */
    get pv(): PvRequestBuilder;
    /**
     * Provides operations to call the quartile_Exc method.
     */
    get quartile_Exc(): Quartile_ExcRequestBuilder;
    /**
     * Provides operations to call the quartile_Inc method.
     */
    get quartile_Inc(): Quartile_IncRequestBuilder;
    /**
     * Provides operations to call the quotient method.
     */
    get quotient(): QuotientRequestBuilder;
    /**
     * Provides operations to call the radians method.
     */
    get radians(): RadiansRequestBuilder;
    /**
     * Provides operations to call the rand method.
     */
    get rand(): RandRequestBuilder;
    /**
     * Provides operations to call the randBetween method.
     */
    get randBetween(): RandBetweenRequestBuilder;
    /**
     * Provides operations to call the rank_Avg method.
     */
    get rank_Avg(): Rank_AvgRequestBuilder;
    /**
     * Provides operations to call the rank_Eq method.
     */
    get rank_Eq(): Rank_EqRequestBuilder;
    /**
     * Provides operations to call the rate method.
     */
    get rate(): RateRequestBuilder;
    /**
     * Provides operations to call the received method.
     */
    get received(): ReceivedRequestBuilder;
    /**
     * Provides operations to call the replace method.
     */
    get replace(): ReplaceRequestBuilder;
    /**
     * Provides operations to call the replaceB method.
     */
    get replaceB(): ReplaceBRequestBuilder;
    /**
     * Provides operations to call the rept method.
     */
    get rept(): ReptRequestBuilder;
    /**
     * Provides operations to call the right method.
     */
    get right(): RightRequestBuilder;
    /**
     * Provides operations to call the rightb method.
     */
    get rightb(): RightbRequestBuilder;
    /**
     * Provides operations to call the roman method.
     */
    get roman(): RomanRequestBuilder;
    /**
     * Provides operations to call the round method.
     */
    get round(): RoundRequestBuilder;
    /**
     * Provides operations to call the roundDown method.
     */
    get roundDown(): RoundDownRequestBuilder;
    /**
     * Provides operations to call the roundUp method.
     */
    get roundUp(): RoundUpRequestBuilder;
    /**
     * Provides operations to call the rows method.
     */
    get rows(): RowsRequestBuilder;
    /**
     * Provides operations to call the rri method.
     */
    get rri(): RriRequestBuilder;
    /**
     * Provides operations to call the sec method.
     */
    get sec(): SecRequestBuilder;
    /**
     * Provides operations to call the sech method.
     */
    get sech(): SechRequestBuilder;
    /**
     * Provides operations to call the second method.
     */
    get second(): SecondRequestBuilder;
    /**
     * Provides operations to call the seriesSum method.
     */
    get seriesSum(): SeriesSumRequestBuilder;
    /**
     * Provides operations to call the sheet method.
     */
    get sheet(): SheetRequestBuilder;
    /**
     * Provides operations to call the sheets method.
     */
    get sheets(): SheetsRequestBuilder;
    /**
     * Provides operations to call the sign method.
     */
    get sign(): SignRequestBuilder;
    /**
     * Provides operations to call the sin method.
     */
    get sin(): SinRequestBuilder;
    /**
     * Provides operations to call the sinh method.
     */
    get sinh(): SinhRequestBuilder;
    /**
     * Provides operations to call the skew method.
     */
    get skew(): SkewRequestBuilder;
    /**
     * Provides operations to call the skew_p method.
     */
    get skew_p(): Skew_pRequestBuilder;
    /**
     * Provides operations to call the sln method.
     */
    get sln(): SlnRequestBuilder;
    /**
     * Provides operations to call the small method.
     */
    get small(): SmallRequestBuilder;
    /**
     * Provides operations to call the sqrt method.
     */
    get sqrt(): SqrtRequestBuilder;
    /**
     * Provides operations to call the sqrtPi method.
     */
    get sqrtPi(): SqrtPiRequestBuilder;
    /**
     * Provides operations to call the standardize method.
     */
    get standardize(): StandardizeRequestBuilder;
    /**
     * Provides operations to call the stDev_P method.
     */
    get stDev_P(): StDev_PRequestBuilder;
    /**
     * Provides operations to call the stDev_S method.
     */
    get stDev_S(): StDev_SRequestBuilder;
    /**
     * Provides operations to call the stDevA method.
     */
    get stDevA(): StDevARequestBuilder;
    /**
     * Provides operations to call the stDevPA method.
     */
    get stDevPA(): StDevPARequestBuilder;
    /**
     * Provides operations to call the substitute method.
     */
    get substitute(): SubstituteRequestBuilder;
    /**
     * Provides operations to call the subtotal method.
     */
    get subtotal(): SubtotalRequestBuilder;
    /**
     * Provides operations to call the sum method.
     */
    get sum(): SumRequestBuilder;
    /**
     * Provides operations to call the sumIf method.
     */
    get sumIf(): SumIfRequestBuilder;
    /**
     * Provides operations to call the sumIfs method.
     */
    get sumIfs(): SumIfsRequestBuilder;
    /**
     * Provides operations to call the sumSq method.
     */
    get sumSq(): SumSqRequestBuilder;
    /**
     * Provides operations to call the syd method.
     */
    get syd(): SydRequestBuilder;
    /**
     * Provides operations to call the t method.
     */
    get t(): TRequestBuilder;
    /**
     * Provides operations to call the t_Dist method.
     */
    get t_Dist(): T_DistRequestBuilder;
    /**
     * Provides operations to call the t_Dist_2T method.
     */
    get t_Dist_2T(): T_Dist_2TRequestBuilder;
    /**
     * Provides operations to call the t_Dist_RT method.
     */
    get t_Dist_RT(): T_Dist_RTRequestBuilder;
    /**
     * Provides operations to call the t_Inv method.
     */
    get t_Inv(): T_InvRequestBuilder;
    /**
     * Provides operations to call the t_Inv_2T method.
     */
    get t_Inv_2T(): T_Inv_2TRequestBuilder;
    /**
     * Provides operations to call the tan method.
     */
    get tan(): TanRequestBuilder;
    /**
     * Provides operations to call the tanh method.
     */
    get tanh(): TanhRequestBuilder;
    /**
     * Provides operations to call the tbillEq method.
     */
    get tbillEq(): TbillEqRequestBuilder;
    /**
     * Provides operations to call the tbillPrice method.
     */
    get tbillPrice(): TbillPriceRequestBuilder;
    /**
     * Provides operations to call the tbillYield method.
     */
    get tbillYield(): TbillYieldRequestBuilder;
    /**
     * Provides operations to call the text method.
     */
    get text(): TextRequestBuilder;
    /**
     * Provides operations to call the time method.
     */
    get time(): TimeRequestBuilder;
    /**
     * Provides operations to call the timevalue method.
     */
    get timevalue(): TimevalueRequestBuilder;
    /**
     * Provides operations to call the today method.
     */
    get today(): TodayRequestBuilder;
    /**
     * Provides operations to call the trim method.
     */
    get trim(): TrimRequestBuilder;
    /**
     * Provides operations to call the trimMean method.
     */
    get trimMean(): TrimMeanRequestBuilder;
    /**
     * Provides operations to call the true method.
     */
    get trueEscaped(): TrueRequestBuilder;
    /**
     * Provides operations to call the trunc method.
     */
    get trunc(): TruncRequestBuilder;
    /**
     * Provides operations to call the type method.
     */
    get type(): TypeRequestBuilder;
    /**
     * Provides operations to call the unichar method.
     */
    get unichar(): UnicharRequestBuilder;
    /**
     * Provides operations to call the unicode method.
     */
    get unicode(): UnicodeRequestBuilder;
    /**
     * Provides operations to call the upper method.
     */
    get upper(): UpperRequestBuilder;
    /**
     * Provides operations to call the usdollar method.
     */
    get usdollar(): UsdollarRequestBuilder;
    /**
     * Provides operations to call the value method.
     */
    get value(): ValueRequestBuilder;
    /**
     * Provides operations to call the var_P method.
     */
    get var_P(): Var_PRequestBuilder;
    /**
     * Provides operations to call the var_S method.
     */
    get var_S(): Var_SRequestBuilder;
    /**
     * Provides operations to call the varA method.
     */
    get varA(): VarARequestBuilder;
    /**
     * Provides operations to call the varPA method.
     */
    get varPA(): VarPARequestBuilder;
    /**
     * Provides operations to call the vdb method.
     */
    get vdb(): VdbRequestBuilder;
    /**
     * Provides operations to call the vlookup method.
     */
    get vlookup(): VlookupRequestBuilder;
    /**
     * Provides operations to call the weekday method.
     */
    get weekday(): WeekdayRequestBuilder;
    /**
     * Provides operations to call the weekNum method.
     */
    get weekNum(): WeekNumRequestBuilder;
    /**
     * Provides operations to call the weibull_Dist method.
     */
    get weibull_Dist(): Weibull_DistRequestBuilder;
    /**
     * Provides operations to call the workDay method.
     */
    get workDay(): WorkDayRequestBuilder;
    /**
     * Provides operations to call the workDay_Intl method.
     */
    get workDay_Intl(): WorkDay_IntlRequestBuilder;
    /**
     * Provides operations to call the xirr method.
     */
    get xirr(): XirrRequestBuilder;
    /**
     * Provides operations to call the xnpv method.
     */
    get xnpv(): XnpvRequestBuilder;
    /**
     * Provides operations to call the xor method.
     */
    get xor(): XorRequestBuilder;
    /**
     * Provides operations to call the year method.
     */
    get year(): YearRequestBuilder;
    /**
     * Provides operations to call the yearFrac method.
     */
    get yearFrac(): YearFracRequestBuilder;
    /**
     * Provides operations to call the yield method.
     */
    get yield(): YieldRequestBuilder;
    /**
     * Provides operations to call the yieldDisc method.
     */
    get yieldDisc(): YieldDiscRequestBuilder;
    /**
     * Provides operations to call the yieldMat method.
     */
    get yieldMat(): YieldMatRequestBuilder;
    /**
     * Provides operations to call the z_Test method.
     */
    get z_Test(): Z_TestRequestBuilder;
    /**
     * Instantiates a new FunctionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: FunctionsRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    get(requestConfiguration?: FunctionsRequestBuilderGetRequestConfiguration | undefined): Promise<WorkbookFunctions | undefined>;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    patch(body: WorkbookFunctions, requestConfiguration?: FunctionsRequestBuilderPatchRequestConfiguration | undefined): Promise<WorkbookFunctions | undefined>;
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: FunctionsRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: FunctionsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: WorkbookFunctions, requestConfiguration?: FunctionsRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a functionsRequestBuilder
     */
    withUrl(rawUrl: string): FunctionsRequestBuilder;
}
