import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFvPostRequestBody;
export declare function deserializeIntoFvPostRequestBody(fvPostRequestBody?: FvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pmt property
     */
    pmt?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function serializeFvPostRequestBody(writer: SerializationWriter, fvPostRequestBody?: FvPostRequestBody | undefined): void;
