import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type GammaLn_PrecisePostRequestBody } from './gammaLn_PrecisePostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface GammaLn_PreciseRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the gammaLn_Precise method.
 */
export declare class GammaLn_PreciseRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GammaLn_PreciseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action gammaLn_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: GammaLn_PrecisePostRequestBody, requestConfiguration?: GammaLn_PreciseRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action gammaLn_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GammaLn_PrecisePostRequestBody, requestConfiguration?: GammaLn_PreciseRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a gammaLn_PreciseRequestBuilder
     */
    withUrl(rawUrl: string): GammaLn_PreciseRequestBuilder;
}
