import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type NetworkDays_IntlPostRequestBody } from './networkDays_IntlPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface NetworkDays_IntlRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the networkDays_Intl method.
 */
export declare class NetworkDays_IntlRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new NetworkDays_IntlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action networkDays_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: NetworkDays_IntlPostRequestBody, requestConfiguration?: NetworkDays_IntlRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action networkDays_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: NetworkDays_IntlPostRequestBody, requestConfiguration?: NetworkDays_IntlRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a networkDays_IntlRequestBuilder
     */
    withUrl(rawUrl: string): NetworkDays_IntlRequestBuilder;
}
