import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type Norm_S_DistPostRequestBody } from './norm_S_DistPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface Norm_S_DistRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the norm_S_Dist method.
 */
export declare class Norm_S_DistRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Norm_S_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action norm_S_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Norm_S_DistPostRequestBody, requestConfiguration?: Norm_S_DistRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action norm_S_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Norm_S_DistPostRequestBody, requestConfiguration?: Norm_S_DistRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a norm_S_DistRequestBuilder
     */
    withUrl(rawUrl: string): Norm_S_DistRequestBuilder;
}
