import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNperPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNperPostRequestBody;
export declare function deserializeIntoNperPostRequestBody(nperPostRequestBody?: NperPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NperPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fv property
     */
    fv?: Json;
    /**
     * The pmt property
     */
    pmt?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function serializeNperPostRequestBody(writer: SerializationWriter, nperPostRequestBody?: NperPostRequestBody | undefined): void;
