import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOddFPricePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOddFPricePostRequestBody;
export declare function deserializeIntoOddFPricePostRequestBody(oddFPricePostRequestBody?: OddFPricePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface OddFPricePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The firstCoupon property
     */
    firstCoupon?: Json;
    /**
     * The frequency property
     */
    frequency?: Json;
    /**
     * The issue property
     */
    issue?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The redemption property
     */
    redemption?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
    /**
     * The yld property
     */
    yld?: Json;
}
export declare function serializeOddFPricePostRequestBody(writer: SerializationWriter, oddFPricePostRequestBody?: OddFPricePostRequestBody | undefined): void;
