import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOddLPricePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOddLPricePostRequestBody;
export declare function deserializeIntoOddLPricePostRequestBody(oddLPricePostRequestBody?: OddLPricePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface OddLPricePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The frequency property
     */
    frequency?: Json;
    /**
     * The lastInterest property
     */
    lastInterest?: Json;
    /**
     * The maturity property
     */
    maturity?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The redemption property
     */
    redemption?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
    /**
     * The yld property
     */
    yld?: Json;
}
export declare function serializeOddLPricePostRequestBody(writer: SerializationWriter, oddLPricePostRequestBody?: OddLPricePostRequestBody | undefined): void;
