import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type PercentRank_IncPostRequestBody } from './percentRank_IncPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface PercentRank_IncRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the percentRank_Inc method.
 */
export declare class PercentRank_IncRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new PercentRank_IncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action percentRank_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: PercentRank_IncPostRequestBody, requestConfiguration?: PercentRank_IncRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action percentRank_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: PercentRank_IncPostRequestBody, requestConfiguration?: PercentRank_IncRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentRank_IncRequestBuilder
     */
    withUrl(rawUrl: string): PercentRank_IncRequestBuilder;
}
