import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type T_Dist_RTPostRequestBody } from './t_Dist_RTPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface T_Dist_RTRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the t_Dist_RT method.
 */
export declare class T_Dist_RTRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new T_Dist_RTRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action t_Dist_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: T_Dist_RTPostRequestBody, requestConfiguration?: T_Dist_RTRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action t_Dist_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: T_Dist_RTPostRequestBody, requestConfiguration?: T_Dist_RTRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a t_Dist_RTRequestBuilder
     */
    withUrl(rawUrl: string): T_Dist_RTRequestBuilder;
}
