import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type T_Inv_2TPostRequestBody } from './t_Inv_2TPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface T_Inv_2TRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the t_Inv_2T method.
 */
export declare class T_Inv_2TRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new T_Inv_2TRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action t_Inv_2T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: T_Inv_2TPostRequestBody, requestConfiguration?: T_Inv_2TRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action t_Inv_2T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: T_Inv_2TPostRequestBody, requestConfiguration?: T_Inv_2TRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a t_Inv_2TRequestBuilder
     */
    withUrl(rawUrl: string): T_Inv_2TRequestBuilder;
}
