import { type Json } from '../../../../../../../models/json';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVdbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVdbPostRequestBody;
export declare function deserializeIntoVdbPostRequestBody(vdbPostRequestBody?: VdbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVdbPostRequestBody(writer: SerializationWriter, vdbPostRequestBody?: VdbPostRequestBody | undefined): void;
export interface VdbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The endPeriod property
     */
    endPeriod?: Json;
    /**
     * The factor property
     */
    factor?: Json;
    /**
     * The life property
     */
    life?: Json;
    /**
     * The noSwitch property
     */
    noSwitch?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
    /**
     * The startPeriod property
     */
    startPeriod?: Json;
}
