import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { type WorkDay_IntlPostRequestBody } from './workDay_IntlPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface WorkDay_IntlRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the workDay_Intl method.
 */
export declare class WorkDay_IntlRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WorkDay_IntlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action workDay_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: WorkDay_IntlPostRequestBody, requestConfiguration?: WorkDay_IntlRequestBuilderPostRequestConfiguration | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action workDay_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WorkDay_IntlPostRequestBody, requestConfiguration?: WorkDay_IntlRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a workDay_IntlRequestBuilder
     */
    withUrl(rawUrl: string): WorkDay_IntlRequestBuilder;
}
