import { type ApplyTopPercentFilterPostRequestBody } from './applyTopPercentFilterPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ApplyTopPercentFilterRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the applyTopPercentFilter method.
 */
export declare class ApplyTopPercentFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyTopPercentFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyTopPercentFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyTopPercentFilterPostRequestBody, requestConfiguration?: ApplyTopPercentFilterRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Invoke action applyTopPercentFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyTopPercentFilterPostRequestBody, requestConfiguration?: ApplyTopPercentFilterRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyTopPercentFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyTopPercentFilterRequestBuilder;
}
