import { type WorkbookRange } from '../../../../../../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface TotalRowRangeRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the totalRowRange method.
 */
export declare class TotalRowRangeRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new TotalRowRangeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets the range object associated with the totals row of the column. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookRange
     * @see {@link https://learn.microsoft.com/graph/api/tablecolumn-totalrowrange?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: TotalRowRangeRequestBuilderGetRequestConfiguration | undefined): Promise<WorkbookRange | undefined>;
    /**
     * Gets the range object associated with the totals row of the column. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: TotalRowRangeRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a totalRowRangeRequestBuilder
     */
    withUrl(rawUrl: string): TotalRowRangeRequestBuilder;
}
