import { type WorkbookChartGridlines } from '../../../../../../../../../../../../models/workbookChartGridlines';
import { FormatRequestBuilder } from './format/formatRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface MinorGridlinesRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface MinorGridlinesRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface MinorGridlinesRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: MinorGridlinesRequestBuilderGetQueryParameters;
}
export interface MinorGridlinesRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the minorGridlines property of the microsoft.graph.workbookChartAxis entity.
 */
export declare class MinorGridlinesRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the format property of the microsoft.graph.workbookChartGridlines entity.
     */
    get format(): FormatRequestBuilder;
    /**
     * Instantiates a new MinorGridlinesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property minorGridlines for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: MinorGridlinesRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Retrieve the properties and relationships of chartgridlines object. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookChartGridlines
     * @see {@link https://learn.microsoft.com/graph/api/chartgridlines-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: MinorGridlinesRequestBuilderGetRequestConfiguration | undefined): Promise<WorkbookChartGridlines | undefined>;
    /**
     * Update the properties of chartgridlines object. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookChartGridlines
     * @see {@link https://learn.microsoft.com/graph/api/chartgridlines-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: WorkbookChartGridlines, requestConfiguration?: MinorGridlinesRequestBuilderPatchRequestConfiguration | undefined): Promise<WorkbookChartGridlines | undefined>;
    /**
     * Delete navigation property minorGridlines for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: MinorGridlinesRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Retrieve the properties and relationships of chartgridlines object. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: MinorGridlinesRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the properties of chartgridlines object. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: WorkbookChartGridlines, requestConfiguration?: MinorGridlinesRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a minorGridlinesRequestBuilder
     */
    withUrl(rawUrl: string): MinorGridlinesRequestBuilder;
}
