import { type ApplyCustomFilterPostRequestBody } from './applyCustomFilterPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ApplyCustomFilterRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the applyCustomFilter method.
 */
export declare class ApplyCustomFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyCustomFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyCustomFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyCustomFilterPostRequestBody, requestConfiguration?: ApplyCustomFilterRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Invoke action applyCustomFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyCustomFilterPostRequestBody, requestConfiguration?: ApplyCustomFilterRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyCustomFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyCustomFilterRequestBuilder;
}
