import { type FilterOperatorSchema } from '../../models/filterOperatorSchema';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface FilterOperatorSchemaItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface FilterOperatorSchemaItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface FilterOperatorSchemaItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: FilterOperatorSchemaItemRequestBuilderGetQueryParameters;
}
export interface FilterOperatorSchemaItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the collection of filterOperatorSchema entities.
 */
export declare class FilterOperatorSchemaItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FilterOperatorSchemaItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete entity from filterOperators
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: FilterOperatorSchemaItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get entity from filterOperators by key
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FilterOperatorSchema
     */
    get(requestConfiguration?: FilterOperatorSchemaItemRequestBuilderGetRequestConfiguration | undefined): Promise<FilterOperatorSchema | undefined>;
    /**
     * Update entity in filterOperators
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FilterOperatorSchema
     */
    patch(body: FilterOperatorSchema, requestConfiguration?: FilterOperatorSchemaItemRequestBuilderPatchRequestConfiguration | undefined): Promise<FilterOperatorSchema | undefined>;
    /**
     * Delete entity from filterOperators
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: FilterOperatorSchemaItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get entity from filterOperators by key
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: FilterOperatorSchemaItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update entity in filterOperators
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: FilterOperatorSchema, requestConfiguration?: FilterOperatorSchemaItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a FilterOperatorSchemaItemRequestBuilder
     */
    withUrl(rawUrl: string): FilterOperatorSchemaItemRequestBuilder;
}
