import { type AttributeMappingFunctionSchema } from '../../models/attributeMappingFunctionSchema';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface AttributeMappingFunctionSchemaItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface AttributeMappingFunctionSchemaItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface AttributeMappingFunctionSchemaItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: AttributeMappingFunctionSchemaItemRequestBuilderGetQueryParameters;
}
export interface AttributeMappingFunctionSchemaItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the collection of attributeMappingFunctionSchema entities.
 */
export declare class AttributeMappingFunctionSchemaItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AttributeMappingFunctionSchemaItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete entity from functions
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: AttributeMappingFunctionSchemaItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get entity from functions by key
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AttributeMappingFunctionSchema
     */
    get(requestConfiguration?: AttributeMappingFunctionSchemaItemRequestBuilderGetRequestConfiguration | undefined): Promise<AttributeMappingFunctionSchema | undefined>;
    /**
     * Update entity in functions
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AttributeMappingFunctionSchema
     */
    patch(body: AttributeMappingFunctionSchema, requestConfiguration?: AttributeMappingFunctionSchemaItemRequestBuilderPatchRequestConfiguration | undefined): Promise<AttributeMappingFunctionSchema | undefined>;
    /**
     * Delete entity from functions
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: AttributeMappingFunctionSchemaItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get entity from functions by key
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: AttributeMappingFunctionSchemaItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update entity in functions
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AttributeMappingFunctionSchema, requestConfiguration?: AttributeMappingFunctionSchemaItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a AttributeMappingFunctionSchemaItemRequestBuilder
     */
    withUrl(rawUrl: string): AttributeMappingFunctionSchemaItemRequestBuilder;
}
