import { AdminRequestBuilder } from './admin/adminRequestBuilder';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/agreementAcceptancesRequestBuilder';
import { AgreementsRequestBuilder } from './agreements/agreementsRequestBuilder';
import { AppCatalogsRequestBuilder } from './appCatalogs/appCatalogsRequestBuilder';
import { ApplicationsRequestBuilder } from './applications/applicationsRequestBuilder';
import { ApplicationsWithAppIdRequestBuilder } from './applicationsWithAppId/applicationsWithAppIdRequestBuilder';
import { ApplicationTemplatesRequestBuilder } from './applicationTemplates/applicationTemplatesRequestBuilder';
import { AuditLogsRequestBuilder } from './auditLogs/auditLogsRequestBuilder';
import { AuthenticationMethodConfigurationsRequestBuilder } from './authenticationMethodConfigurations/authenticationMethodConfigurationsRequestBuilder';
import { AuthenticationMethodsPolicyRequestBuilder } from './authenticationMethodsPolicy/authenticationMethodsPolicyRequestBuilder';
import { CertificateBasedAuthConfigurationRequestBuilder } from './certificateBasedAuthConfiguration/certificateBasedAuthConfigurationRequestBuilder';
import { ChatsRequestBuilder } from './chats/chatsRequestBuilder';
import { CommunicationsRequestBuilder } from './communications/communicationsRequestBuilder';
import { ComplianceRequestBuilder } from './compliance/complianceRequestBuilder';
import { ConnectionsRequestBuilder } from './connections/connectionsRequestBuilder';
import { ContactsRequestBuilder } from './contacts/contactsRequestBuilder';
import { ContractsRequestBuilder } from './contracts/contractsRequestBuilder';
import { DataPolicyOperationsRequestBuilder } from './dataPolicyOperations/dataPolicyOperationsRequestBuilder';
import { DeviceAppManagementRequestBuilder } from './deviceAppManagement/deviceAppManagementRequestBuilder';
import { DeviceManagementRequestBuilder } from './deviceManagement/deviceManagementRequestBuilder';
import { DevicesRequestBuilder } from './devices/devicesRequestBuilder';
import { DevicesWithDeviceIdRequestBuilder } from './devicesWithDeviceId/devicesWithDeviceIdRequestBuilder';
import { DirectoryRequestBuilder } from './directory/directoryRequestBuilder';
import { DirectoryObjectsRequestBuilder } from './directoryObjects/directoryObjectsRequestBuilder';
import { DirectoryRolesRequestBuilder } from './directoryRoles/directoryRolesRequestBuilder';
import { DirectoryRolesWithRoleTemplateIdRequestBuilder } from './directoryRolesWithRoleTemplateId/directoryRolesWithRoleTemplateIdRequestBuilder';
import { DirectoryRoleTemplatesRequestBuilder } from './directoryRoleTemplates/directoryRoleTemplatesRequestBuilder';
import { DomainDnsRecordsRequestBuilder } from './domainDnsRecords/domainDnsRecordsRequestBuilder';
import { DomainsRequestBuilder } from './domains/domainsRequestBuilder';
import { DrivesRequestBuilder } from './drives/drivesRequestBuilder';
import { EducationRequestBuilder } from './education/educationRequestBuilder';
import { EmployeeExperienceRequestBuilder } from './employeeExperience/employeeExperienceRequestBuilder';
import { ExternalRequestBuilder } from './external/externalRequestBuilder';
import { FilterOperatorsRequestBuilder } from './filterOperators/filterOperatorsRequestBuilder';
import { FunctionsRequestBuilder } from './functions/functionsRequestBuilder';
import { GroupLifecyclePoliciesRequestBuilder } from './groupLifecyclePolicies/groupLifecyclePoliciesRequestBuilder';
import { GroupsRequestBuilder } from './groups/groupsRequestBuilder';
import { GroupSettingsRequestBuilder } from './groupSettings/groupSettingsRequestBuilder';
import { GroupSettingTemplatesRequestBuilder } from './groupSettingTemplates/groupSettingTemplatesRequestBuilder';
import { IdentityRequestBuilder } from './identity/identityRequestBuilder';
import { IdentityGovernanceRequestBuilder } from './identityGovernance/identityGovernanceRequestBuilder';
import { IdentityProtectionRequestBuilder } from './identityProtection/identityProtectionRequestBuilder';
import { IdentityProvidersRequestBuilder } from './identityProviders/identityProvidersRequestBuilder';
import { InformationProtectionRequestBuilder } from './informationProtection/informationProtectionRequestBuilder';
import { InvitationsRequestBuilder } from './invitations/invitationsRequestBuilder';
import { MeRequestBuilder } from './me/meRequestBuilder';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder';
import { OrganizationRequestBuilder } from './organization/organizationRequestBuilder';
import { PermissionGrantsRequestBuilder } from './permissionGrants/permissionGrantsRequestBuilder';
import { PlacesRequestBuilder } from './places/placesRequestBuilder';
import { PlannerRequestBuilder } from './planner/plannerRequestBuilder';
import { PoliciesRequestBuilder } from './policies/policiesRequestBuilder';
import { PrintRequestBuilder } from './print/printRequestBuilder';
import { PrivacyRequestBuilder } from './privacy/privacyRequestBuilder';
import { ReportsRequestBuilder } from './reports/reportsRequestBuilder';
import { RoleManagementRequestBuilder } from './roleManagement/roleManagementRequestBuilder';
import { SchemaExtensionsRequestBuilder } from './schemaExtensions/schemaExtensionsRequestBuilder';
import { ScopedRoleMembershipsRequestBuilder } from './scopedRoleMemberships/scopedRoleMembershipsRequestBuilder';
import { SearchRequestBuilder } from './search/searchRequestBuilder';
import { SecurityRequestBuilder } from './security/securityRequestBuilder';
import { ServicePrincipalsRequestBuilder } from './servicePrincipals/servicePrincipalsRequestBuilder';
import { ServicePrincipalsWithAppIdRequestBuilder } from './servicePrincipalsWithAppId/servicePrincipalsWithAppIdRequestBuilder';
import { SharesRequestBuilder } from './shares/sharesRequestBuilder';
import { SitesRequestBuilder } from './sites/sitesRequestBuilder';
import { SolutionsRequestBuilder } from './solutions/solutionsRequestBuilder';
import { SubscribedSkusRequestBuilder } from './subscribedSkus/subscribedSkusRequestBuilder';
import { SubscriptionsRequestBuilder } from './subscriptions/subscriptionsRequestBuilder';
import { TeamsRequestBuilder } from './teams/teamsRequestBuilder';
import { TeamsTemplatesRequestBuilder } from './teamsTemplates/teamsTemplatesRequestBuilder';
import { TeamworkRequestBuilder } from './teamwork/teamworkRequestBuilder';
import { TenantRelationshipsRequestBuilder } from './tenantRelationships/tenantRelationshipsRequestBuilder';
import { UsersRequestBuilder } from './users/usersRequestBuilder';
import { BaseRequestBuilder, type RequestAdapter } from '@microsoft/kiota-abstractions';
/**
 * The main entry point of the SDK, exposes the configuration and the fluent API.
 */
export declare class GraphBaseServiceClient extends BaseRequestBuilder {
    /**
     * Provides operations to manage the admin singleton.
     */
    get admin(): AdminRequestBuilder;
    /**
     * Provides operations to manage the collection of agreementAcceptance entities.
     */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /**
     * Provides operations to manage the collection of agreement entities.
     */
    get agreements(): AgreementsRequestBuilder;
    /**
     * Provides operations to manage the appCatalogs singleton.
     */
    get appCatalogs(): AppCatalogsRequestBuilder;
    /**
     * Provides operations to manage the collection of application entities.
     */
    get applications(): ApplicationsRequestBuilder;
    /**
     * Provides operations to manage the collection of applicationTemplate entities.
     */
    get applicationTemplates(): ApplicationTemplatesRequestBuilder;
    /**
     * Provides operations to manage the auditLogRoot singleton.
     */
    get auditLogs(): AuditLogsRequestBuilder;
    /**
     * Provides operations to manage the collection of authenticationMethodConfiguration entities.
     */
    get authenticationMethodConfigurations(): AuthenticationMethodConfigurationsRequestBuilder;
    /**
     * Provides operations to manage the authenticationMethodsPolicy singleton.
     */
    get authenticationMethodsPolicy(): AuthenticationMethodsPolicyRequestBuilder;
    /**
     * Provides operations to manage the collection of certificateBasedAuthConfiguration entities.
     */
    get certificateBasedAuthConfiguration(): CertificateBasedAuthConfigurationRequestBuilder;
    /**
     * Provides operations to manage the collection of chat entities.
     */
    get chats(): ChatsRequestBuilder;
    /**
     * Provides operations to manage the cloudCommunications singleton.
     */
    get communications(): CommunicationsRequestBuilder;
    /**
     * Provides operations to manage the compliance singleton.
     */
    get compliance(): ComplianceRequestBuilder;
    /**
     * Provides operations to manage the collection of externalConnection entities.
     */
    get connections(): ConnectionsRequestBuilder;
    /**
     * Provides operations to manage the collection of orgContact entities.
     */
    get contacts(): ContactsRequestBuilder;
    /**
     * Provides operations to manage the collection of contract entities.
     */
    get contracts(): ContractsRequestBuilder;
    /**
     * Provides operations to manage the collection of dataPolicyOperation entities.
     */
    get dataPolicyOperations(): DataPolicyOperationsRequestBuilder;
    /**
     * Provides operations to manage the deviceAppManagement singleton.
     */
    get deviceAppManagement(): DeviceAppManagementRequestBuilder;
    /**
     * Provides operations to manage the deviceManagement singleton.
     */
    get deviceManagement(): DeviceManagementRequestBuilder;
    /**
     * Provides operations to manage the collection of device entities.
     */
    get devices(): DevicesRequestBuilder;
    /**
     * Provides operations to manage the directory singleton.
     */
    get directory(): DirectoryRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryObject entities.
     */
    get directoryObjects(): DirectoryObjectsRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryRole entities.
     */
    get directoryRoles(): DirectoryRolesRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryRoleTemplate entities.
     */
    get directoryRoleTemplates(): DirectoryRoleTemplatesRequestBuilder;
    /**
     * Provides operations to manage the collection of domainDnsRecord entities.
     */
    get domainDnsRecords(): DomainDnsRecordsRequestBuilder;
    /**
     * Provides operations to manage the collection of domain entities.
     */
    get domains(): DomainsRequestBuilder;
    /**
     * Provides operations to manage the collection of drive entities.
     */
    get drives(): DrivesRequestBuilder;
    /**
     * Provides operations to manage the educationRoot singleton.
     */
    get education(): EducationRequestBuilder;
    /**
     * Provides operations to manage the employeeExperience singleton.
     */
    get employeeExperience(): EmployeeExperienceRequestBuilder;
    /**
     * Provides operations to manage the external singleton.
     */
    get external(): ExternalRequestBuilder;
    /**
     * Provides operations to manage the collection of filterOperatorSchema entities.
     */
    get filterOperators(): FilterOperatorsRequestBuilder;
    /**
     * Provides operations to manage the collection of attributeMappingFunctionSchema entities.
     */
    get functions(): FunctionsRequestBuilder;
    /**
     * Provides operations to manage the collection of groupLifecyclePolicy entities.
     */
    get groupLifecyclePolicies(): GroupLifecyclePoliciesRequestBuilder;
    /**
     * Provides operations to manage the collection of group entities.
     */
    get groups(): GroupsRequestBuilder;
    /**
     * Provides operations to manage the collection of groupSetting entities.
     */
    get groupSettings(): GroupSettingsRequestBuilder;
    /**
     * Provides operations to manage the collection of groupSettingTemplate entities.
     */
    get groupSettingTemplates(): GroupSettingTemplatesRequestBuilder;
    /**
     * Provides operations to manage the identityContainer singleton.
     */
    get identity(): IdentityRequestBuilder;
    /**
     * Provides operations to manage the identityGovernance singleton.
     */
    get identityGovernance(): IdentityGovernanceRequestBuilder;
    /**
     * Provides operations to manage the identityProtectionRoot singleton.
     */
    get identityProtection(): IdentityProtectionRequestBuilder;
    /**
     * Provides operations to manage the collection of identityProvider entities.
     */
    get identityProviders(): IdentityProvidersRequestBuilder;
    /**
     * Provides operations to manage the informationProtection singleton.
     */
    get informationProtection(): InformationProtectionRequestBuilder;
    /**
     * Provides operations to manage the collection of invitation entities.
     */
    get invitations(): InvitationsRequestBuilder;
    /**
     * Provides operations to manage the user singleton.
     */
    get me(): MeRequestBuilder;
    /**
     * Provides operations to manage the collection of oAuth2PermissionGrant entities.
     */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /**
     * Provides operations to manage the collection of organization entities.
     */
    get organization(): OrganizationRequestBuilder;
    /**
     * Provides operations to manage the collection of resourceSpecificPermissionGrant entities.
     */
    get permissionGrants(): PermissionGrantsRequestBuilder;
    /**
     * The places property
     */
    get places(): PlacesRequestBuilder;
    /**
     * Provides operations to manage the planner singleton.
     */
    get planner(): PlannerRequestBuilder;
    /**
     * Provides operations to manage the policyRoot singleton.
     */
    get policies(): PoliciesRequestBuilder;
    /**
     * Provides operations to manage the print singleton.
     */
    get print(): PrintRequestBuilder;
    /**
     * Provides operations to manage the privacy singleton.
     */
    get privacy(): PrivacyRequestBuilder;
    /**
     * Provides operations to manage the reportRoot singleton.
     */
    get reports(): ReportsRequestBuilder;
    /**
     * Provides operations to manage the roleManagement singleton.
     */
    get roleManagement(): RoleManagementRequestBuilder;
    /**
     * Provides operations to manage the collection of schemaExtension entities.
     */
    get schemaExtensions(): SchemaExtensionsRequestBuilder;
    /**
     * Provides operations to manage the collection of scopedRoleMembership entities.
     */
    get scopedRoleMemberships(): ScopedRoleMembershipsRequestBuilder;
    /**
     * Provides operations to manage the searchEntity singleton.
     */
    get search(): SearchRequestBuilder;
    /**
     * Provides operations to manage the security singleton.
     */
    get security(): SecurityRequestBuilder;
    /**
     * Provides operations to manage the collection of servicePrincipal entities.
     */
    get servicePrincipals(): ServicePrincipalsRequestBuilder;
    /**
     * Provides operations to manage the collection of sharedDriveItem entities.
     */
    get shares(): SharesRequestBuilder;
    /**
     * Provides operations to manage the collection of site entities.
     */
    get sites(): SitesRequestBuilder;
    /**
     * Provides operations to manage the solutionsRoot singleton.
     */
    get solutions(): SolutionsRequestBuilder;
    /**
     * Provides operations to manage the collection of subscribedSku entities.
     */
    get subscribedSkus(): SubscribedSkusRequestBuilder;
    /**
     * Provides operations to manage the collection of subscription entities.
     */
    get subscriptions(): SubscriptionsRequestBuilder;
    /**
     * Provides operations to manage the collection of team entities.
     */
    get teams(): TeamsRequestBuilder;
    /**
     * Provides operations to manage the collection of teamsTemplate entities.
     */
    get teamsTemplates(): TeamsTemplatesRequestBuilder;
    /**
     * Provides operations to manage the teamwork singleton.
     */
    get teamwork(): TeamworkRequestBuilder;
    /**
     * Provides operations to manage the tenantRelationship singleton.
     */
    get tenantRelationships(): TenantRelationshipsRequestBuilder;
    /**
     * Provides operations to manage the collection of user entities.
     */
    get users(): UsersRequestBuilder;
    /**
     * Provides operations to manage the collection of application entities.
     * @param appId Alternate key of application
     * @returns a applicationsWithAppIdRequestBuilder
     */
    applicationsWithAppId(appId: string | undefined): ApplicationsWithAppIdRequestBuilder;
    /**
     * Instantiates a new GraphBaseServiceClient and sets the default values.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(requestAdapter: RequestAdapter);
    /**
     * Provides operations to manage the collection of device entities.
     * @param deviceId Alternate key of device
     * @returns a devicesWithDeviceIdRequestBuilder
     */
    devicesWithDeviceId(deviceId: string | undefined): DevicesWithDeviceIdRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryRole entities.
     * @param roleTemplateId Alternate key of directoryRole
     * @returns a directoryRolesWithRoleTemplateIdRequestBuilder
     */
    directoryRolesWithRoleTemplateId(roleTemplateId: string | undefined): DirectoryRolesWithRoleTemplateIdRequestBuilder;
    /**
     * Provides operations to manage the collection of servicePrincipal entities.
     * @param appId Alternate key of servicePrincipal
     * @returns a servicePrincipalsWithAppIdRequestBuilder
     */
    servicePrincipalsWithAppId(appId: string | undefined): ServicePrincipalsWithAppIdRequestBuilder;
}
