"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllowedCalendarSharingRolesWithUserRequestBuilder = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const allowedCalendarSharingRolesWithUserGetResponse_1 = require("./allowedCalendarSharingRolesWithUserGetResponse");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to call the allowedCalendarSharingRoles method.
 */
class AllowedCalendarSharingRolesWithUserRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AllowedCalendarSharingRolesWithUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param User Usage: User='{User}'
     */
    constructor(pathParameters, requestAdapter, user) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/calendar/allowedCalendarSharingRoles(User='{User}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["User"] = user;
    }
    ;
    /**
     * Invoke function allowedCalendarSharingRoles
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AllowedCalendarSharingRolesWithUserGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, allowedCalendarSharingRolesWithUserGetResponse_1.createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function allowedCalendarSharingRoles
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a allowedCalendarSharingRolesWithUserRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AllowedCalendarSharingRolesWithUserRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AllowedCalendarSharingRolesWithUserRequestBuilder = AllowedCalendarSharingRolesWithUserRequestBuilder;
// tslint:enable
// eslint-enable
