import { type TimeSlot } from '../../../../../models/timeSlot';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeclinePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeclinePostRequestBody;
export interface DeclinePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The ProposedNewTime property
     */
    proposedNewTime?: TimeSlot;
    /**
     * The SendResponse property
     */
    sendResponse?: boolean;
}
export declare function deserializeIntoDeclinePostRequestBody(declinePostRequestBody?: DeclinePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeclinePostRequestBody(writer: SerializationWriter, declinePostRequestBody?: DeclinePostRequestBody | undefined): void;
