"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupItemRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const group_1 = require("../../models/group");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const acceptedSendersRequestBuilder_1 = require("./acceptedSenders/acceptedSendersRequestBuilder");
const addFavoriteRequestBuilder_1 = require("./addFavorite/addFavoriteRequestBuilder");
const appRoleAssignmentsRequestBuilder_1 = require("./appRoleAssignments/appRoleAssignmentsRequestBuilder");
const assignLicenseRequestBuilder_1 = require("./assignLicense/assignLicenseRequestBuilder");
const calendarRequestBuilder_1 = require("./calendar/calendarRequestBuilder");
const calendarViewRequestBuilder_1 = require("./calendarView/calendarViewRequestBuilder");
const checkGrantedPermissionsForAppRequestBuilder_1 = require("./checkGrantedPermissionsForApp/checkGrantedPermissionsForAppRequestBuilder");
const checkMemberGroupsRequestBuilder_1 = require("./checkMemberGroups/checkMemberGroupsRequestBuilder");
const checkMemberObjectsRequestBuilder_1 = require("./checkMemberObjects/checkMemberObjectsRequestBuilder");
const conversationsRequestBuilder_1 = require("./conversations/conversationsRequestBuilder");
const createdOnBehalfOfRequestBuilder_1 = require("./createdOnBehalfOf/createdOnBehalfOfRequestBuilder");
const driveRequestBuilder_1 = require("./drive/driveRequestBuilder");
const drivesRequestBuilder_1 = require("./drives/drivesRequestBuilder");
const eventsRequestBuilder_1 = require("./events/eventsRequestBuilder");
const extensionsRequestBuilder_1 = require("./extensions/extensionsRequestBuilder");
const getMemberGroupsRequestBuilder_1 = require("./getMemberGroups/getMemberGroupsRequestBuilder");
const getMemberObjectsRequestBuilder_1 = require("./getMemberObjects/getMemberObjectsRequestBuilder");
const groupLifecyclePoliciesRequestBuilder_1 = require("./groupLifecyclePolicies/groupLifecyclePoliciesRequestBuilder");
const memberOfRequestBuilder_1 = require("./memberOf/memberOfRequestBuilder");
const membersRequestBuilder_1 = require("./members/membersRequestBuilder");
const membersWithLicenseErrorsRequestBuilder_1 = require("./membersWithLicenseErrors/membersWithLicenseErrorsRequestBuilder");
const onenoteRequestBuilder_1 = require("./onenote/onenoteRequestBuilder");
const ownersRequestBuilder_1 = require("./owners/ownersRequestBuilder");
const permissionGrantsRequestBuilder_1 = require("./permissionGrants/permissionGrantsRequestBuilder");
const photoRequestBuilder_1 = require("./photo/photoRequestBuilder");
const photosRequestBuilder_1 = require("./photos/photosRequestBuilder");
const plannerRequestBuilder_1 = require("./planner/plannerRequestBuilder");
const rejectedSendersRequestBuilder_1 = require("./rejectedSenders/rejectedSendersRequestBuilder");
const removeFavoriteRequestBuilder_1 = require("./removeFavorite/removeFavoriteRequestBuilder");
const renewRequestBuilder_1 = require("./renew/renewRequestBuilder");
const resetUnseenCountRequestBuilder_1 = require("./resetUnseenCount/resetUnseenCountRequestBuilder");
const restoreRequestBuilder_1 = require("./restore/restoreRequestBuilder");
const retryServiceProvisioningRequestBuilder_1 = require("./retryServiceProvisioning/retryServiceProvisioningRequestBuilder");
const serviceProvisioningErrorsRequestBuilder_1 = require("./serviceProvisioningErrors/serviceProvisioningErrorsRequestBuilder");
const settingsRequestBuilder_1 = require("./settings/settingsRequestBuilder");
const sitesRequestBuilder_1 = require("./sites/sitesRequestBuilder");
const subscribeByMailRequestBuilder_1 = require("./subscribeByMail/subscribeByMailRequestBuilder");
const teamRequestBuilder_1 = require("./team/teamRequestBuilder");
const threadsRequestBuilder_1 = require("./threads/threadsRequestBuilder");
const transitiveMemberOfRequestBuilder_1 = require("./transitiveMemberOf/transitiveMemberOfRequestBuilder");
const transitiveMembersRequestBuilder_1 = require("./transitiveMembers/transitiveMembersRequestBuilder");
const unsubscribeByMailRequestBuilder_1 = require("./unsubscribeByMail/unsubscribeByMailRequestBuilder");
const validatePropertiesRequestBuilder_1 = require("./validateProperties/validatePropertiesRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the collection of group entities.
 */
class GroupItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the acceptedSenders property of the microsoft.graph.group entity.
     */
    get acceptedSenders() {
        return new acceptedSendersRequestBuilder_1.AcceptedSendersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the addFavorite method.
     */
    get addFavorite() {
        return new addFavoriteRequestBuilder_1.AddFavoriteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.group entity.
     */
    get appRoleAssignments() {
        return new appRoleAssignmentsRequestBuilder_1.AppRoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the assignLicense method.
     */
    get assignLicense() {
        return new assignLicenseRequestBuilder_1.AssignLicenseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendar property of the microsoft.graph.group entity.
     */
    get calendar() {
        return new calendarRequestBuilder_1.CalendarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendarView property of the microsoft.graph.group entity.
     */
    get calendarView() {
        return new calendarViewRequestBuilder_1.CalendarViewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkGrantedPermissionsForApp method.
     */
    get checkGrantedPermissionsForApp() {
        return new checkGrantedPermissionsForAppRequestBuilder_1.CheckGrantedPermissionsForAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups() {
        return new checkMemberGroupsRequestBuilder_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects() {
        return new checkMemberObjectsRequestBuilder_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the conversations property of the microsoft.graph.group entity.
     */
    get conversations() {
        return new conversationsRequestBuilder_1.ConversationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the createdOnBehalfOf property of the microsoft.graph.group entity.
     */
    get createdOnBehalfOf() {
        return new createdOnBehalfOfRequestBuilder_1.CreatedOnBehalfOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the drive property of the microsoft.graph.group entity.
     */
    get drive() {
        return new driveRequestBuilder_1.DriveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the drives property of the microsoft.graph.group entity.
     */
    get drives() {
        return new drivesRequestBuilder_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the events property of the microsoft.graph.group entity.
     */
    get events() {
        return new eventsRequestBuilder_1.EventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.group entity.
     */
    get extensions() {
        return new extensionsRequestBuilder_1.ExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups() {
        return new getMemberGroupsRequestBuilder_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects() {
        return new getMemberObjectsRequestBuilder_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the groupLifecyclePolicies property of the microsoft.graph.group entity.
     */
    get groupLifecyclePolicies() {
        return new groupLifecyclePoliciesRequestBuilder_1.GroupLifecyclePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.group entity.
     */
    get memberOf() {
        return new memberOfRequestBuilder_1.MemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the members property of the microsoft.graph.group entity.
     */
    get members() {
        return new membersRequestBuilder_1.MembersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the membersWithLicenseErrors property of the microsoft.graph.group entity.
     */
    get membersWithLicenseErrors() {
        return new membersWithLicenseErrorsRequestBuilder_1.MembersWithLicenseErrorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the onenote property of the microsoft.graph.group entity.
     */
    get onenote() {
        return new onenoteRequestBuilder_1.OnenoteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the owners property of the microsoft.graph.group entity.
     */
    get owners() {
        return new ownersRequestBuilder_1.OwnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the permissionGrants property of the microsoft.graph.group entity.
     */
    get permissionGrants() {
        return new permissionGrantsRequestBuilder_1.PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the photo property of the microsoft.graph.group entity.
     */
    get photo() {
        return new photoRequestBuilder_1.PhotoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the photos property of the microsoft.graph.group entity.
     */
    get photos() {
        return new photosRequestBuilder_1.PhotosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the planner property of the microsoft.graph.group entity.
     */
    get planner() {
        return new plannerRequestBuilder_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the rejectedSenders property of the microsoft.graph.group entity.
     */
    get rejectedSenders() {
        return new rejectedSendersRequestBuilder_1.RejectedSendersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the removeFavorite method.
     */
    get removeFavorite() {
        return new removeFavoriteRequestBuilder_1.RemoveFavoriteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the renew method.
     */
    get renew() {
        return new renewRequestBuilder_1.RenewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the resetUnseenCount method.
     */
    get resetUnseenCount() {
        return new resetUnseenCountRequestBuilder_1.ResetUnseenCountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the restore method.
     */
    get restore() {
        return new restoreRequestBuilder_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the retryServiceProvisioning method.
     */
    get retryServiceProvisioning() {
        return new retryServiceProvisioningRequestBuilder_1.RetryServiceProvisioningRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors() {
        return new serviceProvisioningErrorsRequestBuilder_1.ServiceProvisioningErrorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the settings property of the microsoft.graph.group entity.
     */
    get settings() {
        return new settingsRequestBuilder_1.SettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the sites property of the microsoft.graph.group entity.
     */
    get sites() {
        return new sitesRequestBuilder_1.SitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the subscribeByMail method.
     */
    get subscribeByMail() {
        return new subscribeByMailRequestBuilder_1.SubscribeByMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the team property of the microsoft.graph.group entity.
     */
    get team() {
        return new teamRequestBuilder_1.TeamRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the threads property of the microsoft.graph.group entity.
     */
    get threads() {
        return new threadsRequestBuilder_1.ThreadsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.group entity.
     */
    get transitiveMemberOf() {
        return new transitiveMemberOfRequestBuilder_1.TransitiveMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the transitiveMembers property of the microsoft.graph.group entity.
     */
    get transitiveMembers() {
        return new transitiveMembersRequestBuilder_1.TransitiveMembersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the unsubscribeByMail method.
     */
    get unsubscribeByMail() {
        return new unsubscribeByMailRequestBuilder_1.UnsubscribeByMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the validateProperties method.
     */
    get validateProperties() {
        return new validatePropertiesRequestBuilder_1.ValidatePropertiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new GroupItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Delete group. When deleted, Microsoft 365 groups are moved to a temporary container and can be restored within 30 days. After that time, they're permanently deleted. This isn't applicable to Security groups and Distribution groups which are permanently deleted immediately. To learn more, see deletedItems. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/group-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Get the properties and relationships of a group object. This operation returns by default only a subset of all the available properties, as noted in the Properties section. To get properties that aren't_ returned by default, specify them in a $select OData query option. The hasMembersWithLicenseErrors and isArchived properties are an exception and aren't returned in the $select query. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Group
     * @see {@link https://learn.microsoft.com/graph/api/group-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, group_1.createGroupFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add a member to a security or Microsoft 365 group through the members navigation property. The following table shows the types of members that can be added to either security groups or Microsoft 365 groups. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Group
     * @see {@link https://learn.microsoft.com/graph/api/group-post-members?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, group_1.createGroupFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete group. When deleted, Microsoft 365 groups are moved to a temporary container and can be restored within 30 days. After that time, they're permanently deleted. This isn't applicable to Security groups and Distribution groups which are permanently deleted immediately. To learn more, see deletedItems. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        requestInfo.tryAddRequestHeaders("Accept", "application/json, application/json");
        return requestInfo;
    }
    ;
    /**
     * Get the properties and relationships of a group object. This operation returns by default only a subset of all the available properties, as noted in the Properties section. To get properties that aren't_ returned by default, specify them in a $select OData query option. The hasMembersWithLicenseErrors and isArchived properties are an exception and aren't returned in the $select query. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Add a member to a security or Microsoft 365 group through the members navigation property. The following table shows the types of members that can be added to either security groups or Microsoft 365 groups. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, group_1.serializeGroup);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a GroupItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GroupItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GroupItemRequestBuilder = GroupItemRequestBuilder;
// tslint:enable
// eslint-enable
