import { type AuthenticationMethodModeDetail } from '../../../../../models/authenticationMethodModeDetail';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodModeDetailItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface AuthenticationMethodModeDetailItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface AuthenticationMethodModeDetailItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: AuthenticationMethodModeDetailItemRequestBuilderGetQueryParameters;
}
export interface AuthenticationMethodModeDetailItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the authenticationMethodModes property of the microsoft.graph.authenticationStrengthRoot entity.
 */
export declare class AuthenticationMethodModeDetailItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AuthenticationMethodModeDetailItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property authenticationMethodModes for identity
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: AuthenticationMethodModeDetailItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Names and descriptions of all valid authentication method modes in the system.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AuthenticationMethodModeDetail
     */
    get(requestConfiguration?: AuthenticationMethodModeDetailItemRequestBuilderGetRequestConfiguration | undefined): Promise<AuthenticationMethodModeDetail | undefined>;
    /**
     * Update the navigation property authenticationMethodModes in identity
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AuthenticationMethodModeDetail
     */
    patch(body: AuthenticationMethodModeDetail, requestConfiguration?: AuthenticationMethodModeDetailItemRequestBuilderPatchRequestConfiguration | undefined): Promise<AuthenticationMethodModeDetail | undefined>;
    /**
     * Delete navigation property authenticationMethodModes for identity
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: AuthenticationMethodModeDetailItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Names and descriptions of all valid authentication method modes in the system.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: AuthenticationMethodModeDetailItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property authenticationMethodModes in identity
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AuthenticationMethodModeDetail, requestConfiguration?: AuthenticationMethodModeDetailItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a AuthenticationMethodModeDetailItemRequestBuilder
     */
    withUrl(rawUrl: string): AuthenticationMethodModeDetailItemRequestBuilder;
}
