import { type AppConsentApprovalRoute } from '../../models/appConsentApprovalRoute';
import { AppConsentRequestsRequestBuilder } from './appConsentRequests/appConsentRequestsRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface AppConsentRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface AppConsentRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface AppConsentRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: AppConsentRequestBuilderGetQueryParameters;
}
export interface AppConsentRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the appConsent property of the microsoft.graph.identityGovernance entity.
 */
export declare class AppConsentRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the appConsentRequests property of the microsoft.graph.appConsentApprovalRoute entity.
     */
    get appConsentRequests(): AppConsentRequestsRequestBuilder;
    /**
     * Instantiates a new AppConsentRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property appConsent for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: AppConsentRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get appConsent from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AppConsentApprovalRoute
     */
    get(requestConfiguration?: AppConsentRequestBuilderGetRequestConfiguration | undefined): Promise<AppConsentApprovalRoute | undefined>;
    /**
     * Update the navigation property appConsent in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AppConsentApprovalRoute
     */
    patch(body: AppConsentApprovalRoute, requestConfiguration?: AppConsentRequestBuilderPatchRequestConfiguration | undefined): Promise<AppConsentApprovalRoute | undefined>;
    /**
     * Delete navigation property appConsent for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: AppConsentRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get appConsent from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: AppConsentRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property appConsent in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AppConsentApprovalRoute, requestConfiguration?: AppConsentRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a appConsentRequestBuilder
     */
    withUrl(rawUrl: string): AppConsentRequestBuilder;
}
