import { type CustomExtensionStageSetting } from '../../../../../../models/customExtensionStageSetting';
import { CustomExtensionRequestBuilder } from './customExtension/customExtensionRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface CustomExtensionStageSettingItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface CustomExtensionStageSettingItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface CustomExtensionStageSettingItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: CustomExtensionStageSettingItemRequestBuilderGetQueryParameters;
}
export interface CustomExtensionStageSettingItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the customExtensionStageSettings property of the microsoft.graph.accessPackageAssignmentPolicy entity.
 */
export declare class CustomExtensionStageSettingItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the customExtension property of the microsoft.graph.customExtensionStageSetting entity.
     */
    get customExtension(): CustomExtensionRequestBuilder;
    /**
     * Instantiates a new CustomExtensionStageSettingItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property customExtensionStageSettings for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: CustomExtensionStageSettingItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * The collection of stages when to execute one or more custom access package workflow extensions. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CustomExtensionStageSetting
     */
    get(requestConfiguration?: CustomExtensionStageSettingItemRequestBuilderGetRequestConfiguration | undefined): Promise<CustomExtensionStageSetting | undefined>;
    /**
     * Update the navigation property customExtensionStageSettings in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CustomExtensionStageSetting
     */
    patch(body: CustomExtensionStageSetting, requestConfiguration?: CustomExtensionStageSettingItemRequestBuilderPatchRequestConfiguration | undefined): Promise<CustomExtensionStageSetting | undefined>;
    /**
     * Delete navigation property customExtensionStageSettings for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: CustomExtensionStageSettingItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The collection of stages when to execute one or more custom access package workflow extensions. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: CustomExtensionStageSettingItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property customExtensionStageSettings in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: CustomExtensionStageSetting, requestConfiguration?: CustomExtensionStageSettingItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a CustomExtensionStageSettingItemRequestBuilder
     */
    withUrl(rawUrl: string): CustomExtensionStageSettingItemRequestBuilder;
}
