import { type AccessPackageResourceEnvironment } from '../../../../models/accessPackageResourceEnvironment';
import { ResourcesRequestBuilder } from './resources/resourcesRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceEnvironmentItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface AccessPackageResourceEnvironmentItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface AccessPackageResourceEnvironmentItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: AccessPackageResourceEnvironmentItemRequestBuilderGetQueryParameters;
}
export interface AccessPackageResourceEnvironmentItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the resourceEnvironments property of the microsoft.graph.entitlementManagement entity.
 */
export declare class AccessPackageResourceEnvironmentItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the resources property of the microsoft.graph.accessPackageResourceEnvironment entity.
     */
    get resources(): ResourcesRequestBuilder;
    /**
     * Instantiates a new AccessPackageResourceEnvironmentItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property resourceEnvironments for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: AccessPackageResourceEnvironmentItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * A reference to the geolocation environments in which a resource is located.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AccessPackageResourceEnvironment
     */
    get(requestConfiguration?: AccessPackageResourceEnvironmentItemRequestBuilderGetRequestConfiguration | undefined): Promise<AccessPackageResourceEnvironment | undefined>;
    /**
     * Update the navigation property resourceEnvironments in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AccessPackageResourceEnvironment
     */
    patch(body: AccessPackageResourceEnvironment, requestConfiguration?: AccessPackageResourceEnvironmentItemRequestBuilderPatchRequestConfiguration | undefined): Promise<AccessPackageResourceEnvironment | undefined>;
    /**
     * Delete navigation property resourceEnvironments for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: AccessPackageResourceEnvironmentItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * A reference to the geolocation environments in which a resource is located.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: AccessPackageResourceEnvironmentItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property resourceEnvironments in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AccessPackageResourceEnvironment, requestConfiguration?: AccessPackageResourceEnvironmentItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a AccessPackageResourceEnvironmentItemRequestBuilder
     */
    withUrl(rawUrl: string): AccessPackageResourceEnvironmentItemRequestBuilder;
}
