import { type Workflow } from '../../../../../models/identityGovernance/workflow';
import { type CreateNewVersionPostRequestBody } from './createNewVersionPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the createNewVersion method.
 */
export declare class MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Create a new version of the workflow object. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Workflow
     * @see {@link https://learn.microsoft.com/graph/api/identitygovernance-workflow-createnewversion?view=graph-rest-1.0|Find more info here}
     */
    post(body: CreateNewVersionPostRequestBody, requestConfiguration?: MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilderPostRequestConfiguration | undefined): Promise<Workflow | undefined>;
    /**
     * Create a new version of the workflow object. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CreateNewVersionPostRequestBody, requestConfiguration?: MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphIdentityGovernanceCreateNewVersionRequestBuilder
     */
    withUrl(rawUrl: string): MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder;
}
