import { type TermsOfUseContainer } from '../../models/termsOfUseContainer';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/agreementAcceptancesRequestBuilder';
import { AgreementsRequestBuilder } from './agreements/agreementsRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface TermsOfUseRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface TermsOfUseRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface TermsOfUseRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: TermsOfUseRequestBuilderGetQueryParameters;
}
export interface TermsOfUseRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the termsOfUse property of the microsoft.graph.identityGovernance entity.
 */
export declare class TermsOfUseRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the agreementAcceptances property of the microsoft.graph.termsOfUseContainer entity.
     */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /**
     * Provides operations to manage the agreements property of the microsoft.graph.termsOfUseContainer entity.
     */
    get agreements(): AgreementsRequestBuilder;
    /**
     * Instantiates a new TermsOfUseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property termsOfUse for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: TermsOfUseRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get termsOfUse from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TermsOfUseContainer
     */
    get(requestConfiguration?: TermsOfUseRequestBuilderGetRequestConfiguration | undefined): Promise<TermsOfUseContainer | undefined>;
    /**
     * Update the navigation property termsOfUse in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TermsOfUseContainer
     */
    patch(body: TermsOfUseContainer, requestConfiguration?: TermsOfUseRequestBuilderPatchRequestConfiguration | undefined): Promise<TermsOfUseContainer | undefined>;
    /**
     * Delete navigation property termsOfUse for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: TermsOfUseRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get termsOfUse from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: TermsOfUseRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property termsOfUse in identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: TermsOfUseContainer, requestConfiguration?: TermsOfUseRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a termsOfUseRequestBuilder
     */
    withUrl(rawUrl: string): TermsOfUseRequestBuilder;
}
