import { type ConfirmCompromisedPostRequestBody } from './confirmCompromisedPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ConfirmCompromisedRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the confirmCompromised method.
 */
export declare class ConfirmCompromisedRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ConfirmCompromisedRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Confirm one or more riskyUser objects as compromised. This action sets the targeted user's risk level to high. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/riskyuser-confirmcompromised?view=graph-rest-1.0|Find more info here}
     */
    post(body: ConfirmCompromisedPostRequestBody, requestConfiguration?: ConfirmCompromisedRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Confirm one or more riskyUser objects as compromised. This action sets the targeted user's risk level to high. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ConfirmCompromisedPostRequestBody, requestConfiguration?: ConfirmCompromisedRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a confirmCompromisedRequestBuilder
     */
    withUrl(rawUrl: string): ConfirmCompromisedRequestBuilder;
}
