import { type SnoozeReminderPostRequestBody } from './snoozeReminderPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface SnoozeReminderRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the snoozeReminder method.
 */
export declare class SnoozeReminderRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SnoozeReminderRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Postpone a reminder for an event in a user calendar until a new time. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/event-snoozereminder?view=graph-rest-1.0|Find more info here}
     */
    post(body: SnoozeReminderPostRequestBody, requestConfiguration?: SnoozeReminderRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Postpone a reminder for an event in a user calendar until a new time. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SnoozeReminderPostRequestBody, requestConfiguration?: SnoozeReminderRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a snoozeReminderRequestBuilder
     */
    withUrl(rawUrl: string): SnoozeReminderRequestBuilder;
}
