import { type ChangePasswordPostRequestBody } from './changePasswordPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ChangePasswordRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the changePassword method.
 */
export declare class ChangePasswordRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ChangePasswordRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Enable the user to update their password. Any user can update their password without belonging to any administrator role. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/user-changepassword?view=graph-rest-1.0|Find more info here}
     */
    post(body: ChangePasswordPostRequestBody, requestConfiguration?: ChangePasswordRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Enable the user to update their password. Any user can update their password without belonging to any administrator role. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ChangePasswordPostRequestBody, requestConfiguration?: ChangePasswordRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a changePasswordRequestBuilder
     */
    withUrl(rawUrl: string): ChangePasswordRequestBuilder;
}
