import { type MarkChatUnreadForUserPostRequestBody } from './markChatUnreadForUserPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface MarkChatUnreadForUserRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the markChatUnreadForUser method.
 */
export declare class MarkChatUnreadForUserRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MarkChatUnreadForUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Mark a chat as unread for a user. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chat-markchatunreadforuser?view=graph-rest-1.0|Find more info here}
     */
    post(body: MarkChatUnreadForUserPostRequestBody, requestConfiguration?: MarkChatUnreadForUserRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Mark a chat as unread for a user. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: MarkChatUnreadForUserPostRequestBody, requestConfiguration?: MarkChatUnreadForUserRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a markChatUnreadForUserRequestBuilder
     */
    withUrl(rawUrl: string): MarkChatUnreadForUserRequestBuilder;
}
