import { type LicenseDetails } from '../../../models/licenseDetails';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface LicenseDetailsItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface LicenseDetailsItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface LicenseDetailsItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: LicenseDetailsItemRequestBuilderGetQueryParameters;
}
export interface LicenseDetailsItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the licenseDetails property of the microsoft.graph.user entity.
 */
export declare class LicenseDetailsItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new LicenseDetailsItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property licenseDetails for me
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: LicenseDetailsItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * A collection of this user's license details. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of LicenseDetails
     */
    get(requestConfiguration?: LicenseDetailsItemRequestBuilderGetRequestConfiguration | undefined): Promise<LicenseDetails | undefined>;
    /**
     * Update the navigation property licenseDetails in me
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of LicenseDetails
     */
    patch(body: LicenseDetails, requestConfiguration?: LicenseDetailsItemRequestBuilderPatchRequestConfiguration | undefined): Promise<LicenseDetails | undefined>;
    /**
     * Delete navigation property licenseDetails for me
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: LicenseDetailsItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * A collection of this user's license details. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: LicenseDetailsItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property licenseDetails in me
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: LicenseDetails, requestConfiguration?: LicenseDetailsItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a LicenseDetailsItemRequestBuilder
     */
    withUrl(rawUrl: string): LicenseDetailsItemRequestBuilder;
}
