import { type CleanWindowsDevicePostRequestBody } from './cleanWindowsDevicePostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface CleanWindowsDeviceRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the cleanWindowsDevice method.
 */
export declare class CleanWindowsDeviceRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CleanWindowsDeviceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Clean Windows device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-cleanwindowsdevice?view=graph-rest-1.0|Find more info here}
     */
    post(body: CleanWindowsDevicePostRequestBody, requestConfiguration?: CleanWindowsDeviceRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Clean Windows device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CleanWindowsDevicePostRequestBody, requestConfiguration?: CleanWindowsDeviceRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cleanWindowsDeviceRequestBuilder
     */
    withUrl(rawUrl: string): CleanWindowsDeviceRequestBuilder;
}
