import { type UpdateWindowsDeviceAccountPostRequestBody } from './updateWindowsDeviceAccountPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface UpdateWindowsDeviceAccountRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the updateWindowsDeviceAccount method.
 */
export declare class UpdateWindowsDeviceAccountRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UpdateWindowsDeviceAccountRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-updatewindowsdeviceaccount?view=graph-rest-1.0|Find more info here}
     */
    post(body: UpdateWindowsDeviceAccountPostRequestBody, requestConfiguration?: UpdateWindowsDeviceAccountRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UpdateWindowsDeviceAccountPostRequestBody, requestConfiguration?: UpdateWindowsDeviceAccountRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a updateWindowsDeviceAccountRequestBuilder
     */
    withUrl(rawUrl: string): UpdateWindowsDeviceAccountRequestBuilder;
}
