import { type WindowsDefenderScanPostRequestBody } from './windowsDefenderScanPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface WindowsDefenderScanRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the windowsDefenderScan method.
 */
export declare class WindowsDefenderScanRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WindowsDefenderScanRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-windowsdefenderscan?view=graph-rest-1.0|Find more info here}
     */
    post(body: WindowsDefenderScanPostRequestBody, requestConfiguration?: WindowsDefenderScanRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WindowsDefenderScanPostRequestBody, requestConfiguration?: WindowsDefenderScanRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a windowsDefenderScanRequestBuilder
     */
    withUrl(rawUrl: string): WindowsDefenderScanRequestBuilder;
}
