import { type User } from '../models/user';
import { ActivitiesRequestBuilder } from './activities/activitiesRequestBuilder';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/agreementAcceptancesRequestBuilder';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/appRoleAssignmentsRequestBuilder';
import { AssignLicenseRequestBuilder } from './assignLicense/assignLicenseRequestBuilder';
import { AuthenticationRequestBuilder } from './authentication/authenticationRequestBuilder';
import { CalendarRequestBuilder } from './calendar/calendarRequestBuilder';
import { CalendarGroupsRequestBuilder } from './calendarGroups/calendarGroupsRequestBuilder';
import { CalendarsRequestBuilder } from './calendars/calendarsRequestBuilder';
import { CalendarViewRequestBuilder } from './calendarView/calendarViewRequestBuilder';
import { ChangePasswordRequestBuilder } from './changePassword/changePasswordRequestBuilder';
import { ChatsRequestBuilder } from './chats/chatsRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { ContactFoldersRequestBuilder } from './contactFolders/contactFoldersRequestBuilder';
import { ContactsRequestBuilder } from './contacts/contactsRequestBuilder';
import { CreatedObjectsRequestBuilder } from './createdObjects/createdObjectsRequestBuilder';
import { DeviceManagementTroubleshootingEventsRequestBuilder } from './deviceManagementTroubleshootingEvents/deviceManagementTroubleshootingEventsRequestBuilder';
import { DirectReportsRequestBuilder } from './directReports/directReportsRequestBuilder';
import { DriveRequestBuilder } from './drive/driveRequestBuilder';
import { DrivesRequestBuilder } from './drives/drivesRequestBuilder';
import { EmployeeExperienceRequestBuilder } from './employeeExperience/employeeExperienceRequestBuilder';
import { EventsRequestBuilder } from './events/eventsRequestBuilder';
import { ExportDeviceAndAppManagementDataRequestBuilder } from './exportDeviceAndAppManagementData/exportDeviceAndAppManagementDataRequestBuilder';
import { ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder } from './exportDeviceAndAppManagementDataWithSkipWithTop/exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder';
import { ExportPersonalDataRequestBuilder } from './exportPersonalData/exportPersonalDataRequestBuilder';
import { ExtensionsRequestBuilder } from './extensions/extensionsRequestBuilder';
import { FindMeetingTimesRequestBuilder } from './findMeetingTimes/findMeetingTimesRequestBuilder';
import { FollowedSitesRequestBuilder } from './followedSites/followedSitesRequestBuilder';
import { GetMailTipsRequestBuilder } from './getMailTips/getMailTipsRequestBuilder';
import { GetManagedAppDiagnosticStatusesRequestBuilder } from './getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder';
import { GetManagedAppPoliciesRequestBuilder } from './getManagedAppPolicies/getManagedAppPoliciesRequestBuilder';
import { GetManagedDevicesWithAppFailuresRequestBuilder } from './getManagedDevicesWithAppFailures/getManagedDevicesWithAppFailuresRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { InferenceClassificationRequestBuilder } from './inferenceClassification/inferenceClassificationRequestBuilder';
import { InsightsRequestBuilder } from './insights/insightsRequestBuilder';
import { JoinedTeamsRequestBuilder } from './joinedTeams/joinedTeamsRequestBuilder';
import { LicenseDetailsRequestBuilder } from './licenseDetails/licenseDetailsRequestBuilder';
import { MailboxSettingsRequestBuilder } from './mailboxSettings/mailboxSettingsRequestBuilder';
import { MailFoldersRequestBuilder } from './mailFolders/mailFoldersRequestBuilder';
import { ManagedAppRegistrationsRequestBuilder } from './managedAppRegistrations/managedAppRegistrationsRequestBuilder';
import { ManagedDevicesRequestBuilder } from './managedDevices/managedDevicesRequestBuilder';
import { ManagerRequestBuilder } from './manager/managerRequestBuilder';
import { MemberOfRequestBuilder } from './memberOf/memberOfRequestBuilder';
import { MessagesRequestBuilder } from './messages/messagesRequestBuilder';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder';
import { OnenoteRequestBuilder } from './onenote/onenoteRequestBuilder';
import { OnlineMeetingsRequestBuilder } from './onlineMeetings/onlineMeetingsRequestBuilder';
import { OutlookRequestBuilder } from './outlook/outlookRequestBuilder';
import { OwnedDevicesRequestBuilder } from './ownedDevices/ownedDevicesRequestBuilder';
import { OwnedObjectsRequestBuilder } from './ownedObjects/ownedObjectsRequestBuilder';
import { PeopleRequestBuilder } from './people/peopleRequestBuilder';
import { PhotoRequestBuilder } from './photo/photoRequestBuilder';
import { PhotosRequestBuilder } from './photos/photosRequestBuilder';
import { PlannerRequestBuilder } from './planner/plannerRequestBuilder';
import { PresenceRequestBuilder } from './presence/presenceRequestBuilder';
import { RegisteredDevicesRequestBuilder } from './registeredDevices/registeredDevicesRequestBuilder';
import { ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder } from './reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder';
import { RemoveAllDevicesFromManagementRequestBuilder } from './removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder';
import { ReprocessLicenseAssignmentRequestBuilder } from './reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { RetryServiceProvisioningRequestBuilder } from './retryServiceProvisioning/retryServiceProvisioningRequestBuilder';
import { RevokeSignInSessionsRequestBuilder } from './revokeSignInSessions/revokeSignInSessionsRequestBuilder';
import { ScopedRoleMemberOfRequestBuilder } from './scopedRoleMemberOf/scopedRoleMemberOfRequestBuilder';
import { SendMailRequestBuilder } from './sendMail/sendMailRequestBuilder';
import { ServiceProvisioningErrorsRequestBuilder } from './serviceProvisioningErrors/serviceProvisioningErrorsRequestBuilder';
import { SettingsRequestBuilder } from './settings/settingsRequestBuilder';
import { TeamworkRequestBuilder } from './teamwork/teamworkRequestBuilder';
import { TodoRequestBuilder } from './todo/todoRequestBuilder';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/transitiveMemberOfRequestBuilder';
import { TranslateExchangeIdsRequestBuilder } from './translateExchangeIds/translateExchangeIdsRequestBuilder';
import { WipeManagedAppRegistrationsByDeviceTagRequestBuilder } from './wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface MeRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface MeRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: MeRequestBuilderGetQueryParameters;
}
export interface MeRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the user singleton.
 */
export declare class MeRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the activities property of the microsoft.graph.user entity.
     */
    get activities(): ActivitiesRequestBuilder;
    /**
     * Provides operations to manage the agreementAcceptances property of the microsoft.graph.user entity.
     */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.user entity.
     */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /**
     * Provides operations to call the assignLicense method.
     */
    get assignLicense(): AssignLicenseRequestBuilder;
    /**
     * Provides operations to manage the authentication property of the microsoft.graph.user entity.
     */
    get authentication(): AuthenticationRequestBuilder;
    /**
     * Provides operations to manage the calendar property of the microsoft.graph.user entity.
     */
    get calendar(): CalendarRequestBuilder;
    /**
     * Provides operations to manage the calendarGroups property of the microsoft.graph.user entity.
     */
    get calendarGroups(): CalendarGroupsRequestBuilder;
    /**
     * Provides operations to manage the calendars property of the microsoft.graph.user entity.
     */
    get calendars(): CalendarsRequestBuilder;
    /**
     * Provides operations to manage the calendarView property of the microsoft.graph.user entity.
     */
    get calendarView(): CalendarViewRequestBuilder;
    /**
     * Provides operations to call the changePassword method.
     */
    get changePassword(): ChangePasswordRequestBuilder;
    /**
     * Provides operations to manage the chats property of the microsoft.graph.user entity.
     */
    get chats(): ChatsRequestBuilder;
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the contactFolders property of the microsoft.graph.user entity.
     */
    get contactFolders(): ContactFoldersRequestBuilder;
    /**
     * Provides operations to manage the contacts property of the microsoft.graph.user entity.
     */
    get contacts(): ContactsRequestBuilder;
    /**
     * Provides operations to manage the createdObjects property of the microsoft.graph.user entity.
     */
    get createdObjects(): CreatedObjectsRequestBuilder;
    /**
     * Provides operations to manage the deviceManagementTroubleshootingEvents property of the microsoft.graph.user entity.
     */
    get deviceManagementTroubleshootingEvents(): DeviceManagementTroubleshootingEventsRequestBuilder;
    /**
     * Provides operations to manage the directReports property of the microsoft.graph.user entity.
     */
    get directReports(): DirectReportsRequestBuilder;
    /**
     * Provides operations to manage the drive property of the microsoft.graph.user entity.
     */
    get drive(): DriveRequestBuilder;
    /**
     * Provides operations to manage the drives property of the microsoft.graph.user entity.
     */
    get drives(): DrivesRequestBuilder;
    /**
     * Provides operations to manage the employeeExperience property of the microsoft.graph.user entity.
     */
    get employeeExperience(): EmployeeExperienceRequestBuilder;
    /**
     * Provides operations to manage the events property of the microsoft.graph.user entity.
     */
    get events(): EventsRequestBuilder;
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     */
    get exportDeviceAndAppManagementData(): ExportDeviceAndAppManagementDataRequestBuilder;
    /**
     * Provides operations to call the exportPersonalData method.
     */
    get exportPersonalData(): ExportPersonalDataRequestBuilder;
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.user entity.
     */
    get extensions(): ExtensionsRequestBuilder;
    /**
     * Provides operations to call the findMeetingTimes method.
     */
    get findMeetingTimes(): FindMeetingTimesRequestBuilder;
    /**
     * Provides operations to manage the followedSites property of the microsoft.graph.user entity.
     */
    get followedSites(): FollowedSitesRequestBuilder;
    /**
     * Provides operations to call the getMailTips method.
     */
    get getMailTips(): GetMailTipsRequestBuilder;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     */
    get getManagedAppDiagnosticStatuses(): GetManagedAppDiagnosticStatusesRequestBuilder;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     */
    get getManagedAppPolicies(): GetManagedAppPoliciesRequestBuilder;
    /**
     * Provides operations to call the getManagedDevicesWithAppFailures method.
     */
    get getManagedDevicesWithAppFailures(): GetManagedDevicesWithAppFailuresRequestBuilder;
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the inferenceClassification property of the microsoft.graph.user entity.
     */
    get inferenceClassification(): InferenceClassificationRequestBuilder;
    /**
     * Provides operations to manage the insights property of the microsoft.graph.user entity.
     */
    get insights(): InsightsRequestBuilder;
    /**
     * Provides operations to manage the joinedTeams property of the microsoft.graph.user entity.
     */
    get joinedTeams(): JoinedTeamsRequestBuilder;
    /**
     * Provides operations to manage the licenseDetails property of the microsoft.graph.user entity.
     */
    get licenseDetails(): LicenseDetailsRequestBuilder;
    /**
     * The mailboxSettings property
     */
    get mailboxSettings(): MailboxSettingsRequestBuilder;
    /**
     * Provides operations to manage the mailFolders property of the microsoft.graph.user entity.
     */
    get mailFolders(): MailFoldersRequestBuilder;
    /**
     * Provides operations to manage the managedAppRegistrations property of the microsoft.graph.user entity.
     */
    get managedAppRegistrations(): ManagedAppRegistrationsRequestBuilder;
    /**
     * Provides operations to manage the managedDevices property of the microsoft.graph.user entity.
     */
    get managedDevices(): ManagedDevicesRequestBuilder;
    /**
     * Provides operations to manage the manager property of the microsoft.graph.user entity.
     */
    get manager(): ManagerRequestBuilder;
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.user entity.
     */
    get memberOf(): MemberOfRequestBuilder;
    /**
     * Provides operations to manage the messages property of the microsoft.graph.user entity.
     */
    get messages(): MessagesRequestBuilder;
    /**
     * Provides operations to manage the oauth2PermissionGrants property of the microsoft.graph.user entity.
     */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /**
     * Provides operations to manage the onenote property of the microsoft.graph.user entity.
     */
    get onenote(): OnenoteRequestBuilder;
    /**
     * Provides operations to manage the onlineMeetings property of the microsoft.graph.user entity.
     */
    get onlineMeetings(): OnlineMeetingsRequestBuilder;
    /**
     * Provides operations to manage the outlook property of the microsoft.graph.user entity.
     */
    get outlook(): OutlookRequestBuilder;
    /**
     * Provides operations to manage the ownedDevices property of the microsoft.graph.user entity.
     */
    get ownedDevices(): OwnedDevicesRequestBuilder;
    /**
     * Provides operations to manage the ownedObjects property of the microsoft.graph.user entity.
     */
    get ownedObjects(): OwnedObjectsRequestBuilder;
    /**
     * Provides operations to manage the people property of the microsoft.graph.user entity.
     */
    get people(): PeopleRequestBuilder;
    /**
     * Provides operations to manage the photo property of the microsoft.graph.user entity.
     */
    get photo(): PhotoRequestBuilder;
    /**
     * Provides operations to manage the photos property of the microsoft.graph.user entity.
     */
    get photos(): PhotosRequestBuilder;
    /**
     * Provides operations to manage the planner property of the microsoft.graph.user entity.
     */
    get planner(): PlannerRequestBuilder;
    /**
     * Provides operations to manage the presence property of the microsoft.graph.user entity.
     */
    get presence(): PresenceRequestBuilder;
    /**
     * Provides operations to manage the registeredDevices property of the microsoft.graph.user entity.
     */
    get registeredDevices(): RegisteredDevicesRequestBuilder;
    /**
     * Provides operations to call the removeAllDevicesFromManagement method.
     */
    get removeAllDevicesFromManagement(): RemoveAllDevicesFromManagementRequestBuilder;
    /**
     * Provides operations to call the reprocessLicenseAssignment method.
     */
    get reprocessLicenseAssignment(): ReprocessLicenseAssignmentRequestBuilder;
    /**
     * Provides operations to call the restore method.
     */
    get restore(): RestoreRequestBuilder;
    /**
     * Provides operations to call the retryServiceProvisioning method.
     */
    get retryServiceProvisioning(): RetryServiceProvisioningRequestBuilder;
    /**
     * Provides operations to call the revokeSignInSessions method.
     */
    get revokeSignInSessions(): RevokeSignInSessionsRequestBuilder;
    /**
     * Provides operations to manage the scopedRoleMemberOf property of the microsoft.graph.user entity.
     */
    get scopedRoleMemberOf(): ScopedRoleMemberOfRequestBuilder;
    /**
     * Provides operations to call the sendMail method.
     */
    get sendMail(): SendMailRequestBuilder;
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors(): ServiceProvisioningErrorsRequestBuilder;
    /**
     * Provides operations to manage the settings property of the microsoft.graph.user entity.
     */
    get settings(): SettingsRequestBuilder;
    /**
     * Provides operations to manage the teamwork property of the microsoft.graph.user entity.
     */
    get teamwork(): TeamworkRequestBuilder;
    /**
     * Provides operations to manage the todo property of the microsoft.graph.user entity.
     */
    get todo(): TodoRequestBuilder;
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.user entity.
     */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /**
     * Provides operations to call the translateExchangeIds method.
     */
    get translateExchangeIds(): TranslateExchangeIdsRequestBuilder;
    /**
     * Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.
     */
    get wipeManagedAppRegistrationsByDeviceTag(): WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
    /**
     * Instantiates a new MeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     * @param skip Usage: skip={skip}
     * @param top Usage: top={top}
     * @returns a exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder
     */
    exportDeviceAndAppManagementDataWithSkipWithTop(skip: number | undefined, top: number | undefined): ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder;
    /**
     * Returns the user or organizational contact assigned as the user's manager. Optionally, you can expand the manager's chain up to the root node. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/user-list-manager?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: MeRequestBuilderGetRequestConfiguration | undefined): Promise<User | undefined>;
    /**
     * Update the properties of a user object. Not all properties can be updated by Member or Guest users with their default permissions without Administrator roles. Compare member and guest default permissions to see properties they can manage. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/user-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: User, requestConfiguration?: MeRequestBuilderPatchRequestConfiguration | undefined): Promise<User | undefined>;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime: string | undefined, startDateTime: string | undefined): ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Returns the user or organizational contact assigned as the user's manager. Optionally, you can expand the manager's chain up to the root node. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: MeRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the properties of a user object. Not all properties can be updated by Member or Guest users with their default permissions without Administrator roles. Compare member and guest default permissions to see properties they can manage. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: User, requestConfiguration?: MeRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a meRequestBuilder
     */
    withUrl(rawUrl: string): MeRequestBuilder;
}
