import { type ChatInfo } from '../../../models/chatInfo';
import { type MeetingParticipants } from '../../../models/meetingParticipants';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateOrGetPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateOrGetPostRequestBody;
export interface CreateOrGetPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The chatInfo property
     */
    chatInfo?: ChatInfo;
    /**
     * The endDateTime property
     */
    endDateTime?: Date;
    /**
     * The externalId property
     */
    externalId?: string;
    /**
     * The participants property
     */
    participants?: MeetingParticipants;
    /**
     * The startDateTime property
     */
    startDateTime?: Date;
    /**
     * The subject property
     */
    subject?: string;
}
export declare function deserializeIntoCreateOrGetPostRequestBody(createOrGetPostRequestBody?: CreateOrGetPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateOrGetPostRequestBody(writer: SerializationWriter, createOrGetPostRequestBody?: CreateOrGetPostRequestBody | undefined): void;
