"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupportedTimeZonesWithTimeZoneStandardRequestBuilder = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const supportedTimeZonesWithTimeZoneStandardGetResponse_1 = require("./supportedTimeZonesWithTimeZoneStandardGetResponse");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to call the supportedTimeZones method.
 */
class SupportedTimeZonesWithTimeZoneStandardRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SupportedTimeZonesWithTimeZoneStandardRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param TimeZoneStandard Usage: TimeZoneStandard='{TimeZoneStandard}'
     */
    constructor(pathParameters, requestAdapter, timeZoneStandard) {
        super(pathParameters, requestAdapter, "{+baseurl}/me/outlook/supportedTimeZones(TimeZoneStandard='{TimeZoneStandard}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["TimeZoneStandard"] = timeZoneStandard;
    }
    ;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SupportedTimeZonesWithTimeZoneStandardGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, supportedTimeZonesWithTimeZoneStandardGetResponse_1.createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a supportedTimeZonesWithTimeZoneStandardRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SupportedTimeZonesWithTimeZoneStandardRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SupportedTimeZonesWithTimeZoneStandardRequestBuilder = SupportedTimeZonesWithTimeZoneStandardRequestBuilder;
// tslint:enable
// eslint-enable
