import { type SetStatusMessagePostRequestBody } from './setStatusMessagePostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface SetStatusMessageRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the setStatusMessage method.
 */
export declare class SetStatusMessageRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetStatusMessageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Set a presence status message for a user. An optional expiration date and time can be supplied. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/presence-setstatusmessage?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetStatusMessagePostRequestBody, requestConfiguration?: SetStatusMessageRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Set a presence status message for a user. An optional expiration date and time can be supplied. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetStatusMessagePostRequestBody, requestConfiguration?: SetStatusMessageRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setStatusMessageRequestBuilder
     */
    withUrl(rawUrl: string): SetStatusMessageRequestBuilder;
}
