import { type WipeManagedAppRegistrationsByDeviceTagPostRequestBody } from './wipeManagedAppRegistrationsByDeviceTagPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface WipeManagedAppRegistrationsByDeviceTagRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.
 */
export declare class WipeManagedAppRegistrationsByDeviceTagRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WipeManagedAppRegistrationsByDeviceTagRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Issues a wipe operation on an app registration with specified device tag.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-mam-user-wipemanagedappregistrationsbydevicetag?view=graph-rest-1.0|Find more info here}
     */
    post(body: WipeManagedAppRegistrationsByDeviceTagPostRequestBody, requestConfiguration?: WipeManagedAppRegistrationsByDeviceTagRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Issues a wipe operation on an app registration with specified device tag.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WipeManagedAppRegistrationsByDeviceTagPostRequestBody, requestConfiguration?: WipeManagedAppRegistrationsByDeviceTagRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a wipeManagedAppRegistrationsByDeviceTagRequestBuilder
     */
    withUrl(rawUrl: string): WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
}
