"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeApplication = exports.deserializeIntoApplication = exports.createApplicationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const addIn_1 = require("./addIn");
const apiApplication_1 = require("./apiApplication");
const appManagementPolicy_1 = require("./appManagementPolicy");
const appRole_1 = require("./appRole");
const certification_1 = require("./certification");
const directoryObject_1 = require("./directoryObject");
const extensionProperty_1 = require("./extensionProperty");
const federatedIdentityCredential_1 = require("./federatedIdentityCredential");
const homeRealmDiscoveryPolicy_1 = require("./homeRealmDiscoveryPolicy");
const informationalUrl_1 = require("./informationalUrl");
const keyCredential_1 = require("./keyCredential");
const optionalClaims_1 = require("./optionalClaims");
const parentalControlSettings_1 = require("./parentalControlSettings");
const passwordCredential_1 = require("./passwordCredential");
const publicClientApplication_1 = require("./publicClientApplication");
const requestSignatureVerification_1 = require("./requestSignatureVerification");
const requiredResourceAccess_1 = require("./requiredResourceAccess");
const servicePrincipalLockConfiguration_1 = require("./servicePrincipalLockConfiguration");
const spaApplication_1 = require("./spaApplication");
const synchronization_1 = require("./synchronization");
const tokenIssuancePolicy_1 = require("./tokenIssuancePolicy");
const tokenLifetimePolicy_1 = require("./tokenLifetimePolicy");
const verifiedPublisher_1 = require("./verifiedPublisher");
const webApplication_1 = require("./webApplication");
function createApplicationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplication;
}
exports.createApplicationFromDiscriminatorValue = createApplicationFromDiscriminatorValue;
function deserializeIntoApplication(application = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(application)), { "addIns": n => { application.addIns = n.getCollectionOfObjectValues(addIn_1.createAddInFromDiscriminatorValue); }, "api": n => { application.api = n.getObjectValue(apiApplication_1.createApiApplicationFromDiscriminatorValue); }, "appId": n => { application.appId = n.getStringValue(); }, "applicationTemplateId": n => { application.applicationTemplateId = n.getStringValue(); }, "appManagementPolicies": n => { application.appManagementPolicies = n.getCollectionOfObjectValues(appManagementPolicy_1.createAppManagementPolicyFromDiscriminatorValue); }, "appRoles": n => { application.appRoles = n.getCollectionOfObjectValues(appRole_1.createAppRoleFromDiscriminatorValue); }, "certification": n => { application.certification = n.getObjectValue(certification_1.createCertificationFromDiscriminatorValue); }, "createdDateTime": n => { application.createdDateTime = n.getDateValue(); }, "createdOnBehalfOf": n => { application.createdOnBehalfOf = n.getObjectValue(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "defaultRedirectUri": n => { application.defaultRedirectUri = n.getStringValue(); }, "description": n => { application.description = n.getStringValue(); }, "disabledByMicrosoftStatus": n => { application.disabledByMicrosoftStatus = n.getStringValue(); }, "displayName": n => { application.displayName = n.getStringValue(); }, "extensionProperties": n => { application.extensionProperties = n.getCollectionOfObjectValues(extensionProperty_1.createExtensionPropertyFromDiscriminatorValue); }, "federatedIdentityCredentials": n => { application.federatedIdentityCredentials = n.getCollectionOfObjectValues(federatedIdentityCredential_1.createFederatedIdentityCredentialFromDiscriminatorValue); }, "groupMembershipClaims": n => { application.groupMembershipClaims = n.getStringValue(); }, "homeRealmDiscoveryPolicies": n => { application.homeRealmDiscoveryPolicies = n.getCollectionOfObjectValues(homeRealmDiscoveryPolicy_1.createHomeRealmDiscoveryPolicyFromDiscriminatorValue); }, "identifierUris": n => { application.identifierUris = n.getCollectionOfPrimitiveValues(); }, "info": n => { application.info = n.getObjectValue(informationalUrl_1.createInformationalUrlFromDiscriminatorValue); }, "isDeviceOnlyAuthSupported": n => { application.isDeviceOnlyAuthSupported = n.getBooleanValue(); }, "isFallbackPublicClient": n => { application.isFallbackPublicClient = n.getBooleanValue(); }, "keyCredentials": n => { application.keyCredentials = n.getCollectionOfObjectValues(keyCredential_1.createKeyCredentialFromDiscriminatorValue); }, "logo": n => { application.logo = n.getStringValue(); }, "notes": n => { application.notes = n.getStringValue(); }, "oauth2RequirePostResponse": n => { application.oauth2RequirePostResponse = n.getBooleanValue(); }, "optionalClaims": n => { application.optionalClaims = n.getObjectValue(optionalClaims_1.createOptionalClaimsFromDiscriminatorValue); }, "owners": n => { application.owners = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "parentalControlSettings": n => { application.parentalControlSettings = n.getObjectValue(parentalControlSettings_1.createParentalControlSettingsFromDiscriminatorValue); }, "passwordCredentials": n => { application.passwordCredentials = n.getCollectionOfObjectValues(passwordCredential_1.createPasswordCredentialFromDiscriminatorValue); }, "publicClient": n => { application.publicClient = n.getObjectValue(publicClientApplication_1.createPublicClientApplicationFromDiscriminatorValue); }, "publisherDomain": n => { application.publisherDomain = n.getStringValue(); }, "requestSignatureVerification": n => { application.requestSignatureVerification = n.getObjectValue(requestSignatureVerification_1.createRequestSignatureVerificationFromDiscriminatorValue); }, "requiredResourceAccess": n => { application.requiredResourceAccess = n.getCollectionOfObjectValues(requiredResourceAccess_1.createRequiredResourceAccessFromDiscriminatorValue); }, "samlMetadataUrl": n => { application.samlMetadataUrl = n.getStringValue(); }, "serviceManagementReference": n => { application.serviceManagementReference = n.getStringValue(); }, "servicePrincipalLockConfiguration": n => { application.servicePrincipalLockConfiguration = n.getObjectValue(servicePrincipalLockConfiguration_1.createServicePrincipalLockConfigurationFromDiscriminatorValue); }, "signInAudience": n => { application.signInAudience = n.getStringValue(); }, "spa": n => { application.spa = n.getObjectValue(spaApplication_1.createSpaApplicationFromDiscriminatorValue); }, "synchronization": n => { application.synchronization = n.getObjectValue(synchronization_1.createSynchronizationFromDiscriminatorValue); }, "tags": n => { application.tags = n.getCollectionOfPrimitiveValues(); }, "tokenEncryptionKeyId": n => { application.tokenEncryptionKeyId = n.getGuidValue(); }, "tokenIssuancePolicies": n => { application.tokenIssuancePolicies = n.getCollectionOfObjectValues(tokenIssuancePolicy_1.createTokenIssuancePolicyFromDiscriminatorValue); }, "tokenLifetimePolicies": n => { application.tokenLifetimePolicies = n.getCollectionOfObjectValues(tokenLifetimePolicy_1.createTokenLifetimePolicyFromDiscriminatorValue); }, "verifiedPublisher": n => { application.verifiedPublisher = n.getObjectValue(verifiedPublisher_1.createVerifiedPublisherFromDiscriminatorValue); }, "web": n => { application.web = n.getObjectValue(webApplication_1.createWebApplicationFromDiscriminatorValue); } });
}
exports.deserializeIntoApplication = deserializeIntoApplication;
function serializeApplication(writer, application = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, application);
    writer.writeCollectionOfObjectValues("addIns", application.addIns);
    writer.writeObjectValue("api", application.api);
    writer.writeStringValue("appId", application.appId);
    writer.writeStringValue("applicationTemplateId", application.applicationTemplateId);
    writer.writeCollectionOfObjectValues("appManagementPolicies", application.appManagementPolicies);
    writer.writeCollectionOfObjectValues("appRoles", application.appRoles);
    writer.writeObjectValue("certification", application.certification);
    writer.writeDateValue("createdDateTime", application.createdDateTime);
    writer.writeObjectValue("createdOnBehalfOf", application.createdOnBehalfOf);
    writer.writeStringValue("defaultRedirectUri", application.defaultRedirectUri);
    writer.writeStringValue("description", application.description);
    writer.writeStringValue("disabledByMicrosoftStatus", application.disabledByMicrosoftStatus);
    writer.writeStringValue("displayName", application.displayName);
    writer.writeCollectionOfObjectValues("extensionProperties", application.extensionProperties);
    writer.writeCollectionOfObjectValues("federatedIdentityCredentials", application.federatedIdentityCredentials);
    writer.writeStringValue("groupMembershipClaims", application.groupMembershipClaims);
    writer.writeCollectionOfObjectValues("homeRealmDiscoveryPolicies", application.homeRealmDiscoveryPolicies);
    writer.writeCollectionOfPrimitiveValues("identifierUris", application.identifierUris);
    writer.writeObjectValue("info", application.info);
    writer.writeBooleanValue("isDeviceOnlyAuthSupported", application.isDeviceOnlyAuthSupported);
    writer.writeBooleanValue("isFallbackPublicClient", application.isFallbackPublicClient);
    writer.writeCollectionOfObjectValues("keyCredentials", application.keyCredentials);
    writer.writeStringValue("logo", application.logo);
    writer.writeStringValue("notes", application.notes);
    writer.writeBooleanValue("oauth2RequirePostResponse", application.oauth2RequirePostResponse);
    writer.writeObjectValue("optionalClaims", application.optionalClaims);
    writer.writeCollectionOfObjectValues("owners", application.owners);
    writer.writeObjectValue("parentalControlSettings", application.parentalControlSettings);
    writer.writeCollectionOfObjectValues("passwordCredentials", application.passwordCredentials);
    writer.writeObjectValue("publicClient", application.publicClient);
    writer.writeStringValue("publisherDomain", application.publisherDomain);
    writer.writeObjectValue("requestSignatureVerification", application.requestSignatureVerification);
    writer.writeCollectionOfObjectValues("requiredResourceAccess", application.requiredResourceAccess);
    writer.writeStringValue("samlMetadataUrl", application.samlMetadataUrl);
    writer.writeStringValue("serviceManagementReference", application.serviceManagementReference);
    writer.writeObjectValue("servicePrincipalLockConfiguration", application.servicePrincipalLockConfiguration);
    writer.writeStringValue("signInAudience", application.signInAudience);
    writer.writeObjectValue("spa", application.spa);
    writer.writeObjectValue("synchronization", application.synchronization);
    writer.writeCollectionOfPrimitiveValues("tags", application.tags);
    writer.writeGuidValue("tokenEncryptionKeyId", application.tokenEncryptionKeyId);
    writer.writeCollectionOfObjectValues("tokenIssuancePolicies", application.tokenIssuancePolicies);
    writer.writeCollectionOfObjectValues("tokenLifetimePolicies", application.tokenLifetimePolicies);
    writer.writeObjectValue("verifiedPublisher", application.verifiedPublisher);
    writer.writeObjectValue("web", application.web);
}
exports.serializeApplication = serializeApplication;
// tslint:enable
// eslint-enable
