import { EndpointType } from './endpointType';
import { type Identity } from './identity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsIdentitySet extends IdentitySet, Parsable {
    /**
     * The applicationInstance property
     */
    applicationInstance?: Identity;
    /**
     * The assertedIdentity property
     */
    assertedIdentity?: Identity;
    /**
     * The azureCommunicationServicesUser property
     */
    azureCommunicationServicesUser?: Identity;
    /**
     * The encrypted property
     */
    encrypted?: Identity;
    /**
     * The endpointType property
     */
    endpointType?: EndpointType;
    /**
     * The guest property
     */
    guest?: Identity;
    /**
     * The onPremises property
     */
    onPremises?: Identity;
    /**
     * The phone property
     */
    phone?: Identity;
}
export declare function createCommunicationsIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsIdentitySet;
export declare function deserializeIntoCommunicationsIdentitySet(communicationsIdentitySet?: CommunicationsIdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsIdentitySet(writer: SerializationWriter, communicationsIdentitySet?: CommunicationsIdentitySet | undefined): void;
