"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeConditionalAccessConditionSet = exports.deserializeIntoConditionalAccessConditionSet = exports.createConditionalAccessConditionSetFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const conditionalAccessApplications_1 = require("./conditionalAccessApplications");
const conditionalAccessClientApp_1 = require("./conditionalAccessClientApp");
const conditionalAccessClientApplications_1 = require("./conditionalAccessClientApplications");
const conditionalAccessDevices_1 = require("./conditionalAccessDevices");
const conditionalAccessLocations_1 = require("./conditionalAccessLocations");
const conditionalAccessPlatforms_1 = require("./conditionalAccessPlatforms");
const conditionalAccessUsers_1 = require("./conditionalAccessUsers");
const riskLevel_1 = require("./riskLevel");
function createConditionalAccessConditionSetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConditionalAccessConditionSet;
}
exports.createConditionalAccessConditionSetFromDiscriminatorValue = createConditionalAccessConditionSetFromDiscriminatorValue;
function deserializeIntoConditionalAccessConditionSet(conditionalAccessConditionSet = {}) {
    return {
        "applications": n => { conditionalAccessConditionSet.applications = n.getObjectValue(conditionalAccessApplications_1.createConditionalAccessApplicationsFromDiscriminatorValue); },
        "clientApplications": n => { conditionalAccessConditionSet.clientApplications = n.getObjectValue(conditionalAccessClientApplications_1.createConditionalAccessClientApplicationsFromDiscriminatorValue); },
        "clientAppTypes": n => { conditionalAccessConditionSet.clientAppTypes = n.getCollectionOfEnumValues(conditionalAccessClientApp_1.ConditionalAccessClientApp); },
        "devices": n => { conditionalAccessConditionSet.devices = n.getObjectValue(conditionalAccessDevices_1.createConditionalAccessDevicesFromDiscriminatorValue); },
        "locations": n => { conditionalAccessConditionSet.locations = n.getObjectValue(conditionalAccessLocations_1.createConditionalAccessLocationsFromDiscriminatorValue); },
        "@odata.type": n => { conditionalAccessConditionSet.odataType = n.getStringValue(); },
        "platforms": n => { conditionalAccessConditionSet.platforms = n.getObjectValue(conditionalAccessPlatforms_1.createConditionalAccessPlatformsFromDiscriminatorValue); },
        "servicePrincipalRiskLevels": n => { conditionalAccessConditionSet.servicePrincipalRiskLevels = n.getCollectionOfEnumValues(riskLevel_1.RiskLevel); },
        "signInRiskLevels": n => { conditionalAccessConditionSet.signInRiskLevels = n.getCollectionOfEnumValues(riskLevel_1.RiskLevel); },
        "userRiskLevels": n => { conditionalAccessConditionSet.userRiskLevels = n.getCollectionOfEnumValues(riskLevel_1.RiskLevel); },
        "users": n => { conditionalAccessConditionSet.users = n.getObjectValue(conditionalAccessUsers_1.createConditionalAccessUsersFromDiscriminatorValue); },
    };
}
exports.deserializeIntoConditionalAccessConditionSet = deserializeIntoConditionalAccessConditionSet;
function serializeConditionalAccessConditionSet(writer, conditionalAccessConditionSet = {}) {
    writer.writeObjectValue("applications", conditionalAccessConditionSet.applications);
    writer.writeObjectValue("clientApplications", conditionalAccessConditionSet.clientApplications);
    if (conditionalAccessConditionSet.clientAppTypes)
        writer.writeEnumValue("clientAppTypes", ...conditionalAccessConditionSet.clientAppTypes);
    writer.writeObjectValue("devices", conditionalAccessConditionSet.devices);
    writer.writeObjectValue("locations", conditionalAccessConditionSet.locations);
    writer.writeStringValue("@odata.type", conditionalAccessConditionSet.odataType);
    writer.writeObjectValue("platforms", conditionalAccessConditionSet.platforms);
    if (conditionalAccessConditionSet.servicePrincipalRiskLevels)
        writer.writeEnumValue("servicePrincipalRiskLevels", ...conditionalAccessConditionSet.servicePrincipalRiskLevels);
    if (conditionalAccessConditionSet.signInRiskLevels)
        writer.writeEnumValue("signInRiskLevels", ...conditionalAccessConditionSet.signInRiskLevels);
    if (conditionalAccessConditionSet.userRiskLevels)
        writer.writeEnumValue("userRiskLevels", ...conditionalAccessConditionSet.userRiskLevels);
    writer.writeObjectValue("users", conditionalAccessConditionSet.users);
    writer.writeAdditionalData(conditionalAccessConditionSet.additionalData);
}
exports.serializeConditionalAccessConditionSet = serializeConditionalAccessConditionSet;
// tslint:enable
// eslint-enable
