import { TrainingAssignedTo } from './trainingAssignedTo';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTrainingSetting;
export interface CustomTrainingSetting extends Parsable, TrainingSetting {
    /**
     * The assignedTo property
     */
    assignedTo?: TrainingAssignedTo[];
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The durationInMinutes property
     */
    durationInMinutes?: number;
    /**
     * The url property
     */
    url?: string;
}
export declare function deserializeIntoCustomTrainingSetting(customTrainingSetting?: CustomTrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTrainingSetting(writer: SerializationWriter, customTrainingSetting?: CustomTrainingSetting | undefined): void;
