import { type EmailIdentity } from './emailIdentity';
import { type EndUserNotificationDetail } from './endUserNotificationDetail';
import { EndUserNotificationType } from './endUserNotificationType';
import { type Entity } from './entity';
import { SimulationContentSource } from './simulationContentSource';
import { SimulationContentStatus } from './simulationContentStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndUserNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndUserNotification;
export declare function deserializeIntoEndUserNotification(endUserNotification?: EndUserNotification | undefined): Record<string, (node: ParseNode) => void>;
export interface EndUserNotification extends Entity, Parsable {
    /**
     * The createdBy property
     */
    createdBy?: EmailIdentity;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The details property
     */
    details?: EndUserNotificationDetail[];
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The notificationType property
     */
    notificationType?: EndUserNotificationType;
    /**
     * The source property
     */
    source?: SimulationContentSource;
    /**
     * The status property
     */
    status?: SimulationContentStatus;
    /**
     * The supportedLocales property
     */
    supportedLocales?: string[];
}
export declare function serializeEndUserNotification(writer: SerializationWriter, endUserNotification?: EndUserNotification | undefined): void;
