import { EndUserNotificationPreference } from './endUserNotificationPreference';
import { EndUserNotificationSettingType } from './endUserNotificationSettingType';
import { deserializeIntoNoTrainingNotificationSetting } from './noTrainingNotificationSetting';
import { type PositiveReinforcementNotification } from './positiveReinforcementNotification';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndUserNotificationSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNoTrainingNotificationSetting;
export declare function deserializeIntoEndUserNotificationSetting(endUserNotificationSetting?: EndUserNotificationSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface EndUserNotificationSetting extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The notificationPreference property
     */
    notificationPreference?: EndUserNotificationPreference;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The positiveReinforcement property
     */
    positiveReinforcement?: PositiveReinforcementNotification;
    /**
     * The settingType property
     */
    settingType?: EndUserNotificationSettingType;
}
export declare function serializeEndUserNotificationSetting(writer: SerializationWriter, endUserNotificationSetting?: EndUserNotificationSetting | undefined): void;
