import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExtensionPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExtensionProperty;
export declare function deserializeIntoExtensionProperty(extensionProperty?: ExtensionProperty | undefined): Record<string, (node: ParseNode) => void>;
export interface ExtensionProperty extends DirectoryObject, Parsable {
    /**
     * Display name of the application object on which this extension property is defined. Read-only.
     */
    appDisplayName?: string;
    /**
     * Specifies the data type of the value the extension property can hold. Following values are supported. Not nullable. Binary - 256 bytes maximumBooleanDateTime - Must be specified in ISO 8601 format. Will be stored in UTC.Integer - 32-bit value.LargeInteger - 64-bit value.String - 256 characters maximum
     */
    dataType?: string;
    /**
     * Indicates if this extension property was synced from on-premises active directory using Microsoft Entra Connect. Read-only.
     */
    isSyncedFromOnPremises?: boolean;
    /**
     * Name of the extension property. Not nullable. Supports $filter (eq).
     */
    name?: string;
    /**
     * Following values are supported. Not nullable. UserGroupAdministrativeUnitApplicationDeviceOrganization
     */
    targetObjects?: string[];
}
export declare function serializeExtensionProperty(writer: SerializationWriter, extensionProperty?: ExtensionProperty | undefined): void;
