import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { type LandingPageDetail } from './landingPageDetail';
import { SimulationContentSource } from './simulationContentSource';
import { SimulationContentStatus } from './simulationContentStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLandingPageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLandingPage;
export declare function deserializeIntoLandingPage(landingPage?: LandingPage | undefined): Record<string, (node: ParseNode) => void>;
export interface LandingPage extends Entity, Parsable {
    /**
     * The createdBy property
     */
    createdBy?: EmailIdentity;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The details property
     */
    details?: LandingPageDetail[];
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The locale property
     */
    locale?: string;
    /**
     * The source property
     */
    source?: SimulationContentSource;
    /**
     * The status property
     */
    status?: SimulationContentStatus;
    /**
     * The supportedLocales property
     */
    supportedLocales?: string[];
}
export declare function serializeLandingPage(writer: SerializationWriter, landingPage?: LandingPage | undefined): void;
