import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { SimulationContentSource } from './simulationContentSource';
import { SimulationContentStatus } from './simulationContentStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLoginPageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLoginPage;
export declare function deserializeIntoLoginPage(loginPage?: LoginPage | undefined): Record<string, (node: ParseNode) => void>;
export interface LoginPage extends Entity, Parsable {
    /**
     * The content property
     */
    content?: string;
    /**
     * The createdBy property
     */
    createdBy?: EmailIdentity;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The language property
     */
    language?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The source property
     */
    source?: SimulationContentSource;
    /**
     * The status property
     */
    status?: SimulationContentStatus;
}
export declare function serializeLoginPage(writer: SerializationWriter, loginPage?: LoginPage | undefined): void;
