import { type MicrosoftTrainingAssignmentMapping } from './microsoftTrainingAssignmentMapping';
import { TrainingCompletionDuration } from './trainingCompletionDuration';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftCustomTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftCustomTrainingSetting;
export declare function deserializeIntoMicrosoftCustomTrainingSetting(microsoftCustomTrainingSetting?: MicrosoftCustomTrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftCustomTrainingSetting extends Parsable, TrainingSetting {
    /**
     * The completionDateTime property
     */
    completionDateTime?: Date;
    /**
     * The trainingAssignmentMappings property
     */
    trainingAssignmentMappings?: MicrosoftTrainingAssignmentMapping[];
    /**
     * The trainingCompletionDuration property
     */
    trainingCompletionDuration?: TrainingCompletionDuration;
}
export declare function serializeMicrosoftCustomTrainingSetting(writer: SerializationWriter, microsoftCustomTrainingSetting?: MicrosoftCustomTrainingSetting | undefined): void;
