import { type Training } from './training';
import { TrainingAssignedTo } from './trainingAssignedTo';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftTrainingAssignmentMappingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftTrainingAssignmentMapping;
export declare function deserializeIntoMicrosoftTrainingAssignmentMapping(microsoftTrainingAssignmentMapping?: MicrosoftTrainingAssignmentMapping | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftTrainingAssignmentMapping extends Parsable, TrainingSetting {
    /**
     * The assignedTo property
     */
    assignedTo?: TrainingAssignedTo[];
    /**
     * The training property
     */
    training?: Training;
}
export declare function serializeMicrosoftTrainingAssignmentMapping(writer: SerializationWriter, microsoftTrainingAssignmentMapping?: MicrosoftTrainingAssignmentMapping | undefined): void;
