"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnlineMeeting = exports.deserializeIntoOnlineMeeting = exports.createOnlineMeetingFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const audioConferencing_1 = require("./audioConferencing");
const broadcastMeetingSettings_1 = require("./broadcastMeetingSettings");
const callTranscript_1 = require("./callTranscript");
const chatInfo_1 = require("./chatInfo");
const entity_1 = require("./entity");
const itemBody_1 = require("./itemBody");
const joinMeetingIdSettings_1 = require("./joinMeetingIdSettings");
const lobbyBypassSettings_1 = require("./lobbyBypassSettings");
const meetingAttendanceReport_1 = require("./meetingAttendanceReport");
const meetingChatHistoryDefaultMode_1 = require("./meetingChatHistoryDefaultMode");
const meetingChatMode_1 = require("./meetingChatMode");
const meetingParticipants_1 = require("./meetingParticipants");
const onlineMeetingPresenters_1 = require("./onlineMeetingPresenters");
const watermarkProtectionValues_1 = require("./watermarkProtectionValues");
function createOnlineMeetingFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOnlineMeeting;
}
exports.createOnlineMeetingFromDiscriminatorValue = createOnlineMeetingFromDiscriminatorValue;
function deserializeIntoOnlineMeeting(onlineMeeting = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(onlineMeeting)), { "allowAttendeeToEnableCamera": n => { onlineMeeting.allowAttendeeToEnableCamera = n.getBooleanValue(); }, "allowAttendeeToEnableMic": n => { onlineMeeting.allowAttendeeToEnableMic = n.getBooleanValue(); }, "allowedPresenters": n => { onlineMeeting.allowedPresenters = n.getEnumValue(onlineMeetingPresenters_1.OnlineMeetingPresenters); }, "allowMeetingChat": n => { onlineMeeting.allowMeetingChat = n.getEnumValue(meetingChatMode_1.MeetingChatMode); }, "allowParticipantsToChangeName": n => { onlineMeeting.allowParticipantsToChangeName = n.getBooleanValue(); }, "allowTeamworkReactions": n => { onlineMeeting.allowTeamworkReactions = n.getBooleanValue(); }, "attendanceReports": n => { onlineMeeting.attendanceReports = n.getCollectionOfObjectValues(meetingAttendanceReport_1.createMeetingAttendanceReportFromDiscriminatorValue); }, "attendeeReport": n => { onlineMeeting.attendeeReport = n.getStringValue(); }, "audioConferencing": n => { onlineMeeting.audioConferencing = n.getObjectValue(audioConferencing_1.createAudioConferencingFromDiscriminatorValue); }, "broadcastSettings": n => { onlineMeeting.broadcastSettings = n.getObjectValue(broadcastMeetingSettings_1.createBroadcastMeetingSettingsFromDiscriminatorValue); }, "chatInfo": n => { onlineMeeting.chatInfo = n.getObjectValue(chatInfo_1.createChatInfoFromDiscriminatorValue); }, "creationDateTime": n => { onlineMeeting.creationDateTime = n.getDateValue(); }, "endDateTime": n => { onlineMeeting.endDateTime = n.getDateValue(); }, "externalId": n => { onlineMeeting.externalId = n.getStringValue(); }, "isBroadcast": n => { onlineMeeting.isBroadcast = n.getBooleanValue(); }, "isEntryExitAnnounced": n => { onlineMeeting.isEntryExitAnnounced = n.getBooleanValue(); }, "joinInformation": n => { onlineMeeting.joinInformation = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "joinMeetingIdSettings": n => { onlineMeeting.joinMeetingIdSettings = n.getObjectValue(joinMeetingIdSettings_1.createJoinMeetingIdSettingsFromDiscriminatorValue); }, "joinWebUrl": n => { onlineMeeting.joinWebUrl = n.getStringValue(); }, "lobbyBypassSettings": n => { onlineMeeting.lobbyBypassSettings = n.getObjectValue(lobbyBypassSettings_1.createLobbyBypassSettingsFromDiscriminatorValue); }, "participants": n => { onlineMeeting.participants = n.getObjectValue(meetingParticipants_1.createMeetingParticipantsFromDiscriminatorValue); }, "recordAutomatically": n => { onlineMeeting.recordAutomatically = n.getBooleanValue(); }, "shareMeetingChatHistoryDefault": n => { onlineMeeting.shareMeetingChatHistoryDefault = n.getEnumValue(meetingChatHistoryDefaultMode_1.MeetingChatHistoryDefaultMode); }, "startDateTime": n => { onlineMeeting.startDateTime = n.getDateValue(); }, "subject": n => { onlineMeeting.subject = n.getStringValue(); }, "transcripts": n => { onlineMeeting.transcripts = n.getCollectionOfObjectValues(callTranscript_1.createCallTranscriptFromDiscriminatorValue); }, "videoTeleconferenceId": n => { onlineMeeting.videoTeleconferenceId = n.getStringValue(); }, "watermarkProtection": n => { onlineMeeting.watermarkProtection = n.getObjectValue(watermarkProtectionValues_1.createWatermarkProtectionValuesFromDiscriminatorValue); } });
}
exports.deserializeIntoOnlineMeeting = deserializeIntoOnlineMeeting;
function serializeOnlineMeeting(writer, onlineMeeting = {}) {
    (0, entity_1.serializeEntity)(writer, onlineMeeting);
    writer.writeBooleanValue("allowAttendeeToEnableCamera", onlineMeeting.allowAttendeeToEnableCamera);
    writer.writeBooleanValue("allowAttendeeToEnableMic", onlineMeeting.allowAttendeeToEnableMic);
    writer.writeEnumValue("allowedPresenters", onlineMeeting.allowedPresenters);
    writer.writeEnumValue("allowMeetingChat", onlineMeeting.allowMeetingChat);
    writer.writeBooleanValue("allowParticipantsToChangeName", onlineMeeting.allowParticipantsToChangeName);
    writer.writeBooleanValue("allowTeamworkReactions", onlineMeeting.allowTeamworkReactions);
    writer.writeCollectionOfObjectValues("attendanceReports", onlineMeeting.attendanceReports);
    writer.writeStringValue("attendeeReport", onlineMeeting.attendeeReport);
    writer.writeObjectValue("audioConferencing", onlineMeeting.audioConferencing);
    writer.writeObjectValue("broadcastSettings", onlineMeeting.broadcastSettings);
    writer.writeObjectValue("chatInfo", onlineMeeting.chatInfo);
    writer.writeDateValue("creationDateTime", onlineMeeting.creationDateTime);
    writer.writeDateValue("endDateTime", onlineMeeting.endDateTime);
    writer.writeStringValue("externalId", onlineMeeting.externalId);
    writer.writeBooleanValue("isBroadcast", onlineMeeting.isBroadcast);
    writer.writeBooleanValue("isEntryExitAnnounced", onlineMeeting.isEntryExitAnnounced);
    writer.writeObjectValue("joinInformation", onlineMeeting.joinInformation);
    writer.writeObjectValue("joinMeetingIdSettings", onlineMeeting.joinMeetingIdSettings);
    writer.writeStringValue("joinWebUrl", onlineMeeting.joinWebUrl);
    writer.writeObjectValue("lobbyBypassSettings", onlineMeeting.lobbyBypassSettings);
    writer.writeObjectValue("participants", onlineMeeting.participants);
    writer.writeBooleanValue("recordAutomatically", onlineMeeting.recordAutomatically);
    writer.writeEnumValue("shareMeetingChatHistoryDefault", onlineMeeting.shareMeetingChatHistoryDefault);
    writer.writeDateValue("startDateTime", onlineMeeting.startDateTime);
    writer.writeStringValue("subject", onlineMeeting.subject);
    writer.writeCollectionOfObjectValues("transcripts", onlineMeeting.transcripts);
    writer.writeStringValue("videoTeleconferenceId", onlineMeeting.videoTeleconferenceId);
    writer.writeObjectValue("watermarkProtection", onlineMeeting.watermarkProtection);
}
exports.serializeOnlineMeeting = serializeOnlineMeeting;
// tslint:enable
// eslint-enable
