import { type Entity } from './entity';
import { type MediaStream } from './mediaStream';
import { type OnlineMeetingRestricted } from './onlineMeetingRestricted';
import { type ParticipantInfo } from './participantInfo';
import { type RecordingInfo } from './recordingInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParticipantFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipant;
export declare function deserializeIntoParticipant(participant?: Participant | undefined): Record<string, (node: ParseNode) => void>;
export interface Participant extends Entity, Parsable {
    /**
     * The info property
     */
    info?: ParticipantInfo;
    /**
     * true if the participant is in lobby.
     */
    isInLobby?: boolean;
    /**
     * true if the participant is muted (client or server muted).
     */
    isMuted?: boolean;
    /**
     * The list of media streams.
     */
    mediaStreams?: MediaStream[];
    /**
     * A blob of data provided by the participant in the roster.
     */
    metadata?: string;
    /**
     * Information about whether the participant has recording capability.
     */
    recordingInfo?: RecordingInfo;
    /**
     * Indicates the reason or reasons media content from this participant is restricted.
     */
    restrictedExperience?: OnlineMeetingRestricted;
}
export declare function serializeParticipant(writer: SerializationWriter, participant?: Participant | undefined): void;
