import { type CoachmarkLocation } from './coachmarkLocation';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPayloadCoachmarkFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPayloadCoachmark;
export declare function deserializeIntoPayloadCoachmark(payloadCoachmark?: PayloadCoachmark | undefined): Record<string, (node: ParseNode) => void>;
export interface PayloadCoachmark extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The coachmarkLocation property
     */
    coachmarkLocation?: CoachmarkLocation;
    /**
     * The description property
     */
    description?: string;
    /**
     * The indicator property
     */
    indicator?: string;
    /**
     * The isValid property
     */
    isValid?: boolean;
    /**
     * The language property
     */
    language?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The order property
     */
    order?: string;
}
export declare function serializePayloadCoachmark(writer: SerializationWriter, payloadCoachmark?: PayloadCoachmark | undefined): void;
