"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRemoteItem = exports.deserializeIntoRemoteItem = exports.createRemoteItemFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const file_1 = require("./file");
const fileSystemInfo_1 = require("./fileSystemInfo");
const folder_1 = require("./folder");
const identitySet_1 = require("./identitySet");
const image_1 = require("./image");
const itemReference_1 = require("./itemReference");
const packageEscaped_1 = require("./packageEscaped");
const shared_1 = require("./shared");
const sharepointIds_1 = require("./sharepointIds");
const specialFolder_1 = require("./specialFolder");
const video_1 = require("./video");
function createRemoteItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemoteItem;
}
exports.createRemoteItemFromDiscriminatorValue = createRemoteItemFromDiscriminatorValue;
function deserializeIntoRemoteItem(remoteItem = {}) {
    return {
        "createdBy": n => { remoteItem.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); },
        "createdDateTime": n => { remoteItem.createdDateTime = n.getDateValue(); },
        "file": n => { remoteItem.file = n.getObjectValue(file_1.createFileFromDiscriminatorValue); },
        "fileSystemInfo": n => { remoteItem.fileSystemInfo = n.getObjectValue(fileSystemInfo_1.createFileSystemInfoFromDiscriminatorValue); },
        "folder": n => { remoteItem.folder = n.getObjectValue(folder_1.createFolderFromDiscriminatorValue); },
        "id": n => { remoteItem.id = n.getStringValue(); },
        "image": n => { remoteItem.image = n.getObjectValue(image_1.createImageFromDiscriminatorValue); },
        "lastModifiedBy": n => { remoteItem.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); },
        "lastModifiedDateTime": n => { remoteItem.lastModifiedDateTime = n.getDateValue(); },
        "name": n => { remoteItem.name = n.getStringValue(); },
        "@odata.type": n => { remoteItem.odataType = n.getStringValue(); },
        "package": n => { remoteItem.packageEscaped = n.getObjectValue(packageEscaped_1.createPackageEscapedFromDiscriminatorValue); },
        "parentReference": n => { remoteItem.parentReference = n.getObjectValue(itemReference_1.createItemReferenceFromDiscriminatorValue); },
        "shared": n => { remoteItem.shared = n.getObjectValue(shared_1.createSharedFromDiscriminatorValue); },
        "sharepointIds": n => { remoteItem.sharepointIds = n.getObjectValue(sharepointIds_1.createSharepointIdsFromDiscriminatorValue); },
        "size": n => { remoteItem.size = n.getNumberValue(); },
        "specialFolder": n => { remoteItem.specialFolder = n.getObjectValue(specialFolder_1.createSpecialFolderFromDiscriminatorValue); },
        "video": n => { remoteItem.video = n.getObjectValue(video_1.createVideoFromDiscriminatorValue); },
        "webDavUrl": n => { remoteItem.webDavUrl = n.getStringValue(); },
        "webUrl": n => { remoteItem.webUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoRemoteItem = deserializeIntoRemoteItem;
function serializeRemoteItem(writer, remoteItem = {}) {
    writer.writeObjectValue("createdBy", remoteItem.createdBy);
    writer.writeDateValue("createdDateTime", remoteItem.createdDateTime);
    writer.writeObjectValue("file", remoteItem.file);
    writer.writeObjectValue("fileSystemInfo", remoteItem.fileSystemInfo);
    writer.writeObjectValue("folder", remoteItem.folder);
    writer.writeStringValue("id", remoteItem.id);
    writer.writeObjectValue("image", remoteItem.image);
    writer.writeObjectValue("lastModifiedBy", remoteItem.lastModifiedBy);
    writer.writeDateValue("lastModifiedDateTime", remoteItem.lastModifiedDateTime);
    writer.writeStringValue("name", remoteItem.name);
    writer.writeStringValue("@odata.type", remoteItem.odataType);
    writer.writeObjectValue("package", remoteItem.packageEscaped);
    writer.writeObjectValue("parentReference", remoteItem.parentReference);
    writer.writeObjectValue("shared", remoteItem.shared);
    writer.writeObjectValue("sharepointIds", remoteItem.sharepointIds);
    writer.writeNumberValue("size", remoteItem.size);
    writer.writeObjectValue("specialFolder", remoteItem.specialFolder);
    writer.writeObjectValue("video", remoteItem.video);
    writer.writeStringValue("webDavUrl", remoteItem.webDavUrl);
    writer.writeStringValue("webUrl", remoteItem.webUrl);
    writer.writeAdditionalData(remoteItem.additionalData);
}
exports.serializeRemoteItem = serializeRemoteItem;
// tslint:enable
// eslint-enable
