"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHost = exports.deserializeIntoHost = exports.createHostFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const artifact_1 = require("./artifact");
const hostComponent_1 = require("./hostComponent");
const hostCookie_1 = require("./hostCookie");
const hostname_1 = require("./hostname");
const hostPair_1 = require("./hostPair");
const hostReputation_1 = require("./hostReputation");
const hostSslCertificate_1 = require("./hostSslCertificate");
const hostTracker_1 = require("./hostTracker");
const ipAddress_1 = require("./ipAddress");
const passiveDnsRecord_1 = require("./passiveDnsRecord");
const subdomain_1 = require("./subdomain");
const whoisRecord_1 = require("./whoisRecord");
function createHostFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.hostname":
                    return hostname_1.deserializeIntoHostname;
                case "#microsoft.graph.security.ipAddress":
                    return ipAddress_1.deserializeIntoIpAddress;
            }
        }
    }
    return deserializeIntoHost;
}
exports.createHostFromDiscriminatorValue = createHostFromDiscriminatorValue;
function deserializeIntoHost(host = {}) {
    return Object.assign(Object.assign({}, (0, artifact_1.deserializeIntoArtifact)(host)), { "childHostPairs": n => { host.childHostPairs = n.getCollectionOfObjectValues(hostPair_1.createHostPairFromDiscriminatorValue); }, "components": n => { host.components = n.getCollectionOfObjectValues(hostComponent_1.createHostComponentFromDiscriminatorValue); }, "cookies": n => { host.cookies = n.getCollectionOfObjectValues(hostCookie_1.createHostCookieFromDiscriminatorValue); }, "firstSeenDateTime": n => { host.firstSeenDateTime = n.getDateValue(); }, "hostPairs": n => { host.hostPairs = n.getCollectionOfObjectValues(hostPair_1.createHostPairFromDiscriminatorValue); }, "lastSeenDateTime": n => { host.lastSeenDateTime = n.getDateValue(); }, "parentHostPairs": n => { host.parentHostPairs = n.getCollectionOfObjectValues(hostPair_1.createHostPairFromDiscriminatorValue); }, "passiveDns": n => { host.passiveDns = n.getCollectionOfObjectValues(passiveDnsRecord_1.createPassiveDnsRecordFromDiscriminatorValue); }, "passiveDnsReverse": n => { host.passiveDnsReverse = n.getCollectionOfObjectValues(passiveDnsRecord_1.createPassiveDnsRecordFromDiscriminatorValue); }, "reputation": n => { host.reputation = n.getObjectValue(hostReputation_1.createHostReputationFromDiscriminatorValue); }, "sslCertificates": n => { host.sslCertificates = n.getCollectionOfObjectValues(hostSslCertificate_1.createHostSslCertificateFromDiscriminatorValue); }, "subdomains": n => { host.subdomains = n.getCollectionOfObjectValues(subdomain_1.createSubdomainFromDiscriminatorValue); }, "trackers": n => { host.trackers = n.getCollectionOfObjectValues(hostTracker_1.createHostTrackerFromDiscriminatorValue); }, "whois": n => { host.whois = n.getObjectValue(whoisRecord_1.createWhoisRecordFromDiscriminatorValue); } });
}
exports.deserializeIntoHost = deserializeIntoHost;
function serializeHost(writer, host = {}) {
    (0, artifact_1.serializeArtifact)(writer, host);
    writer.writeCollectionOfObjectValues("childHostPairs", host.childHostPairs);
    writer.writeCollectionOfObjectValues("components", host.components);
    writer.writeCollectionOfObjectValues("cookies", host.cookies);
    writer.writeDateValue("firstSeenDateTime", host.firstSeenDateTime);
    writer.writeCollectionOfObjectValues("hostPairs", host.hostPairs);
    writer.writeDateValue("lastSeenDateTime", host.lastSeenDateTime);
    writer.writeCollectionOfObjectValues("parentHostPairs", host.parentHostPairs);
    writer.writeCollectionOfObjectValues("passiveDns", host.passiveDns);
    writer.writeCollectionOfObjectValues("passiveDnsReverse", host.passiveDnsReverse);
    writer.writeObjectValue("reputation", host.reputation);
    writer.writeCollectionOfObjectValues("sslCertificates", host.sslCertificates);
    writer.writeCollectionOfObjectValues("subdomains", host.subdomains);
    writer.writeCollectionOfObjectValues("trackers", host.trackers);
    writer.writeObjectValue("whois", host.whois);
}
exports.serializeHost = serializeHost;
// tslint:enable
// eslint-enable
