import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { SimulationContentSource } from './simulationContentSource';
import { TrainingAvailabilityStatus } from './trainingAvailabilityStatus';
import { type TrainingLanguageDetail } from './trainingLanguageDetail';
import { TrainingType } from './trainingType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTraining;
export declare function deserializeIntoTraining(training?: Training | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTraining(writer: SerializationWriter, training?: Training | undefined): void;
export interface Training extends Entity, Parsable {
    /**
     * The availabilityStatus property
     */
    availabilityStatus?: TrainingAvailabilityStatus;
    /**
     * The createdBy property
     */
    createdBy?: EmailIdentity;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The durationInMinutes property
     */
    durationInMinutes?: number;
    /**
     * The hasEvaluation property
     */
    hasEvaluation?: boolean;
    /**
     * The languageDetails property
     */
    languageDetails?: TrainingLanguageDetail[];
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The source property
     */
    source?: SimulationContentSource;
    /**
     * The supportedLocales property
     */
    supportedLocales?: string[];
    /**
     * The tags property
     */
    tags?: string[];
    /**
     * The type property
     */
    type?: TrainingType;
}
