import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingLanguageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingLanguageDetail;
export declare function deserializeIntoTrainingLanguageDetail(trainingLanguageDetail?: TrainingLanguageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingLanguageDetail(writer: SerializationWriter, trainingLanguageDetail?: TrainingLanguageDetail | undefined): void;
export interface TrainingLanguageDetail extends Entity, Parsable {
    /**
     * The content property
     */
    content?: string;
    /**
     * The createdBy property
     */
    createdBy?: EmailIdentity;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The isDefaultLangauge property
     */
    isDefaultLangauge?: boolean;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The locale property
     */
    locale?: string;
}
