"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserItemRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const mailboxSettingsRequestBuilder_1 = require("./mailboxSettings/mailboxSettingsRequestBuilder");
const refRequestBuilder_1 = require("./ref/refRequestBuilder");
const serviceProvisioningErrorsRequestBuilder_1 = require("./serviceProvisioningErrors/serviceProvisioningErrorsRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Builds and executes requests for operations under /print/shares/{printerShare-id}/allowedUsers/{user-id}
 */
class UserItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * The mailboxSettings property
     */
    get mailboxSettings() {
        return new mailboxSettingsRequestBuilder_1.MailboxSettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of print entities.
     */
    get ref() {
        return new refRequestBuilder_1.RefRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors() {
        return new serviceProvisioningErrorsRequestBuilder_1.ServiceProvisioningErrorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new UserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/print/shares/{printerShare%2Did}/allowedUsers/{user%2Did}");
    }
    ;
}
exports.UserItemRequestBuilder = UserItemRequestBuilder;
// tslint:enable
// eslint-enable
