import { BaseRequestBuilder, RequestInformation, type DateOnly, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface GetEmailAppUsageUserDetailWithDateRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the getEmailAppUsageUserDetail method.
 */
export declare class GetEmailAppUsageUserDetailWithDateRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetEmailAppUsageUserDetailWithDateRequestBuilder and sets the default values.
     * @param date Usage: date={date}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, date?: DateOnly | undefined);
    /**
     * Invoke function getEmailAppUsageUserDetail
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     */
    get(requestConfiguration?: GetEmailAppUsageUserDetailWithDateRequestBuilderGetRequestConfiguration | undefined): Promise<ArrayBuffer | undefined>;
    /**
     * Invoke function getEmailAppUsageUserDetail
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: GetEmailAppUsageUserDetailWithDateRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getEmailAppUsageUserDetailWithDateRequestBuilder
     */
    withUrl(rawUrl: string): GetEmailAppUsageUserDetailWithDateRequestBuilder;
}
