import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface GetOneDriveUsageFileCountsWithPeriodRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the getOneDriveUsageFileCounts method.
 */
export declare class GetOneDriveUsageFileCountsWithPeriodRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetOneDriveUsageFileCountsWithPeriodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param period Usage: period='{period}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, period?: string | undefined);
    /**
     * Invoke function getOneDriveUsageFileCounts
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     */
    get(requestConfiguration?: GetOneDriveUsageFileCountsWithPeriodRequestBuilderGetRequestConfiguration | undefined): Promise<ArrayBuffer | undefined>;
    /**
     * Invoke function getOneDriveUsageFileCounts
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: GetOneDriveUsageFileCountsWithPeriodRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getOneDriveUsageFileCountsWithPeriodRequestBuilder
     */
    withUrl(rawUrl: string): GetOneDriveUsageFileCountsWithPeriodRequestBuilder;
}
