import { type Report } from '../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the managedDeviceEnrollmentTopFailures method.
 */
export declare class ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param period Usage: period='{period}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, period?: string | undefined);
    /**
     * Invoke function managedDeviceEnrollmentTopFailures
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Report
     */
    get(requestConfiguration?: ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilderGetRequestConfiguration | undefined): Promise<Report | undefined>;
    /**
     * Invoke function managedDeviceEnrollmentTopFailures
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder
     */
    withUrl(rawUrl: string): ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder;
}
