import { type EndUserNotificationDetail } from '../../../../../../models/endUserNotificationDetail';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface EndUserNotificationDetailItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface EndUserNotificationDetailItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface EndUserNotificationDetailItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: EndUserNotificationDetailItemRequestBuilderGetQueryParameters;
}
export interface EndUserNotificationDetailItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the details property of the microsoft.graph.endUserNotification entity.
 */
export declare class EndUserNotificationDetailItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new EndUserNotificationDetailItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property details for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: EndUserNotificationDetailItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get details from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of EndUserNotificationDetail
     */
    get(requestConfiguration?: EndUserNotificationDetailItemRequestBuilderGetRequestConfiguration | undefined): Promise<EndUserNotificationDetail | undefined>;
    /**
     * Update the navigation property details in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of EndUserNotificationDetail
     */
    patch(body: EndUserNotificationDetail, requestConfiguration?: EndUserNotificationDetailItemRequestBuilderPatchRequestConfiguration | undefined): Promise<EndUserNotificationDetail | undefined>;
    /**
     * Delete navigation property details for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: EndUserNotificationDetailItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get details from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: EndUserNotificationDetailItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property details in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: EndUserNotificationDetail, requestConfiguration?: EndUserNotificationDetailItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a EndUserNotificationDetailItemRequestBuilder
     */
    withUrl(rawUrl: string): EndUserNotificationDetailItemRequestBuilder;
}
