import { type LandingPage } from '../../../../models/landingPage';
import { DetailsRequestBuilder } from './details/detailsRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface LandingPageItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface LandingPageItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface LandingPageItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: LandingPageItemRequestBuilderGetQueryParameters;
}
export interface LandingPageItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the landingPages property of the microsoft.graph.attackSimulationRoot entity.
 */
export declare class LandingPageItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the details property of the microsoft.graph.landingPage entity.
     */
    get details(): DetailsRequestBuilder;
    /**
     * Instantiates a new LandingPageItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property landingPages for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: LandingPageItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get landingPages from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of LandingPage
     */
    get(requestConfiguration?: LandingPageItemRequestBuilderGetRequestConfiguration | undefined): Promise<LandingPage | undefined>;
    /**
     * Update the navigation property landingPages in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of LandingPage
     */
    patch(body: LandingPage, requestConfiguration?: LandingPageItemRequestBuilderPatchRequestConfiguration | undefined): Promise<LandingPage | undefined>;
    /**
     * Delete navigation property landingPages for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: LandingPageItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get landingPages from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: LandingPageItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property landingPages in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: LandingPage, requestConfiguration?: LandingPageItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a LandingPageItemRequestBuilder
     */
    withUrl(rawUrl: string): LandingPageItemRequestBuilder;
}
