import { type AttackSimulationOperation } from '../../../../models/attackSimulationOperation';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface AttackSimulationOperationItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface AttackSimulationOperationItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface AttackSimulationOperationItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: AttackSimulationOperationItemRequestBuilderGetQueryParameters;
}
export interface AttackSimulationOperationItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the operations property of the microsoft.graph.attackSimulationRoot entity.
 */
export declare class AttackSimulationOperationItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AttackSimulationOperationItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property operations for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: AttackSimulationOperationItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get operations from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AttackSimulationOperation
     */
    get(requestConfiguration?: AttackSimulationOperationItemRequestBuilderGetRequestConfiguration | undefined): Promise<AttackSimulationOperation | undefined>;
    /**
     * Update the navigation property operations in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AttackSimulationOperation
     */
    patch(body: AttackSimulationOperation, requestConfiguration?: AttackSimulationOperationItemRequestBuilderPatchRequestConfiguration | undefined): Promise<AttackSimulationOperation | undefined>;
    /**
     * Delete navigation property operations for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: AttackSimulationOperationItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get operations from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: AttackSimulationOperationItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property operations in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AttackSimulationOperation, requestConfiguration?: AttackSimulationOperationItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a AttackSimulationOperationItemRequestBuilder
     */
    withUrl(rawUrl: string): AttackSimulationOperationItemRequestBuilder;
}
