import { type SimulationAutomationRun } from '../../../../../../models/simulationAutomationRun';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface SimulationAutomationRunItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface SimulationAutomationRunItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface SimulationAutomationRunItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: SimulationAutomationRunItemRequestBuilderGetQueryParameters;
}
export interface SimulationAutomationRunItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the runs property of the microsoft.graph.simulationAutomation entity.
 */
export declare class SimulationAutomationRunItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SimulationAutomationRunItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property runs for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: SimulationAutomationRunItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * A collection of simulation automation runs.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SimulationAutomationRun
     */
    get(requestConfiguration?: SimulationAutomationRunItemRequestBuilderGetRequestConfiguration | undefined): Promise<SimulationAutomationRun | undefined>;
    /**
     * Update the navigation property runs in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SimulationAutomationRun
     */
    patch(body: SimulationAutomationRun, requestConfiguration?: SimulationAutomationRunItemRequestBuilderPatchRequestConfiguration | undefined): Promise<SimulationAutomationRun | undefined>;
    /**
     * Delete navigation property runs for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: SimulationAutomationRunItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * A collection of simulation automation runs.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: SimulationAutomationRunItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property runs in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: SimulationAutomationRun, requestConfiguration?: SimulationAutomationRunItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a SimulationAutomationRunItemRequestBuilder
     */
    withUrl(rawUrl: string): SimulationAutomationRunItemRequestBuilder;
}
