import { type TrainingLanguageDetail } from '../../../../../../models/trainingLanguageDetail';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface TrainingLanguageDetailItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface TrainingLanguageDetailItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface TrainingLanguageDetailItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: TrainingLanguageDetailItemRequestBuilderGetQueryParameters;
}
export interface TrainingLanguageDetailItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the languageDetails property of the microsoft.graph.training entity.
 */
export declare class TrainingLanguageDetailItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new TrainingLanguageDetailItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property languageDetails for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: TrainingLanguageDetailItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get languageDetails from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TrainingLanguageDetail
     */
    get(requestConfiguration?: TrainingLanguageDetailItemRequestBuilderGetRequestConfiguration | undefined): Promise<TrainingLanguageDetail | undefined>;
    /**
     * Update the navigation property languageDetails in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TrainingLanguageDetail
     */
    patch(body: TrainingLanguageDetail, requestConfiguration?: TrainingLanguageDetailItemRequestBuilderPatchRequestConfiguration | undefined): Promise<TrainingLanguageDetail | undefined>;
    /**
     * Delete navigation property languageDetails for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: TrainingLanguageDetailItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get languageDetails from security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: TrainingLanguageDetailItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property languageDetails in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: TrainingLanguageDetail, requestConfiguration?: TrainingLanguageDetailItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a TrainingLanguageDetailItemRequestBuilder
     */
    withUrl(rawUrl: string): TrainingLanguageDetailItemRequestBuilder;
}
