import { ExportFileStructure } from '../../../../../../../models/security/exportFileStructure';
import { ExportOptions } from '../../../../../../../models/security/exportOptions';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExportPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExportPostRequestBody;
export declare function deserializeIntoExportPostRequestBody(exportPostRequestBody?: ExportPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ExportPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The description property
     */
    description?: string;
    /**
     * The exportOptions property
     */
    exportOptions?: ExportOptions[];
    /**
     * The exportStructure property
     */
    exportStructure?: ExportFileStructure;
    /**
     * The outputName property
     */
    outputName?: string;
}
export declare function serializeExportPostRequestBody(writer: SerializationWriter, exportPostRequestBody?: ExportPostRequestBody | undefined): void;
