import { type KeyCredential } from '../../../models/keyCredential';
import { type PasswordCredential } from '../../../models/passwordCredential';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddKeyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keyCredential property
     */
    keyCredential?: KeyCredential;
    /**
     * The passwordCredential property
     */
    passwordCredential?: PasswordCredential;
    /**
     * The proof property
     */
    proof?: string;
}
export declare function createAddKeyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddKeyPostRequestBody;
export declare function deserializeIntoAddKeyPostRequestBody(addKeyPostRequestBody?: AddKeyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddKeyPostRequestBody(writer: SerializationWriter, addKeyPostRequestBody?: AddKeyPostRequestBody | undefined): void;
