import { type RemoteDesktopSecurityConfiguration } from '../../../models/remoteDesktopSecurityConfiguration';
import { TargetDeviceGroupsRequestBuilder } from './targetDeviceGroups/targetDeviceGroupsRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface RemoteDesktopSecurityConfigurationRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface RemoteDesktopSecurityConfigurationRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface RemoteDesktopSecurityConfigurationRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: RemoteDesktopSecurityConfigurationRequestBuilderGetQueryParameters;
}
export interface RemoteDesktopSecurityConfigurationRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the remoteDesktopSecurityConfiguration property of the microsoft.graph.servicePrincipal entity.
 */
export declare class RemoteDesktopSecurityConfigurationRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the targetDeviceGroups property of the microsoft.graph.remoteDesktopSecurityConfiguration entity.
     */
    get targetDeviceGroups(): TargetDeviceGroupsRequestBuilder;
    /**
     * Instantiates a new RemoteDesktopSecurityConfigurationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property remoteDesktopSecurityConfiguration for servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RemoteDesktopSecurityConfigurationRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get remoteDesktopSecurityConfiguration from servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RemoteDesktopSecurityConfiguration
     */
    get(requestConfiguration?: RemoteDesktopSecurityConfigurationRequestBuilderGetRequestConfiguration | undefined): Promise<RemoteDesktopSecurityConfiguration | undefined>;
    /**
     * Update the navigation property remoteDesktopSecurityConfiguration in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RemoteDesktopSecurityConfiguration
     */
    patch(body: RemoteDesktopSecurityConfiguration, requestConfiguration?: RemoteDesktopSecurityConfigurationRequestBuilderPatchRequestConfiguration | undefined): Promise<RemoteDesktopSecurityConfiguration | undefined>;
    /**
     * Delete navigation property remoteDesktopSecurityConfiguration for servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RemoteDesktopSecurityConfigurationRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get remoteDesktopSecurityConfiguration from servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RemoteDesktopSecurityConfigurationRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property remoteDesktopSecurityConfiguration in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: RemoteDesktopSecurityConfiguration, requestConfiguration?: RemoteDesktopSecurityConfigurationRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a remoteDesktopSecurityConfigurationRequestBuilder
     */
    withUrl(rawUrl: string): RemoteDesktopSecurityConfigurationRequestBuilder;
}
