import { type TargetDeviceGroup } from '../../../../../models/targetDeviceGroup';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface TargetDeviceGroupItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface TargetDeviceGroupItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface TargetDeviceGroupItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: TargetDeviceGroupItemRequestBuilderGetQueryParameters;
}
export interface TargetDeviceGroupItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the targetDeviceGroups property of the microsoft.graph.remoteDesktopSecurityConfiguration entity.
 */
export declare class TargetDeviceGroupItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new TargetDeviceGroupItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property targetDeviceGroups for servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: TargetDeviceGroupItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Get targetDeviceGroups from servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TargetDeviceGroup
     */
    get(requestConfiguration?: TargetDeviceGroupItemRequestBuilderGetRequestConfiguration | undefined): Promise<TargetDeviceGroup | undefined>;
    /**
     * Update the navigation property targetDeviceGroups in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TargetDeviceGroup
     */
    patch(body: TargetDeviceGroup, requestConfiguration?: TargetDeviceGroupItemRequestBuilderPatchRequestConfiguration | undefined): Promise<TargetDeviceGroup | undefined>;
    /**
     * Delete navigation property targetDeviceGroups for servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: TargetDeviceGroupItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get targetDeviceGroups from servicePrincipals
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: TargetDeviceGroupItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property targetDeviceGroups in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: TargetDeviceGroup, requestConfiguration?: TargetDeviceGroupItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a TargetDeviceGroupItemRequestBuilder
     */
    withUrl(rawUrl: string): TargetDeviceGroupItemRequestBuilder;
}
