import { type RemovePasswordPostRequestBody } from './removePasswordPostRequestBody';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface RemovePasswordRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the removePassword method.
 */
export declare class RemovePasswordRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RemovePasswordRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Remove a password from a servicePrincipal object. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-removepassword?view=graph-rest-1.0|Find more info here}
     */
    post(body: RemovePasswordPostRequestBody, requestConfiguration?: RemovePasswordRequestBuilderPostRequestConfiguration | undefined): Promise<void>;
    /**
     * Remove a password from a servicePrincipal object. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: RemovePasswordPostRequestBody, requestConfiguration?: RemovePasswordRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removePasswordRequestBuilder
     */
    withUrl(rawUrl: string): RemovePasswordRequestBuilder;
}
