"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServicePrincipalItemRequestBuilder = void 0;
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const servicePrincipal_1 = require("../../models/servicePrincipal");
const addKeyRequestBuilder_1 = require("./addKey/addKeyRequestBuilder");
const addPasswordRequestBuilder_1 = require("./addPassword/addPasswordRequestBuilder");
const addTokenSigningCertificateRequestBuilder_1 = require("./addTokenSigningCertificate/addTokenSigningCertificateRequestBuilder");
const appManagementPoliciesRequestBuilder_1 = require("./appManagementPolicies/appManagementPoliciesRequestBuilder");
const appRoleAssignedToRequestBuilder_1 = require("./appRoleAssignedTo/appRoleAssignedToRequestBuilder");
const appRoleAssignmentsRequestBuilder_1 = require("./appRoleAssignments/appRoleAssignmentsRequestBuilder");
const checkMemberGroupsRequestBuilder_1 = require("./checkMemberGroups/checkMemberGroupsRequestBuilder");
const checkMemberObjectsRequestBuilder_1 = require("./checkMemberObjects/checkMemberObjectsRequestBuilder");
const claimsMappingPoliciesRequestBuilder_1 = require("./claimsMappingPolicies/claimsMappingPoliciesRequestBuilder");
const createdObjectsRequestBuilder_1 = require("./createdObjects/createdObjectsRequestBuilder");
const delegatedPermissionClassificationsRequestBuilder_1 = require("./delegatedPermissionClassifications/delegatedPermissionClassificationsRequestBuilder");
const endpointsRequestBuilder_1 = require("./endpoints/endpointsRequestBuilder");
const federatedIdentityCredentialsRequestBuilder_1 = require("./federatedIdentityCredentials/federatedIdentityCredentialsRequestBuilder");
const getMemberGroupsRequestBuilder_1 = require("./getMemberGroups/getMemberGroupsRequestBuilder");
const getMemberObjectsRequestBuilder_1 = require("./getMemberObjects/getMemberObjectsRequestBuilder");
const homeRealmDiscoveryPoliciesRequestBuilder_1 = require("./homeRealmDiscoveryPolicies/homeRealmDiscoveryPoliciesRequestBuilder");
const memberOfRequestBuilder_1 = require("./memberOf/memberOfRequestBuilder");
const oauth2PermissionGrantsRequestBuilder_1 = require("./oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder");
const ownedObjectsRequestBuilder_1 = require("./ownedObjects/ownedObjectsRequestBuilder");
const ownersRequestBuilder_1 = require("./owners/ownersRequestBuilder");
const remoteDesktopSecurityConfigurationRequestBuilder_1 = require("./remoteDesktopSecurityConfiguration/remoteDesktopSecurityConfigurationRequestBuilder");
const removeKeyRequestBuilder_1 = require("./removeKey/removeKeyRequestBuilder");
const removePasswordRequestBuilder_1 = require("./removePassword/removePasswordRequestBuilder");
const restoreRequestBuilder_1 = require("./restore/restoreRequestBuilder");
const synchronizationRequestBuilder_1 = require("./synchronization/synchronizationRequestBuilder");
const tokenIssuancePoliciesRequestBuilder_1 = require("./tokenIssuancePolicies/tokenIssuancePoliciesRequestBuilder");
const tokenLifetimePoliciesRequestBuilder_1 = require("./tokenLifetimePolicies/tokenLifetimePoliciesRequestBuilder");
const transitiveMemberOfRequestBuilder_1 = require("./transitiveMemberOf/transitiveMemberOfRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the collection of servicePrincipal entities.
 */
class ServicePrincipalItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the addKey method.
     */
    get addKey() {
        return new addKeyRequestBuilder_1.AddKeyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the addPassword method.
     */
    get addPassword() {
        return new addPasswordRequestBuilder_1.AddPasswordRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the addTokenSigningCertificate method.
     */
    get addTokenSigningCertificate() {
        return new addTokenSigningCertificateRequestBuilder_1.AddTokenSigningCertificateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appManagementPolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get appManagementPolicies() {
        return new appManagementPoliciesRequestBuilder_1.AppManagementPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appRoleAssignedTo property of the microsoft.graph.servicePrincipal entity.
     */
    get appRoleAssignedTo() {
        return new appRoleAssignedToRequestBuilder_1.AppRoleAssignedToRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.servicePrincipal entity.
     */
    get appRoleAssignments() {
        return new appRoleAssignmentsRequestBuilder_1.AppRoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups() {
        return new checkMemberGroupsRequestBuilder_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects() {
        return new checkMemberObjectsRequestBuilder_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the claimsMappingPolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get claimsMappingPolicies() {
        return new claimsMappingPoliciesRequestBuilder_1.ClaimsMappingPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the createdObjects property of the microsoft.graph.servicePrincipal entity.
     */
    get createdObjects() {
        return new createdObjectsRequestBuilder_1.CreatedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the delegatedPermissionClassifications property of the microsoft.graph.servicePrincipal entity.
     */
    get delegatedPermissionClassifications() {
        return new delegatedPermissionClassificationsRequestBuilder_1.DelegatedPermissionClassificationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.
     */
    get endpoints() {
        return new endpointsRequestBuilder_1.EndpointsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the federatedIdentityCredentials property of the microsoft.graph.servicePrincipal entity.
     */
    get federatedIdentityCredentials() {
        return new federatedIdentityCredentialsRequestBuilder_1.FederatedIdentityCredentialsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups() {
        return new getMemberGroupsRequestBuilder_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects() {
        return new getMemberObjectsRequestBuilder_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the homeRealmDiscoveryPolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get homeRealmDiscoveryPolicies() {
        return new homeRealmDiscoveryPoliciesRequestBuilder_1.HomeRealmDiscoveryPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.servicePrincipal entity.
     */
    get memberOf() {
        return new memberOfRequestBuilder_1.MemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the oauth2PermissionGrants property of the microsoft.graph.servicePrincipal entity.
     */
    get oauth2PermissionGrants() {
        return new oauth2PermissionGrantsRequestBuilder_1.Oauth2PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the ownedObjects property of the microsoft.graph.servicePrincipal entity.
     */
    get ownedObjects() {
        return new ownedObjectsRequestBuilder_1.OwnedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the owners property of the microsoft.graph.servicePrincipal entity.
     */
    get owners() {
        return new ownersRequestBuilder_1.OwnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the remoteDesktopSecurityConfiguration property of the microsoft.graph.servicePrincipal entity.
     */
    get remoteDesktopSecurityConfiguration() {
        return new remoteDesktopSecurityConfigurationRequestBuilder_1.RemoteDesktopSecurityConfigurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the removeKey method.
     */
    get removeKey() {
        return new removeKeyRequestBuilder_1.RemoveKeyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the removePassword method.
     */
    get removePassword() {
        return new removePasswordRequestBuilder_1.RemovePasswordRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the restore method.
     */
    get restore() {
        return new restoreRequestBuilder_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the synchronization property of the microsoft.graph.servicePrincipal entity.
     */
    get synchronization() {
        return new synchronizationRequestBuilder_1.SynchronizationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the tokenIssuancePolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get tokenIssuancePolicies() {
        return new tokenIssuancePoliciesRequestBuilder_1.TokenIssuancePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the tokenLifetimePolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get tokenLifetimePolicies() {
        return new tokenLifetimePoliciesRequestBuilder_1.TokenLifetimePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.servicePrincipal entity.
     */
    get transitiveMemberOf() {
        return new transitiveMemberOfRequestBuilder_1.TransitiveMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new ServicePrincipalItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Delete a servicePrincipal object. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Retrieve the properties and relationships of a servicePrincipal object. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ServicePrincipal
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, servicePrincipal_1.createServicePrincipalFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update entity in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ServicePrincipal
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, servicePrincipal_1.createServicePrincipalFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete a servicePrincipal object. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        requestInfo.tryAddRequestHeaders("Accept", "application/json, application/json");
        return requestInfo;
    }
    ;
    /**
     * Retrieve the properties and relationships of a servicePrincipal object. This API is available in the following national cloud deployments.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        return requestInfo;
    }
    ;
    /**
     * Update entity in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        requestInfo.tryAddRequestHeaders("Accept", "application/json;q=1");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, servicePrincipal_1.serializeServicePrincipal);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ServicePrincipalItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ServicePrincipalItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ServicePrincipalItemRequestBuilder = ServicePrincipalItemRequestBuilder;
// tslint:enable
// eslint-enable
