import { type ContentType } from '../../../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface BaseRequestBuilderEscapedbaseRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface BaseRequestBuilderEscapedbaseRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: BaseRequestBuilderEscapedbaseRequestBuilderGetQueryParameters;
}
/**
 * Provides operations to manage the base property of the microsoft.graph.contentType entity.
 */
export declare class BaseRequestBuilderEscaped extends BaseRequestBuilder {
    /**
     * Instantiates a new BaseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Parent contentType from which this content type is derived.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ContentType
     */
    get(requestConfiguration?: BaseRequestBuilderEscapedbaseRequestBuilderGetRequestConfiguration | undefined): Promise<ContentType | undefined>;
    /**
     * Parent contentType from which this content type is derived.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: BaseRequestBuilderEscapedbaseRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a baseRequestBuilderEscaped
     */
    withUrl(rawUrl: string): BaseRequestBuilderEscaped;
}
