import { type GetStaffAvailabilityPostRequestBody } from './getStaffAvailabilityPostRequestBody';
import { type GetStaffAvailabilityPostResponse } from './getStaffAvailabilityPostResponse';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface GetStaffAvailabilityRequestBuilderPostRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to call the getStaffAvailability method.
 */
export declare class GetStaffAvailabilityRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetStaffAvailabilityRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the availability information of staff members of a Microsoft Bookings calendar. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetStaffAvailabilityPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/bookingbusiness-getstaffavailability?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetStaffAvailabilityPostRequestBody, requestConfiguration?: GetStaffAvailabilityRequestBuilderPostRequestConfiguration | undefined): Promise<GetStaffAvailabilityPostResponse | undefined>;
    /**
     * Get the availability information of staff members of a Microsoft Bookings calendar. This API is available in the following national cloud deployments.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetStaffAvailabilityPostRequestBody, requestConfiguration?: GetStaffAvailabilityRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getStaffAvailabilityRequestBuilder
     */
    withUrl(rawUrl: string): GetStaffAvailabilityRequestBuilder;
}
