import { type ItemBody } from '../../models/itemBody';
import { type KeyValuePair } from '../../models/keyValuePair';
import { type TeamworkActivityTopic } from '../../models/teamworkActivityTopic';
import { type TeamworkNotificationRecipient } from '../../models/teamworkNotificationRecipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSendActivityNotificationToRecipientsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSendActivityNotificationToRecipientsPostRequestBody;
export declare function deserializeIntoSendActivityNotificationToRecipientsPostRequestBody(sendActivityNotificationToRecipientsPostRequestBody?: SendActivityNotificationToRecipientsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface SendActivityNotificationToRecipientsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The activityType property
     */
    activityType?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The chainId property
     */
    chainId?: number;
    /**
     * The previewText property
     */
    previewText?: ItemBody;
    /**
     * The recipients property
     */
    recipients?: TeamworkNotificationRecipient[];
    /**
     * The teamsAppId property
     */
    teamsAppId?: string;
    /**
     * The templateParameters property
     */
    templateParameters?: KeyValuePair[];
    /**
     * The topic property
     */
    topic?: TeamworkActivityTopic;
}
export declare function serializeSendActivityNotificationToRecipientsPostRequestBody(writer: SerializationWriter, sendActivityNotificationToRecipientsPostRequestBody?: SendActivityNotificationToRecipientsPostRequestBody | undefined): void;
