import { type AttendeeBase } from '../../../models/attendeeBase';
import { type LocationConstraint } from '../../../models/locationConstraint';
import { type TimeConstraint } from '../../../models/timeConstraint';
import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFindMeetingTimesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFindMeetingTimesPostRequestBody;
export declare function deserializeIntoFindMeetingTimesPostRequestBody(findMeetingTimesPostRequestBody?: FindMeetingTimesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FindMeetingTimesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The attendees property
     */
    attendees?: AttendeeBase[];
    /**
     * The isOrganizerOptional property
     */
    isOrganizerOptional?: boolean;
    /**
     * The locationConstraint property
     */
    locationConstraint?: LocationConstraint;
    /**
     * The maxCandidates property
     */
    maxCandidates?: number;
    /**
     * The meetingDuration property
     */
    meetingDuration?: Duration;
    /**
     * The minimumAttendeePercentage property
     */
    minimumAttendeePercentage?: number;
    /**
     * The returnSuggestionReasons property
     */
    returnSuggestionReasons?: boolean;
    /**
     * The timeConstraint property
     */
    timeConstraint?: TimeConstraint;
}
export declare function serializeFindMeetingTimesPostRequestBody(writer: SerializationWriter, findMeetingTimesPostRequestBody?: FindMeetingTimesPostRequestBody | undefined): void;
