import { type DeviceLogCollectionResponse } from '../../../../../../models/deviceLogCollectionResponse';
import { CreateDownloadUrlRequestBuilder } from './createDownloadUrl/createDownloadUrlRequestBuilder';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface DeviceLogCollectionResponseItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface DeviceLogCollectionResponseItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface DeviceLogCollectionResponseItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: DeviceLogCollectionResponseItemRequestBuilderGetQueryParameters;
}
export interface DeviceLogCollectionResponseItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the logCollectionRequests property of the microsoft.graph.managedDevice entity.
 */
export declare class DeviceLogCollectionResponseItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the createDownloadUrl method.
     */
    get createDownloadUrl(): CreateDownloadUrlRequestBuilder;
    /**
     * Instantiates a new DeviceLogCollectionResponseItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property logCollectionRequests for users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: DeviceLogCollectionResponseItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * List of log collection requests
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceLogCollectionResponse
     */
    get(requestConfiguration?: DeviceLogCollectionResponseItemRequestBuilderGetRequestConfiguration | undefined): Promise<DeviceLogCollectionResponse | undefined>;
    /**
     * Update the navigation property logCollectionRequests in users
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceLogCollectionResponse
     */
    patch(body: DeviceLogCollectionResponse, requestConfiguration?: DeviceLogCollectionResponseItemRequestBuilderPatchRequestConfiguration | undefined): Promise<DeviceLogCollectionResponse | undefined>;
    /**
     * Delete navigation property logCollectionRequests for users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: DeviceLogCollectionResponseItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * List of log collection requests
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: DeviceLogCollectionResponseItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property logCollectionRequests in users
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: DeviceLogCollectionResponse, requestConfiguration?: DeviceLogCollectionResponseItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a DeviceLogCollectionResponseItemRequestBuilder
     */
    withUrl(rawUrl: string): DeviceLogCollectionResponseItemRequestBuilder;
}
