import { type WindowsDeviceMalwareState } from '../../../../../../models/windowsDeviceMalwareState';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestOption } from '@microsoft/kiota-abstractions';
export interface WindowsDeviceMalwareStateItemRequestBuilderDeleteRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
export interface WindowsDeviceMalwareStateItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
export interface WindowsDeviceMalwareStateItemRequestBuilderGetRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
    /**
     * Request query parameters
     */
    queryParameters?: WindowsDeviceMalwareStateItemRequestBuilderGetQueryParameters;
}
export interface WindowsDeviceMalwareStateItemRequestBuilderPatchRequestConfiguration {
    /**
     * Request headers
     */
    headers?: Record<string, string[]>;
    /**
     * Request options
     */
    options?: RequestOption[];
}
/**
 * Provides operations to manage the detectedMalwareState property of the microsoft.graph.windowsProtectionState entity.
 */
export declare class WindowsDeviceMalwareStateItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WindowsDeviceMalwareStateItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Deletes a windowsDeviceMalwareState.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-windowsdevicemalwarestate-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: WindowsDeviceMalwareStateItemRequestBuilderDeleteRequestConfiguration | undefined): Promise<void>;
    /**
     * Read properties and relationships of the windowsDeviceMalwareState object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WindowsDeviceMalwareState
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-windowsdevicemalwarestate-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: WindowsDeviceMalwareStateItemRequestBuilderGetRequestConfiguration | undefined): Promise<WindowsDeviceMalwareState | undefined>;
    /**
     * Update the properties of a windowsDeviceMalwareState object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WindowsDeviceMalwareState
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-windowsdevicemalwarestate-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: WindowsDeviceMalwareState, requestConfiguration?: WindowsDeviceMalwareStateItemRequestBuilderPatchRequestConfiguration | undefined): Promise<WindowsDeviceMalwareState | undefined>;
    /**
     * Deletes a windowsDeviceMalwareState.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: WindowsDeviceMalwareStateItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Read properties and relationships of the windowsDeviceMalwareState object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: WindowsDeviceMalwareStateItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the properties of a windowsDeviceMalwareState object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: WindowsDeviceMalwareState, requestConfiguration?: WindowsDeviceMalwareStateItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a WindowsDeviceMalwareStateItemRequestBuilder
     */
    withUrl(rawUrl: string): WindowsDeviceMalwareStateItemRequestBuilder;
}
