import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { PayloadBrand } from './payloadBrand';
import { PayloadComplexity } from './payloadComplexity';
import { PayloadDeliveryPlatform } from './payloadDeliveryPlatform';
import { type PayloadDetail } from './payloadDetail';
import { PayloadIndustry } from './payloadIndustry';
import { PayloadTheme } from './payloadTheme';
import { SimulationAttackTechnique } from './simulationAttackTechnique';
import { SimulationAttackType } from './simulationAttackType';
import { SimulationContentSource } from './simulationContentSource';
import { SimulationContentStatus } from './simulationContentStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPayloadFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPayload;
export declare function deserializeIntoPayload(payload?: Payload | undefined): Record<string, (node: ParseNode) => void>;
export interface Payload extends Entity, Parsable {
    /**
     * The brand property
     */
    brand?: PayloadBrand;
    /**
     * The complexity property
     */
    complexity?: PayloadComplexity;
    /**
     * The createdBy property
     */
    createdBy?: EmailIdentity;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The detail property
     */
    detail?: PayloadDetail;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The industry property
     */
    industry?: PayloadIndustry;
    /**
     * The isAutomated property
     */
    isAutomated?: boolean;
    /**
     * The isControversial property
     */
    isControversial?: boolean;
    /**
     * The isCurrentEvent property
     */
    isCurrentEvent?: boolean;
    /**
     * The language property
     */
    language?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The payloadTags property
     */
    payloadTags?: string[];
    /**
     * The platform property
     */
    platform?: PayloadDeliveryPlatform;
    /**
     * The predictedCompromiseRate property
     */
    predictedCompromiseRate?: number;
    /**
     * The simulationAttackType property
     */
    simulationAttackType?: SimulationAttackType;
    /**
     * The source property
     */
    source?: SimulationContentSource;
    /**
     * The status property
     */
    status?: SimulationContentStatus;
    /**
     * The technique property
     */
    technique?: SimulationAttackTechnique;
    /**
     * The theme property
     */
    theme?: PayloadTheme;
}
export declare function serializePayload(writer: SerializationWriter, payload?: Payload | undefined): void;
